

#*****************************************************************************
# BEGIN SECTION (Define)

# Define directory
# 

#Project root

PXA_ROOT_DIR		:= /vobs/xscalelinux
CONFIG_CC_DEVELOPMENT=n
CONFIG_BLOB_DEBUG=y
CONFIG_BLOB_SECURITY=n


#Project source 
PXA_SRC_DIR		:= $(PXA_ROOT_DIR)/src

DUMMY			:= $(shell if [ ! -e $(PXA_SRC_DIR)/.config ];then touch $(PXA_SRC_DIR)/.config;fi;)
include $(PXA_SRC_DIR)/.config

PXA_SRC_PVK_DIR		:= $(PXA_SRC_DIR)/preview-kit
PXA_SRC_PVK_LNX_DIR	:= $(PXA_SRC_PVK_DIR)/linux
PXA_SRC_IPP_DIR		:= $(PXA_SRC_DIR)/ipp
PXA_SRC_GST_DIR		:= $(PXA_SRC_DIR)/gstreamer
PXA_SRC_UM_DIR		:= $(PXA_SRC_DIR)/usage-model
PXA_SRC_GFX_DIR		:= $(PXA_SRC_DIR)/graphics
PXA_SRC_MPDC_DIR	:= $(PXA_SRC_DIR)/mpdc

ifeq "$(CONFIG_CPU_MHNL)" "y"
WTPTP_DIR_SUFFIX=pxa300
endif

ifeq "$(CONFIG_CPU_MHNLV)" "y"
WTPTP_DIR_SUFFIX=pxa310
endif

ifeq "$(CONFIG_CPU_TAVOR)" "y"
WTPTP_DIR_SUFFIX=pxa930
endif
PXA_SRC_WTPTP_DIR	:= $(PXA_SRC_DIR)/wtptp_$(WTPTP_DIR_SUFFIX)

ifeq "$(CONFIG_GEN_DEBUG)" "y"
DBG_REL_VER		:= dbg
else
DBG_REL_VER		:= rel
endif

#Host related dir
ifeq "$(CONFIG_CC_DEVELOPMENT)" "y"
DUMMY			:= $(shell if [ ! -e $$HOME/xscalelinux ];then mkdir -p $$HOME/xscalelinux;\
			cp -fr ../dbg $$HOME/xscalelinux;cp -fr ../rel $$HOME/xscalelinux;fi;)
PXA_HOST_DIR		:= $(HOME)/xscalelinux/$(DBG_REL_VER)/host
else
PXA_HOST_DIR		:= $(PXA_ROOT_DIR)/$(DBG_REL_VER)/host
endif
PXA_HOST_INCLUDE_DIR	:= $(PXA_HOST_DIR)/include
PXA_HOST_LIB_DIR	:= $(PXA_HOST_DIR)/lib

#Target related dir
ifeq "$(CONFIG_CC_DEVELOPMENT)" "y"
PXA_TARGET_DIR		:= $(HOME)/xscalelinux/$(DBG_REL_VER)/target
else
PXA_TARGET_DIR		:= $(PXA_ROOT_DIR)/$(DBG_REL_VER)/target
endif
PXA_TARGET_FS_DIR	:= $(PXA_TARGET_DIR)/rootfs
PXA_TARGET_MOD_DIR	:= $(PXA_TARGET_FS_DIR)/lib/modules
PXA_TARGET_LIB_DIR	:= $(PXA_TARGET_FS_DIR)/usr/lib
PXA_TARGET_BIN_DIR	:= $(PXA_TARGET_FS_DIR)/usr/bin
PXA_TARGET_IMAGE_DIR	:= $(PXA_TARGET_DIR)/bin
# END SECTION (Define)


#*****************************************************************************

##############################################################################
# BEGIN SECTION (complier parameter)
#
#	Compiler setting 
#

export ARCH		:= arm
export CROSS_COMPILE	:= arm-linux-

#
#	Include make variables (CC, etc...)
#
ASM	:= $(CROSS_COMPILE)as
LD	:= $(CROSS_COMPILE)ld
CC	:= $(CROSS_COMPILE)gcc
CPP	:= $(CROSS_COMPILE)c++
AR	:= $(CROSS_COMPILE)ar
STRIP   := $(CROSS_COMPILE)strip
OBJCOPY	:= $(CROSS_COMPILE)objcopy
OBJDUMP	:= $(CROSS_COMPILE)objdump
RANLIB  := $(CROSS_COMPILE)ranlib

LIBDIR	:= -L$(PXA_HOST_LIB_DIR) -L$(PXA_TARGET_FS_DIR)/lib

#
#	Flag declare
#
ifeq "$(CONFIG_GEN_DEBUG)" "y"
WARNINGFLAG	= -Waggregate-return -Wmissing-noreturn -W -Wall
CFLAGS		= -I$(PXA_SRC_PVK_LNX_DIR)/include -I$(PXA_HOST_INCLUDE_DIR) $(LIBDIR)\
		  -g $(WARNINGFLAG) -mcpu=iwmmxt -mtune=iwmmxt -mabi=aapcs-linux
AFLAGS 		= -mcpu=iwmmxt
else
WARNINGFLAG	= -Waggregate-return -Wmissing-noreturn -W -Wall
CFLAGS		= -I$(PXA_SRC_PVK_LNX_DIR)/include -I$(PXA_HOST_INCLUDE_DIR) $(LIBDIR)\
		  -g $(WARNINGFLAG) -mcpu=iwmmxt -mtune=iwmmxt -mabi=aapcs-linux
AFLAGS 		= -mcpu=iwmmxt
#WARNINGFLAG	= -W 
#CFLAGS		= -I$(PXA_SRC_PVK_LNX_DIR)/include -I$(PXA_HOST_INCLUDE_DIR) $(LIBDIR)\
#		  -O2 $(WARNINGFLAG) -mcpu=iwmmxt -mtune=iwmmxt -mabi=aapcs-linux
#AFLAGS		= -mcpu=iwmmxt
endif


.SUFFIXES : .o .S .s .cpp .c .i

.S.o :
	$(ASM) $(AFLAGS) -o $@ $<

.s.o :
	$(ASM) $(AFLAGS) -o $@ $<

.cpp.o :
	$(CPP) $(CFLAGS) -c -o $@ $<

.c.o :
	$(CC) $(CFLAGS) -c -o $@ $<

.c.i :
	$(CC) $(CFLAGS) -E -c -o $@ $<

ifneq ($(shell echo $$UID), 0)
export SUDO=sudo 
else
endif


# END SECTION (complier parameter)
#****************************************************************************
