/*
 * smdk2500.h: SMDK2500 specific defines
 *
 * Copyright (C) 2001  Erik Mouw (J.A.K.Mouw@its.tudelft.nl)
 * Copyright (C) 2003  Russ Dill <Russ.Dill@asu.edu>
 *
 * $Id: smdk2500.h,v 1.1 2003/09/04 18:10:42 russd Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ident "$Id: smdk2500.h,v 1.1 2003/09/04 18:10:42 russd Exp $"

#ifndef BLOB_ARCH_SMDK2500_H
#define BLOB_ARCH_SMDK2500_H


#define TERMINAL_SPEED baud_115200

#define CPU_SPEED SPEED_166MHz
#define BUS_SPEED SPEED_133MHz


/* GPIO for the LED */
#define LED_GPIO		0x00000001 /* GPIO 0 */


/* the base address were blob-rest is loaded by the first stage loader */
#define BLOB_ABS_BASE_ADDR	(0x40200400)


/* where do various parts live in RAM */
#define BLOB_RAM_BASE		(0x40100000)
#define PARAM_RAM_BASE		(0x40110000)
#define KERNEL_RAM_BASE		(0x40008000)
#define RAMDISK_RAM_BASE	(0x40400000)
#define RAM_START		(0x41000000)

/* and where do they live in flash */
#define BLOB_FLASH_BASE		(0x00000000)
#define BLOB_FLASH_LEN		(64 * 1024)
#define PARAM_FLASH_BASE	(BLOB_FLASH_BASE + BLOB_FLASH_LEN)
#define PARAM_FLASH_LEN		(64 * 1024)
#define SMDK2500_ERASE_BLOCK	(64 * 1024)
#define KERNEL_FLASH_BASE	(PARAM_FLASH_BASE + PARAM_FLASH_LEN)
#define KERNEL_FLASH_LEN	(SMDK2500_ERASE_BLOCK * (32 - 2))
#define LOAD_RAMDISK		0 /* load ramdisk into ram */
#define RAMDISK_FLASH_BASE	(PARAM_FLASH_BASE + PARAM_FLASH_LEN)
#define RAMDISK_FLASH_LEN	(SMDK2500_ERASE_BLOCK * (32 - 2))

#define PARAM_START PARAM_FLASH_BASE
#define PARAM_LEN PARAM_FLASH_LEN

/* the position of the kernel boot parameters */
#define BOOT_PARAMS		(0x40000100)


/* the size (in kbytes) to which the compressed ramdisk expands */
#define RAMDISK_SIZE		(8 * 1024)




#endif
