
/*
 * proc/s3c2500.h - processor specific defines
 * 
 * Copyright (C) 2001  Erik Mouw (J.A.K.Mouw@its.tudelft.nl)
 * Copyright (C) 2003  Abraham van der Merwe <abz@4dllc.com>
 * Copyright (C) 2003  Russ Dill <Russ.Dill@asu.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef BLOB_S3C2500_PROC_H
#define BLOB_S3C2500_PROC_H

#define io_p2v(x) (x)
#define io_v2p(x) (x)

#ifndef __ASSEMBLY__

# define __REG(x)	(*((volatile u32 *)io_p2v(x)))

# define __REG2(x,y)	\
	( __builtin_constant_p(y) ? (__REG((x) + (y))) \
				  : (*(volatile u32 *)((u32)&__REG(x) + (y))) )

# define __PREG(x)	(io_v2p((u32)&(x)))

#else

# define __REG(x)	(x)
# define __PREG(x)	(x)
/* for [r0, REG] accesses */
# define __REG2(x,y)	(y)

#endif


#include <blob/arch/s3c2500-regs.h>

/* memory start and end */
#define MEMORY_START		(0x40000000)
#define MEMORY_END		(0x48000000)
/* bank2 is at 0x80000000 to 0x88000000 */

#endif
