/*
 * reboot.h: Reboot function for blob
 *
 * Copyright (C) 2003  Erik Mouw (J.A.K.Mouw@its.tudelft.nl)
 *
 * $Id: reboot.h,v 1.4 2003/09/04 18:03:09 russd Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ident "$Id: reboot.h,v 1.4 2003/09/04 18:03:09 russd Exp $"

#ifndef BLOB_REBOOT_H
#define BLOB_REBOOT_H


#include <blob/types.h>


typedef void (*reboot_func_t)(void);


typedef struct {
	reboot_func_t reboot;
} reboot_driver_t;


/* implemented reboot drivers */
extern reboot_driver_t s3c2500_reboot_driver;
extern reboot_driver_t sa11x0_reboot_driver;
extern reboot_driver_t pxa_reboot_driver;
extern reboot_driver_t mhn_reboot_driver;

/* should be filled out by the architecture dependent files */
extern reboot_driver_t *reboot_driver;


/* exported functions */
void reboot_system(void);

#endif
