/*
 *  s3c2500.h
 *
 *  Copyright (c) 2003  Russ Dill <Russ.Dill@asu.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef _NET_S3C2500_H
#define _NET_S3C2500_H



struct buffer_t {
	u8	*ptr;
	u32	desc;
};


#define BDMA_owner	(1 << 31)
#define DescSkipBD	(1 << 30)
#define DescSOF		(1 << 29)
#define DescEOF		(1 << 28)
#define BRxDone		(1 << 23)

#define BDMATXCON	0x00000
#define BTxMSL		4
#define BTxEn		(1 << 10)
#define BTxRS		(1 << 11)

#define BDMARXCON	0x00004
#define BRxNBD		0
#define BRxMSL		4
#define BRxEn		(1 << 10)
#define BRxRS		(1 << 11)

#define BDMATXDPTR	0x00008
#define BDMARXDPTR	0x0000c
#define BTXBDCNT	0x00010
#define BRXBDCNT	0x00014
#define BMTXINTEN	0x00018
#define BMRXINTEN	0x0001c

#define BMTXSTAT	0x00020
#define TxComp		(1 << 6)

#define BMRXSTAT	0x00024
#define BDMARXLEN	0x00028
#define CFTXSTAT	0x00030

#define MACCON		0x10000
#define MReset		(1 << 2)
#define MACFD		(1 << 3)

#define CAMCON		0x10004
#define MStation	(1 << 0)
#define MBroad		(1 << 2)
#define MCompEn		(1 << 4)

#define MACTXCON	0x10008
#define MTxEn		(1 << 0)

#define MACTXSTAT	0x1000c

#define MACRXCON	0x10010
#define MRxEn		(1 << 0)

#define MACRXSTAT	0x10014
#define STADATA		0x10018
#define STACON		0x1001c
#define CAMEN		0x10028
#define MISSCNT		0x1003c
#define PZCNT		0x10040
#define RMPZCNT		0x10044
#define CAM		0x10080

#endif
