/*
 * ledasm-mmap.S: simple LED control code for a memory mapped arch
 *
 * Copyright (C) 2003 by SOMA Networks, Inc.
 *
 * Derived from:
 *	 Copyright (C) 2001  Erik Mouw (J.A.K.Mouw@its.tudelft.nl)
 *
 * $Id: ledasm-mmap.S,v 1.1 2003/02/13 01:10:53 erikm Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

.ident "$Id: ledasm-mmap.S,v 1.1 2003/02/13 01:10:53 erikm Exp $"

#ifdef HAVE_CONFIG_H
# include <blob/config.h>
#endif

#include <blob/arch.h>

.globl ledinit
ledinit:
	
	mov	pc, lr

.globl led_on
	/* turn LED on. clobbers r0 and r1 */
led_on:

	ldr	r0, =LED_ADDR
	ldr	r1, =LED_ON
	str	r1, [r0]
	ldr r1, [r0]
	mov	pc, lr


.globl led_off
	/* turn LED off. clobbers r0 - r1 */
led_off:

	ldr	r0, =LED_ADDR
	ldr	r1, =LED_OFF
	str	r1, [r0]
	ldr r1, [r0]
	mov	pc, lr

.globl led_blink
led_blink:

	mov	pc, lr
