/*
 * ramses: M%N Ramses MN-CI stuff
 *
 * Copyright (C) 2001  Erik Mouw (J.A.K.Mouw@its.tudelft.nl)
 * Copyright (C) 2001  Stefan Eletzhofer 
 *                               (stefan.eletzhofer@www.eletztrick.de)
 * Copyright (C) 2002  Jeff Sutherland <jeffs@accelent.com>
 * Copyright (C) 2003  Holger Schurig <h.schurig@mn-logistik.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/**********************************************************************
 * includes
 */

#ifdef HAVE_CONFIG_H
# include <blob/config.h>
#endif

#include <blob/main.h>
#include <blob/arch.h>
#include <blob/errno.h>
#include <blob/error.h>
#include <blob/util.h>
#include <blob/serial.h>
#include <blob/flash.h>
#include <blob/init.h>
#include <blob/command.h>
#include <blob/uucodec.h>
#include <blob/serial.h>
#include <blob/time.h>


extern blob_status_t blob_status;

/* flash descriptor for Ramses MN-CI flash. */
/* Ramses uses 2xINTEL e28F128 Chips */
static const flash_descriptor_t ramses_flash_descriptors[] =
{
	{
		size: 2 * 128 * 1024,
		num: 128,
		lockable: 1
	},
	{
		/* NULL block */
	},
};


static int ramses_flash_enable_vpp(void)
{
	//TODO

	return 0;
}




static int ramses_flash_disable_vpp(void)
{
	//TODO

	return 0;
}



static void init_ramses_flash_driver(void)
{
	flash_descriptors = ramses_flash_descriptors;
	flash_driver = &intel32_flash_driver;
	flash_driver->enable_vpp = ramses_flash_enable_vpp;
	flash_driver->disable_vpp = ramses_flash_disable_vpp;
}

__initlist(init_ramses_flash_driver, INIT_LEVEL_DRIVER_SELECTION);




static void ramses_init_hardware(void)
{
	/* select serial driver */
	serial_driver = &pxa_serial_driver;
	timer_driver = &intelarm_timer_driver;
}

__initlist(ramses_init_hardware, INIT_LEVEL_DRIVER_SELECTION);

