/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *(C) Copyright 2006 Marvell International Ltd.  
 * All Rights Reserved 
 */

/*++

Module Name:  $Workfile: xllp_ov7660.h $

Abstract:  
      contains all OV7660 function prototypes.
    Declares no storage.

Notes:Only valid for processor code named Monahans.

--*/


#ifndef _XLLP_OV7660_H_
#define _XLLP_OV7660_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "xllp_camera.h"

//////////////////////////////////////////////////////////////////////////////////////
//
//          Prototypes
//
//////////////////////////////////////////////////////////////////////////////////////

XLLP_STATUS_T CameraFuncOV7660Init( P_XLLP_Camera_Context_T );

XLLP_STATUS_T CameraFuncOV7660DeInit( P_XLLP_Camera_Context_T );

XLLP_STATUS_T CameraFuncOV7660Sleep(  P_XLLP_Camera_Context_T camera_context );

XLLP_STATUS_T CameraFuncOV7660Wake(  P_XLLP_Camera_Context_T camera_context );

XLLP_STATUS_T CameraFuncOV7660SetCaptureFormat( P_XLLP_Camera_Context_T );

XLLP_STATUS_T CameraFuncOV7660StartCapture( P_XLLP_Camera_Context_T, unsigned int frames );

XLLP_STATUS_T CameraFuncOV7660StopCapture( P_XLLP_Camera_Context_T );

XLLP_STATUS_T CameraFuncOV7660Read8bit(  P_XLLP_Camera_Context_T camera_context, XLLP_UINT8_T reg_addr,  XLLP_UINT8_T *reg_val);

XLLP_STATUS_T CameraFuncOV7660Write8bit(  P_XLLP_Camera_Context_T camera_context, XLLP_UINT8_T reg_addr,  XLLP_UINT8_T reg_val);

XLLP_STATUS_T CameraFuncOV7660SetPowerMode(P_XLLP_Camera_Context_T camera_context, XLLP_UINT8_T mode);

XLLP_STATUS_T CameraFuncOV7660SetContrast( P_XLLP_Camera_Context_T camera_context, XLLP_UINT8_T mode, XLLP_UINT32_T value);

XLLP_STATUS_T CameraFuncOV7660SetExposure( P_XLLP_Camera_Context_T camera_context, XLLP_UINT8_T mode, XLLP_UINT32_T value);

XLLP_STATUS_T CameraFuncOV7660SetWhiteBalance( P_XLLP_Camera_Context_T camera_context, XLLP_UINT8_T mode, XLLP_UINT32_T value);

#ifdef __cplusplus
}
#endif

#endif

