@*******************************************************************************
@
@ This program is free software; you can redistribute it and/or modify
@ it under the terms of the GNU General Public License as published by
@ the Free Software Foundation; either version 2 of the License, or
@ (at your option) any later version.
@ 
@ This program is distributed in the hope that it will be useful,
@ but WITHOUT ANY WARRANTY; without even the implied warranty of
@ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
@ GNU General Public License for more details.
@ 
@ You should have received a copy of the GNU General Public License
@ along with this program; if not, write to the Free Software
@ Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
@

@ (C) Copyright 2006 Marvell International Ltd.  
@  All Rights Reserved 
@*******************************************************************************
@
@  FILENAME:     xlli_MFPR_table.inc
@
@ LAST MODIFIED: 4-Aug-2006
@
@ PURPOSE:      The following table is used to configure the Muli-Function Pin
@               Registers (MFPRs) for the Zylonite platform. Alternate function
@               bits are not set (with the possible exception of one of the
@               UARTs). As supplied, the values provided below are designed to
@               configure the processor I/O pins in such a way that the I/O
@               current consumption is kept to a minimal value.
@
@*******************************************************************************
@
@       Standard XLLI setup is to configure pins for the lowest power
@       setting and all alternate functions are set to zero unless
@       otherwise specified below.
@
@
	@ The following MFPR settings are for Monahans L
        .align 2
        .word     0x000034C1      @ GPIO_0   - Pull Down Enabled
        .word     0x000054C1      @ GPIO_1   - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_2   - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_3   - Pull Up Enabled
        .word     0x0000B4C0      @ GPIO_4   - Pull Up Enabled
        .word     0x0000B4C0      @ GPIO_5   - Pull Up Enabled
        .word     0x0000B4C0      @ GPIO_6   - Pull Up Enabled
        .word     0x0000B4C0      @ GPIO_7   - Pull Up Enabled
        .word     0x0000B4C0      @ GPIO_8   - Pull Up Enabled
        .word     0x0000B4C0      @ GPIO_9   - Pull Up Enabled

        .align 2
        .word     0x0000B4C0      @ GPIO_10  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_11  - Pull Down Enabled
        .word     0x0000D4C0      @ GPIO_12  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_13  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_14  - Pull Up Enabled
        .word     0x0000D4C0      @ GPIO_15  - Pull Up Enabled
        .word     0x0000D4C0      @ GPIO_16  - Pull Up Enabled
.if 1 @ for cherry
        .word     0x00000840      @ GPIO_17  - Pull Up Enabled
.else
        .word     0x00000841      @ GPIO_17  - Pull Up Enabled
.endif
        .word     0x0000B4C0      @ GPIO_18  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_19  - Pull Down Enabled

        .align 2
        .word     0x0000D4C0      @ GPIO_20  - Pull Down Enabled
        .word     0x0000A841      @ GPIO_21  - Pull Up Enabled
        .word     0x0000A841      @ GPIO_22  - Pull Down Enabled
        .word     0x0000D4C0      @ GPIO_23  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_24  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_25  - Pull uP Enabled
        .word     0x0000B4C0      @ GPIO_26  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_27  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_28  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_29  - Pull Down Enabled

        .align 2
.ifdef xlli_Monahans_LV
        .word     0x0000F480      @ GPIO_30  - Configured for FFUART_RXD
        .word     0x0000B4C0      @ GPIO_31  - Configured for FFUART_TXD
        .word     0x0000B4C0      @ GPIO_32  - Pull Up Enabled
        .word     0x0000B5C3      @ GPIO_33  - Pull Up Enabled
        .word     0x0000B5C3      @ GPIO_34  - Pull Down Enabled
        .word     0x0000D5C3      @ GPIO_35  - Pull Down Enabled
        .word     0x0000D5C3      @ GPIO_36  - Pull Down Enabled
        .word     0x0000D5C3      @ GPIO_37  - Pull Down Enabled
.else
        .word     0x000001C2      @ GPIO_30  - Configured for FFUART_RXD
        .word     0x000001C2      @ GPIO_31  - Configured for FFUART_TXD
        .word     0x000001C2      @ GPIO_32  - Pull Up Enabled
        .word     0x000001C2      @ GPIO_33  - Pull Up Enabled
        .word     0x000001C2      @ GPIO_34  - Pull Down Enabled
        .word     0x000001C2      @ GPIO_35  - Pull Down Enabled
        .word     0x000001C2      @ GPIO_36  - Pull Down Enabled
        .word     0x000001C2      @ GPIO_37  - Pull Down Enabled
.endif

        .align 2
        .word     0x0000D5C3      @ GPIO_38  - Pull Down Enabled
        .word     0x0000D5C3      @ GPIO_39  - Pull Down Enabled

        .align 2
        .word     0x0000D5C3      @ GPIO_40  - Pull Up Enabled
        .word     0x0000B5C1      @ GPIO_41  - Pull Up Enabled
        .word     0x0000B4C0      @ GPIO_42  - Pull Up Enabled
        .word     0x0000B4C0      @ GPIO_43  - Pull Up Enabled
        .word     0x0000B4C0      @ GPIO_44  - Pull Up Enabled
        .word     0x0000B4C0      @ GPIO_45  - Pull Up Enabled
        .word     0x0000B4C0      @ GPIO_46  - Pull Up Enabled
        .word     0x0000B4C0      @ GPIO_47  - Pull Up Enabled
        .word     0x0000B4C0      @ GPIO_48  - Pull Up Enabled
        .word     0x0000B4C0      @ GPIO_49  - Pull Down Enabled

        .align 2
        .word     0x0000B4C0      @ GPIO_50  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_51  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_52  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_53  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_54  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_55  - Pull Down Enabled
        .word     0x0000D4C0      @ GPIO_56  - Pull Down Enabled
        .word     0x00000041      @ GPIO_57  - Pull Down Enabled
        .word     0x00000041      @ GPIO_58  - Pull Down Enabled
        .word     0x00000041      @ GPIO_59  - Pull Down Enabled

        .align 2
        .word     0x00000041      @ GPIO_60  - Pull Down Enabled
        .word     0x00000041      @ GPIO_61  - Pull Down Enabled
        .word     0x00000041      @ GPIO_62  - Pull Down Enabled
        .word     0x00000041      @ GPIO_63  - Pull Up enabled
        .word     0x00000041      @ GPIO_64  - Pull Down Enabled
        .word     0x00000041      @ GPIO_65  - Pull Down Enabled
        .word     0x00000041      @ GPIO_66  - Pull Down Enabled
        .word     0x00000041      @ GPIO_67  - Pull Down Enabled
        .word     0x00000041      @ GPIO_68  - Pull Down Enabled
        .word     0x00000041      @ GPIO_69  - Pull Down Enabled

        .align 2
        .word     0x00000041      @ GPIO_70  - Pull Down Enabled
        .word     0x00000041      @ GPIO_71  - Pull Down Enabled
        .word     0x00000041      @ GPIO_72  - Pull Down Enabled
        .word     0x00000041      @ GPIO_73  - Pull Up Enabled
        .word     0x00000041      @ GPIO_74  - Pull Down Enabled
        .word     0x00000041      @ GPIO_75  - Pull Down Enabled
        .word     0x00000041      @ GPIO_76  - Pull Down Enabled
        .word     0x00000441      @ GPIO_77  - Pull Down Enabled
        .word     0x00004940      @ GPIO_78  - Pull Down Enabled
        .word     0x00004940      @ GPIO_79  - Pull Down Enabled

        .align 2
.if 1 @ for cherry
		.word     0x00000801      @ GPIO_80  - Pull Down Enabled
.else
        .word     0x00000000      @ GPIO_80  - Pull Down Enabled
.endif
        .word     0x00000801      @ GPIO_81  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_82  - Pull Up Enabled
        .word     0x0000B4C0      @ GPIO_83  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_84  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_85  - Pull Down Enabled
        .word     0x0000B4C0      @ GPIO_86  - Pull Down Enabled
        .word     0x0000D4C0      @ GPIO_87  - Pull Up Enabled
        .word     0x000008C1      @ GPIO_88  - Pull Up Enabled
.if 1 @ for cherry
        .word     0x0000b4C0      @ GPIO_89  - Pull Up Enabled
.else
        .word     0x000008C1      @ GPIO_89  - Pull Up Enabled
.endif		

        .align 2
.if 1 @ for cherry
        .word     0x0000b4C0      @ GPIO_90  - Pull Up Enabled
.else
        .word     0x000008C1      @ GPIO_90  - Pull Up Enabled
.endif		
        .word     0x0000B4C0      @ GPIO_91  - Pull Down Enabled
        .word     0x0000D4C0      @ GPIO_92  - Pull Down Enabled
        .word     0x0000D4C0      @ GPIO_93  - Pull Down Enabled
        .word     0x000014C1      @ GPIO_94  - Pull Down Enabled
        .word     0x00003441      @ GPIO_95  - Pull Down Enabled
        .word     0x00003441      @ GPIO_96  - Pull Down Enabled
        .word     0x000014C1      @ GPIO_97  - Pull Down Enabled
        .word     0x000049C1      @ GPIO_98  - Pull Down Enabled

.ifdef xlli_Monahans_LV
        .word     0x0000B4C0      @ GPIO_99  - Pull Up Enabled
        .word     0x0000D4C0      @ GPIO_100 - Pull Up Enabled
        .word     0x0000D4C0      @ GPIO_101 - Pull Up Enabled
        .word     0x0000D4C0      @ GPIO_102 - Pull Up Enabled
        .word     0x0000D5C2      @ GPIO_103 - Pull Up Enabled
        .word     0x0000D4C0      @ GPIO_104 - Pull Up Enabled
        .word     0x0000D5C2      @ GPIO_105 - Pull Up Enabled
        .word     0x0000D5C2      @ GPIO_106 - Pull Up Enabled
.else
        .word     0x0000A0C0      @ GPIO_99  - Pull Up Enabled
        .word     0x0000A0C0      @ GPIO_100 - Pull Up Enabled
        .word     0x0000A0C0      @ GPIO_101 - Pull Up Enabled
        .word     0x0000A0C0      @ GPIO_102 - Pull Up Enabled
        .word     0x0000A0C0      @ GPIO_103 - Pull Up Enabled
        .word     0x000001C1      @ GPIO_104 - Pull Up Enabled
        .word     0x000001C1      @ GPIO_105 - Pull Up Enabled
        .word     0x0000A0C0      @ GPIO_106 - Pull Up Enabled
.endif

        .align 2
        .word     0x0000A0C0      @ GPIO_107 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_108 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_109 - Pull Up Enabled

        .align 2
        .word     0x0000A0C0      @ GPIO_110 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_111 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_112 - Pull Up Enabled
        .word     0x0000A0C0      @ GPIO_113 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_114 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_115 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_116 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_117 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_118 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_119 - Pull Down Enabled

        .align 2
        .word     0x0000A0C0      @ GPIO_120 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_121 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_122 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_123 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_124 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_125 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_126 - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_127 - Pull Down Enabled
@
        .align 2
        .word     0x0000C0C0      @ GPIO_0_2  - Pull Up Enabled
        .word     0x0000C0C0      @ GPIO_1_2  - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_2_2  - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_3_2  - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_4_2  - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_5_2  - Pull Down Enabled
        .word     0x0000A0C0      @ GPIO_6_2  - Pull Down Enabled

@
@       EMPI MFPRs (Configured by boot ROM?)
@
        .align 2
        .word     0x0000A0C0      @ DF_IO0
        .word     0x0000A0C0      @ DF_IO1
        .word     0x0000A0C0      @ DF_IO2
        .word     0x0000A0C0      @ DF_IO3
        .word     0x0000A0C0      @ DF_IO4
        .word     0x0000A0C0      @ DF_IO5
        .word     0x0000A0C0      @ DF_IO6
        .word     0x0000A0C0      @ DF_IO7
        .word     0x0000A0C0      @ DF_IO8
        .word     0x0000A0C0      @ DF_IO9
        .word     0x0000A0C0      @ DF_IO10
        .word     0x0000A0C0      @ DF_IO11
        .word     0x0000A0C0      @ DF_IO12
        .word     0x0000A0C0      @ DF_IO13
        .word     0x0000A0C0      @ DF_IO14
        .word     0x0000A0C0      @ DF_IO15

        .align 2
        .word     0x0000A0C0      @ DF_ADDR0
        .word     0x0000A0C0      @ DF_ADDR1
        .word     0x0000A0C0      @ DF_ADDR2
        .word     0x0000A0C0      @ DF_ADDR3
@
        .align 2
        .word     0x0000A0C0      @ DF_SCLK_E
        .word     0x0000A0C0      @ nBE0
        .word     0x0000A0C0      @ nBE1
        .word     0x0000A0C0      @ DF_nADV2_ALE
        .word     0x0000A0C0      @ DF_INT_RnB
        .word     0x0000A0C0      @ DF_nCS0
        .word     0x0000A0C0      @ DF_nCS1
        .word     0x0000A0C0      @ DF_nWE
        .word     0x0000A0C0      @ DF_nRE_nOE
        .word     0x0000A0C0      @ nLUA
        .word     0x0000A0C0      @ nLLA

