/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 *(C) Copyright 2006 Marvell International Ltd.  
 * All Rights Reserved 
 */

/** FILENAME:	xllp_pm.h
**
** PURPOSE:	contain register definition for Service Power Manager and 
**		Boerne Power Manager registers.
**
******************************************************************************/

#ifndef __XLLP_PM_H
#define __XLLP_PM_H

#include "xllp_defs.h"

/* XLLP PM registers definition*/
typedef struct {
	XLLP_VUINT32_T pmcr;
	XLLP_VUINT32_T psr;
	XLLP_VUINT32_T pspr;
	XLLP_VUINT32_T pcfr;
	XLLP_VUINT32_T pwer;
	XLLP_VUINT32_T pwsr;
	XLLP_VUINT32_T pecr;
	XLLP_VUINT32_T reserved1[25];
	XLLP_VUINT32_T dcsr;
	XLLP_VUINT32_T jconr;
#ifdef BSTD
	XLLP_VUINT32_T pmer;
#endif
	XLLP_VUINT32_T reserved2[30];
	XLLP_VUINT32_T pvcr;
}XLLP_PM_SPMU_T, *P_XLLP_PM_SPMU_T;

typedef struct {
	XLLP_VUINT32_T ascr;
	XLLP_VUINT32_T arsr;
	XLLP_VUINT32_T ad3er;
	XLLP_VUINT32_T ad3sr;
	XLLP_VUINT32_T ad2d0er;
	XLLP_VUINT32_T ad2d0sr;
	XLLP_VUINT32_T ad2d1er;
	XLLP_VUINT32_T ad2d1sr;
	XLLP_VUINT32_T ad1d0er;
	XLLP_VUINT32_T ad1d0sr;
	XLLP_VUINT32_T reserved[1];
	XLLP_VUINT32_T agenp;
	XLLP_VUINT32_T ad3r;
	XLLP_VUINT32_T ad2r;
	XLLP_VUINT32_T ad1r;
}XLLP_PM_BPMU_T, *P_XLLP_PM_BPMU_T;

#define XLLP_ARSR_HWR   (0x1 << 0)
#define XLLP_ARSR_WDT   (0x1 << 1)
#define XLLP_ARSR_LPMR  (0x1 << 2)
#define XLLP_ARSR_GPR   (0x1 << 3)

#define XLLP_PVCR_FVE	(0x1 << 31)
#define XLLP_PVCR_PVE	(0x1 << 30)
#define XLLP_PVCR_TVE	(0x1 << 29)

#define XLLP_ASCR_MTS(n)	((n) << 12)
#define XLLP_ASCR_MTS_MASK	(0x7 << 12)

#define XLLP_PWSR_EDR0  (0x1 << 0)
#define XLLP_PWSR_EDR1  (0x1 << 1)
#define XLLP_PWSR_EDF0  (0x1 << 2)
#define XLLP_PWSR_EDF1  (0x1 << 3)
#define XLLP_PWSR_EERTC (0x1 << 31)

#define XLLP_PWER_WER0  (0x1 << 0)
#define XLLP_PWER_WER1  (0x1 << 1)
#define XLLP_PWER_WEF0  (0x1 << 2)
#define XLLP_PWER_WEF1  (0x1 << 3)
#define XLLP_PWER_WERTC (0x1 << 31)

#endif
