/*
 * reboot-pxa.c: Reboot PXA 250 board
 *
 * Copyright (C) 2003  Erik Mouw (J.A.K.Mouw@its.tudelft.nl)
 *
 * (C) Copyright 2006 Marvell International Ltd.  
 * All Rights Reserved 
 *
 * $Id: reboot-pxa.c,v 1.1 2003/01/04 02:11:43 erikm Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ident "$Id: reboot-pxa.c,v 1.1 2003/01/04 02:11:43 erikm Exp $"

#ifdef HAVE_CONFIG_H
# include <blob/config.h>
#endif

#include <blob/util.h>
#include <blob/reboot.h>
#include <blob/serial.h>
#include <blob/arch.h>




void mhn_reboot(void)
{
	serial_flush_output();
	OWER = OWER_WME;
	OSSR = OSSR_M3;
	OSMR3 = OSCR + 368640;	/* ... in 100 ms */
	for(;;);
}




/* export reboot driver */
reboot_driver_t mhn_reboot_driver = {
	reboot:	mhn_reboot
};
