/**************************************************************************
**
**  (C) Copyright December 2006 Marvell International Ltd.
**
**  All Rights Reserved.
**
**  This software file (the "File") is distributed by Marvell International  
**  Ltd. under the terms of the GNU General Public License Version 2, June  
**  1991 (the "License").  You may use, redistribute and/or modify this File   
**  in accordance with the terms and conditions of the License, a copy of  
**  which is available along with the File in the license.txt file or by   
**  writing to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,   
**  Boston, MA 02111-1307 or on the worldwide web at 
**  http://www.gnu.org/licenses/gpl.txt.
**
**  THE FILE IS DISTRIBUTED AS-IS, WITHOUT WARRANTY OF ANY KIND, AND THE   
**  IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR  
**  PURPOSE ARE EXPRESSLY DISCLAIMED.  The License provides additional
**  details about this warranty disclaimer. 
**
**  Filename: TBBLIB.h
**
**  This file contains declaration statements for the TIM binary image
**  build tool, TBBTIM.
** 
******************************************************************************/

#ifndef __TIM_LIB__
#define __TIM_LIB__

#define MAX_IMAGE_FILES 10
#define MAX_PATH 260
#include "tim.h"
#include "typedef.h"
#include "ippcp.h"

extern Ipp32u DigitalSignature[MAXKEYSIZEWORDS];
extern UINT_T RsaPrivateKey[MAXKEYSIZEWORDS];
extern UINT_T RsaPublicKey[MAXKEYSIZEWORDS];

bool BuildDigitalSignature (char *KeyFileName,char *HashFileName);
bool AddDigitalSignatureToTim (char *TimFileName,char *TimOutFileName,char *DsFileName);
bool VerifySizeOfTim (CTIM *pTimHeader);
void Endian_Convert (UINT_T x,UINT_T *y);
int GetTimHashSize (CTIM *pTimHeader);
bool GenerateTimHash (FILE *hTimFile,CTIM *pTimHeader,PLAT_DS *pDs,Ipp8u *pDsHash, unsigned int HashSize);
bool DumpTimHashToBinFile (PLAT_DS *pDs,Ipp8u *pDsHash, char *HashFileName);
bool EncryptSignature (bool encrypt,PLAT_DS *pDs,Ipp8u *DsHash);
void ConvertMSWToLSWAndFlip(PLAT_DS *pDs);
bool InstallDigitalSignature (char *szFilename,bool bIsAppend);
unsigned long int Translate (char *pValue);
UINT32_T CheckSum (unsigned char *Address, UINT_T length);
bool DumpHashToFile (char *szImageFilename,IMAGE_INFO *pImageInfo);
bool PrependID (FILE *hImageFile,char *szImageFilename,IMAGE_INFO *pImageInfo);
bool GenerateHash (FILE *hImageFile,char *szImageFilename,IMAGE_INFO *pImageInfo);
bool GenerateImageCrc (FILE *hBinaryImage,int iIndex,UINT32_T *pImageCrc);
bool GenerateTimCrc (FILE *hTimFile);
bool ProcessReservedData (FILE *hKeyFile,FILE *hTimFile,int iSize);
bool FillDataArrays (FILE *hKeyFile,DWORD *dwArray,int iSize);
bool GenerateKeyHash (KEY_MOD *key);
bool GenerateOtpHash (CTIM *pTimHeader,PLAT_DS *pDs);
bool VerifyDescriptorIntegrity (FILE *hKeyFile);
bool VerifyNonTrusted (FILE *hKeyFile);
bool VerifyNumberOfImages (FILE *hKeyFile);
bool VerifyNumberOfKeys (FILE *hKeyFile);
bool VerifyReservedData (FILE *hKeyFile);
bool GetParameter (char *fLine,char *pParameter,char *pDec,bool IsFile);
bool VerifyTimHash (char *szTimFilename,PLAT_DS *pDs,Ipp8u *pDsHash, long TIMSizeNoDS);


#endif
