/******************************************************************************
**	(C) Copyright 2007 Marvell International Ltd. ?
**	All Rights Reserved
******************************************************************************/

/******************************************************************************
**
**  COPYRIGHT (C) 2002, 2003 Intel Corporation.
**
**  This software as well as the software described in it is furnished under
**  license and may only be used or copied in accordance with the terms of the
**  license. The information in this file is furnished for informational use
**  only, is subject to change without notice, and should not be construed as
**  a commitment by Intel Corporation. Intel Corporation assumes no
**  responsibility or liability for any errors or inaccuracies that may appear
**  in this document or any software that may be provided in association with
**  this document.
**  Except as permitted by such license, no part of this document may be
**  reproduced, stored in a retrieval system, or transmitted in any form or by
**  any means without the express written consent of Intel Corporation.
**
**  FILENAME:	Typedef.h
**
**  PURPOSE: 	Contain boot ROM typedefs
**
******************************************************************************/
#ifndef __TYPEDEF_H__
#define __TYPEDEF_H__


typedef volatile unsigned long 	VUINT32_T;
typedef unsigned long 		   	UINT32_T, ULONG;
typedef volatile unsigned int  	VUINT_T;
typedef unsigned int 		   	UINT_T;
typedef int			 		   	INT_T;
typedef unsigned short 		   	UINT16_T, USHORT;
typedef volatile unsigned short VUINT16_T;
typedef unsigned char 			UINT8_T;
typedef char		 			INT8_T;
#ifdef FBW_CODE
typedef volatile unsigned char  VUINT8_T;
#endif

typedef void(*FnPVOID)(void);

typedef unsigned int        	UINT,     *PUINT;    // The size is not important
typedef unsigned long long  	UINT64,   *PUINT64;
typedef unsigned int        	UINT32,   *PUINT32;
typedef unsigned short      	UINT16,   *PUINT16;
typedef unsigned char       	UINT8,    *PUINT8;
typedef unsigned char       	UCHAR,BYTE,*PUCHAR;

typedef int                 	INT,      *PINT;    // The size is not important
typedef long long           	INT64,    *PINT64;
typedef int                 	INT32,    *PINT32;
typedef short               	INT16,    *PINT16;
typedef char                	INT8,     *PINT8;
typedef char                	CHAR,     *PCHAR;
typedef void                	VOID,     *PVOID;

typedef volatile  UINT      	VUINT,    *PVUINT;    // The size is not important
typedef volatile  UINT64    	VUINT64,  *PVUINT64;
typedef volatile  UINT32    	VUINT32,  *PVUINT32;
typedef volatile  UINT16    	VUINT16,  *PVUINT16;
typedef volatile  UINT8     	VUINT8,   *PVUINT8;
typedef volatile  UCHAR     	VUCHAR,   *PVUCHAR;

typedef volatile  INT       	VINT,     *PVINT;    // The size is not important
typedef volatile  INT64     	VINT64,   *PVINT64;
typedef volatile  INT32     	VINT32,   *PVINT32;
typedef volatile  INT16     	VINT16,   *PVINT16;
typedef volatile  INT8      	VINT8,    *PVINT8;
typedef volatile  CHAR      	VCHAR,    *PVCHAR;

typedef struct{
UINT_T	ErrorCode;
UINT_T 	StatusCode;
UINT_T 	PCRCode;
}FUNC_STATUS, *pFUNC_STATUS;

#endif

