
/******************************************************************************
**
** INTEL CONFIDENTIAL
** Copyright 2003-2004 Intel Corporation All Rights Reserved.
**
** The source code contained or described herein and all documents
** related to the source code (Material) are owned by Intel Corporation
** or its suppliers or licensors.  Title to the Material remains with
** Intel Corporation or its suppliers and licensors. The Material contains
** trade secrets and proprietary and confidential information of Intel
** or its suppliers and licensors. The Material is protected by worldwide
** copyright and trade secret laws and treaty provisions. No part of the
** Material may be used, copied, reproduced, modified, published, uploaded,
** posted, transmitted, distributed, or disclosed in any way without Intel's
** prior express written permission.
**
** No license under any patent, copyright, trade secret or other intellectual
** property right is granted to or conferred upon you by disclosure or
** delivery of the Materials, either expressly, by implication, inducement,
** estoppel or otherwise. Any license under such intellectual property rights
** must be express and approved by Intel in writing.
**
**  FILENAME: xllp_dfc.h
**
**  PURPOSE:  XLLP interface to the data flash controller (DFC).
**
******************************************************************************/

#ifndef __XLLP_DFC_H__
#define __XLLP_DFC_H__

#include "typedef.h"
#include "xllp_dfc_defs.h"
#include "nand.h"

///////////////////////////////////////////////////////////////////////////////
/////
///     D F C   I N T E R F A C E   R O U T I N E S
///
///////////////////////////////////////////////////////////////////////////////
INT XllpDfcInit     (UINT_T width, P_NAND_Properties_T pNAND_Prop);
INT xdfc_write      (P_DFC_BUFFER buffer, UINT_T address, UINT_T bytes,  unsigned int bUseSpareArea, unsigned int nSABytes, P_NAND_Properties_T pNAND_Prop);
INT xdfc_read       (P_DFC_BUFFER buffer, UINT_T address, UINT_T bytes, UINT_T* SpareArea, P_NAND_Properties_T pNAND_Prop);
INT xdfc_erase      (UINT_T address, P_NAND_Properties_T pNAND_Prop);

//workhorses
INT xdfc_reset      (P_NAND_Properties_T pNAND_Prop);
INT xdfc_readstatus (P_DFC_BUFFER buffer, P_NAND_Properties_T pNAND_Prop);
INT xdfc_readID     (P_DFC_BUFFER buffer, DEVICE_TYPE dev_type);
void xdfc_setTiming (FLASH_TIMING* flash);
void Delay          (INT);
INT xdfc_getStatusPadding(P_NAND_Properties_T pNAND_Prop);
int xdfc_unlock     (unsigned int start_addr, unsigned int end_addr, unsigned int invert, P_NAND_Properties_T pNAND_Prop);

// helper routines
DEVICE_TYPE XllpCheckDeviceType( P_DFC_BUFFER buffer, P_NAND_Properties_T pNAND_Prop);
void XllpLoadProperties(P_DFC_BUFFER buffer, P_NAND_Properties_T pNAND_Prop);
void getAddr(UINT_T address, NDCB1_REG * addr1234, NDCB2_REG * addr5, P_NAND_Properties_T pNAND_Prop);
void getEraseAddr(UINT_T address, NDCB1_REG * addr1234, NDCB2_REG * addr5, P_NAND_Properties_T pNAND_Prop);
INT _WaitForDFCOperationComplete(UINT_T statusMask, UINT32 TimeOutMillisec);



#endif
