
#include "RB_standard.h"

#ifndef RB_USE_NATIVE

//#include <string.h>

void* RB_memcpy(void* dest, const void* src, unsigned long length)
{
	char *destaddr = (char*)dest;
	char *srcaddr = (char*)src;

	while (length-- > 0)
	  *destaddr++ = *srcaddr++;
	return destaddr;

}

void* RB_memset(void* buffer, long value, unsigned long length)
{
	char *st = (char*)buffer;

	while (length-- > 0)
	  *st++ = value;
	return buffer;
}

long RB_memcmp(const void * a_string, const void * b_string, unsigned long length)
{
	if (length != 0) {
		const unsigned char *p1 = a_string, *p2 = b_string;
		do {
			if (*p1++ != *p2++)
				return (*--p1 - *--p2);
		} while (--length != 0);
	}
	return 0;

}


void * RB_memmove(void *dest, const void * src, unsigned long length)
{
	char *destaddr = (char*)dest;
	char *srcaddr = (char*)src;

	if (srcaddr < destaddr)
	for (srcaddr += length, destaddr += length; length; --length)
	  *--destaddr = *--srcaddr;
	else if (srcaddr != destaddr)
	{
	  for (; length; --length)
		*destaddr++ = *srcaddr++;
	}
	return dest;
}

void * memmove(void *dest, const void * src, unsigned long length)
{
   return RB_memmove(dest, src, length);
}
unsigned long RB_div(unsigned long numerator, unsigned long  denominator)
{
	return (numerator/denominator);
}

unsigned long RB_mod(unsigned long y, unsigned long x)
{
	return y-x*(y/x);
}
#endif// RB_USE_NATIVE
