/* @copyright: */


// Flash block size 
#define FLASH_BLOCK_SIZE   128*1024  

// Flash page size 
#define FLASH_PAGE_SIZE     2048

// FOTA available flag address 
#define FOTA_FLAG_ADDRESS   0x0f400000

// start address of the image to be updated in flash 
#define IMAGE_START_ADDRESS  0x00100000 //only the address after bootload can be updated

// end address of the image to be updated in flash 
#define IMAGE_END_ADDRESS   0x0f3fffff 

// the delta diff file start address 
#define DELTA_FILE_START_ADDRESS 0x0f420000     //first block after FOTA area start address

// the delta file's max size 
#define DELTA_FILE_MAX_SIZE    (5*1024*1024)    //5M

// 0X0F900000 -- 0X0F940000  is reserved for FOTA upate agent  (256k)

// the reserved block(for update installer backup) start address 
#define UPI_BACKUP_START_ADDRESS  0X0F940000    //5M after FOTA area start address  

// the number of reserved block(for update installer backup) 
#define UPI_BACKUP_BLOCK_NUM                   2    

// start address of flash block used to backup during update 
#define UPDATE_BACKUP_START_ADDRESS            0x0f980000    

// the number of flash block used to backup during update 
#define UPDATE_BACUP_BLOCK_NUM                 3

// address of RAM available for use by the UPI 
#define RAM_START_ADDRESS    0x80000000 

// size of RAM available for use by the UPI 
#define RAM_SIZE    128*1024*1024             

// start address of the internal RAM can be used for fota 
#define RAM_INTERNAL_ADDRESS   0x5c008000

// size of the internal RAM can be used for fota 
#define RAM_INTERNAL_SIZE     (64*1024)



