#ifndef __RB_STANDARD_HEADER__
#define __RB_STANDARD_HEADER__

#ifndef NO_STD_LIB_USE
#define RB_USE_NATIVE
#endif //NO_STD_LIB_USE


#ifdef RB_USE_NATIVE
#include <string.h>
#define RB_memcpy(des,src,length) memcpy(des,src,length)
#define RB_memset(buffer,value,length) memset(buffer,value,length)
#define RB_memcmp(a_string,b_string,size) memcmp(a_string,b_string,size)
#define RB_memmove(dest,src,size) memmove((dest),(src),(size))
#define RB_div(numerator,denominator) ((numerator)/(denominator))
#define RB_mod(y,x) ((y)%(x))

#else	//RB_USE_NATIVE

#ifdef __cplusplus
    extern "C" {
#endif

void* RB_memcpy(void* des, const void* src, unsigned long length);
void* RB_memset(void* buffer, long value, unsigned long length);
long RB_memcmp(const void * a_string, const void * b_string, unsigned long length);
void* RB_memmove(void *dest, const void * src, unsigned long length);
void* memmove(void *dest, const void * src, unsigned long length);
unsigned long RB_div(unsigned long numerator, unsigned long  denominator);
unsigned long RB_mod(unsigned long y, unsigned long x);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif  //RB_USE_NATIVE

#endif // __RB_STANDARD_HEADER__
