;/******************************************************************************
;**	(C) Copyright 2007 Marvell International Ltd. 
;**	All Rights Reserved
;******************************************************************************/

;*********************************************************************************
;
;        COPYRIGHT (c) 2004-2005 Intel Corporation
;
;   The information in this file is furnished for informational use only,
;   is subject to change without notice, and should not be construed as
;   a commitment by Intel Corporation. Intel Corporation assumes no
;   responsibility or liability for any errors or inaccuracies that may appear
;   in this document or any software that may be provided in association with
;   this document.
;
;*********************************************************************************
;
;  FILENAME:       xlli_Tavor_defs.inc (Platform specific addresses and
;                  defalut values for Tavor platform bring up)
;
; LAST MODIFIED:   18-Apr-2005
;
;******************************************************************************
;
;       platform GPIO pin settings (Monahans/Tavor)
;


xlli_GPSR0_value        EQU     0x00000000      ; Set registers
xlli_GPSR1_value        EQU     0x00000000
xlli_GPSR2_value        EQU     0x00000000

xlli_GPCR0_value        EQU     0xFFFFFFFF      ; Clear registers
xlli_GPCR1_value        EQU     0xFFFFFFFF
xlli_GPCR2_value        EQU     0xFFFFFFFF

xlli_GPDR0_value        EQU     0x00000000      ; Direction Registers
xlli_GPDR1_value        EQU     0x00000000      ; FF_TXD bit only!
xlli_GPDR2_value        EQU     0x00000000
;
;       STATIC MEMORY CONTROLLER SETTINGS FOR TAVOR
;
xlli_MDREFR_value  EQU   (0x00000019)  ;  7/19/2006 12:07PM


xlli_MSC0_value         EQU     0x7FF07FFA
xlli_MSC1_value         EQU     0x7FF47FF8
xlli_MSC2_value         EQU     0x00003884
xlli_MECR_value         EQU     0x00000001
xlli_MCMEM0_value       EQU     0x0001C391
xlli_MCMEM1_value       EQU     0x0001C391
xlli_MCATT0_value       EQU     0x0001C391
xlli_MCATT1_value       EQU     0x0001C391
xlli_MCIO0_value        EQU     0x0001C391
xlli_MCIO1_value        EQU     0x0001C391
xlli_FLYCNFG_value      EQU     0x00010001
xlli_MDMRSLP_value      EQU     0x0000C008
xlli_SXCNFG_value       EQU     0x40044004      ; Default value at boot up

xlli_CSMSADRCFG_value   EQU     0x2             ; CS0 & CS! set for 256 Mb, One bus mode
xlli_CSADRCFG0_value    EQU     0x00020000      ; Chip select 0 configuration
xlli_CSADRCFG1_value    EQU     0x00020000      ; Chip select 1 configuration
xlli_CSADRCFG2_value    EQU     0x003E0809      ; Chip select 2 configuration
xlli_CSADRCFG3_value    EQU     0x003E080B      ; Chip select 3 configuration

xlli_EMPI_MFPR_value    EQU     0x00000041      ; Set to alternate function #1

;
; SDRAM Settings
;
xlli_MDCNFG_value       EQU     0x80000729      ; SDRAM Config Reg - 32 bit bus to 128M DDR init register value
;xlli_EMPI_value         EQU    (0xF0000000)   ; Default value - 32 bit mode + Enable Weak PullUp -- For A0 8/1/2006 6:51PM
xlli_EMPI_value         EQU    (0xB8000000)   ; Default value - 32 bit mode + Enable Weak PullUp + Enable Schmidt Trigger -- For A0 8/10/2006 1:34PM YG
;xlli_MDCNFG_value       EQU     0x8000072D      ; SDRAM Config Reg - 16 bit bus

;change for A0
;xlli_MDCNFG_value       EQU     0x8000062D      ; SDRAM Config Reg - 32 bit bus + chnage in dtc
;xlli_MDCNFG_value       EQU     0x80000721      ; SDRAM Config Reg - 32 bit bus + chnage in dtc

xlli_MDMRS_value        EQU     0x60000033      ; SDRAM Mode Reg Set Config Reg
;xlli_MDEMRS_value  EQU   (0x00000000)   ; SDRAM Extended Mode Reg Set Config Reg (Full array, Full drive) 8/17/2006 4:20PM YG
xlli_MDEMRS_value  EQU   (0x00000020)   ; SDRAM Extended Mode Reg Set Config Reg (Full array, Half drive) 8/10/2006 1:35PM YG

xlli_RCOMP_RCRNG_value          EQU     0x2     ; Resistive compensation range
xlli_RCOMP_REI                  EQU     0x13D62 ; 0.2 second rcomp updates

;
; MEMORY PHYSICAL BASE ADDRESS(S)
;

xlli_SRAM_PHYSICAL_BASE      EQU       (0X5C000000)  ; Physical base address for SRAM
xlli_SDRAM_PHYSICAL_BASE     EQU       (0x80000000)  ; Physical base address for SDRAM

;
; Misc constants
;

xlli_MemSize_1Mb        EQU     0x00100000

xlli_p_PageTable        EQU     0xA1FFC000    ; Base address for memory Page Table
xlli_s_PageTable        EQU     0x00004000    ; Page Table size (4K words - 16 Kb)

xlli_v_xbBOOTROM        EQU     0x00000000

xlli_stack_pointer      EQU     0x0             ; Stack pointer in use

      END
