/**************************************************************************
**
**  (C) Copyright December 2006 Marvell International Ltd.
**
**  All Rights Reserved.
**
**  This software file (the "File") is distributed by Marvell International  
**  Ltd. under the terms of the GNU General Public License Version 2, June  
**  1991 (the "License").  You may use, redistribute and/or modify this File   
**  in accordance with the terms and conditions of the License, a copy of  
**  which is available along with the File in the license.txt file or by   
**  writing to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,   
**  Boston, MA 02111-1307 or on the worldwide web at 
**  http://www.gnu.org/licenses/gpl.txt.
**
**  THE FILE IS DISTRIBUTED AS-IS, WITHOUT WARRANTY OF ANY KIND, AND THE   
**  IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR  
**  PURPOSE ARE EXPRESSLY DISCLAIMED.  The License provides additional
**  details about this warranty disclaimer. 
**
**  Filename: TBBLIB.h
**
**  This file contains declaration statements for the TIM binary image
**  build tool, TBBTIM.
** 
******************************************************************************/

#define MAX_IMAGE_FILES 10
#define MAX_PATH 260
#ifdef NTBBLIB
//bool bVerbose;
bool bIsReservedDataInFile;
//Ipp32u DigitalSignature[MAXKEYSIZEWORDS];
//UINT_T RsaPrivateKey[MAXKEYSIZEWORDS];
//UINT_T RsaPublicKey[MAXKEYSIZEWORDS];
bool VerifySizeOfTim (CTIM *pTimHeader);
void Endian_Convert (UINT_T x,UINT_T *y);
int GetTimHashSize (CTIM *pTimHeader);
#ifdef TRUSTED
bool GenerateTimHash (FILE *hTimFile,CTIM *pTimHeader,PLAT_DS *pDs,Ipp8u *pDsHash, unsigned int HashSize);
bool DumpTimHashToBinFile (PLAT_DS *pDs,Ipp8u *pDsHash, char *HashFileName);
bool EncryptSignature (bool encrypt,PLAT_DS *pDs,Ipp8u *DsHash);
#endif
bool InstallDigitalSignature (char *szFilename,bool bIsAppend);
unsigned long int Translate (char *pValue);
UINT32_T CheckSum (unsigned char *Address, UINT_T length);
bool DumpHashToFile (char *szImageFilename,IMAGE_INFO *pImageInfo);
bool ImageBuild (FILE *hImageFile,char *szImageFilename,IMAGE_INFO *pImageInfo);
bool GenerateHash (FILE *hImageFile,char *szImageFilename,IMAGE_INFO *pImageInfo);
bool GenerateImageCrc (FILE *hBinaryImage,int iIndex,UINT32_T *pImageCrc);
bool GenerateTimCrc (FILE *hTimFile);
bool ProcessReservedData (FILE *hKeyFile,FILE *hTimFile,int iSize);
bool FillDataArrays (FILE *hKeyFile,DWORD *dwArray,int iSize);
bool GenerateKeyHash (KEY_MOD *key);
bool GenerateOtpHash (CTIM *pTimHeader,PLAT_DS *pDs);
bool VerifyDescriptorIntegrity (FILE *hKeyFile);
bool VerifyNonTrusted (FILE *hKeyFile);
bool VerifyNumberOfImages (FILE *hKeyFile);
bool VerifyNumberOfKeys (FILE *hKeyFile);
bool VerifyReservedData (FILE *hKeyFile);
bool GetParameter (char *fLine,char *pParameter,char *pDec,bool IsFile);
#ifdef TRUSTED
bool VerifyTimHash (char *szTimFilename,PLAT_DS *pDs,Ipp8u *pDsHash, long TIMSizeNoDS);
#endif
#elif defined TBBLIB
//bool bVerbose;
//bool bIsReservedDataInFile;
#ifdef TRUSTED
Ipp32u DigitalSignature[MAXKEYSIZEWORDS];
#endif
UINT_T RsaPrivateKey[MAXKEYSIZEWORDS];
UINT_T RsaPublicKey[MAXKEYSIZEWORDS];
bool VerifySizeOfTim (CTIM *pTimHeader);
void Endian_Convert (UINT_T x,UINT_T *y);
int GetTimHashSize (CTIM *pTimHeader);
#ifdef TRUSTED
bool GenerateTimHash (FILE *hTimFile,CTIM *pTimHeader,PLAT_DS *pDs,Ipp8u *pDsHash, unsigned int HashSize);
bool DumpTimHashToBinFile (PLAT_DS *pDs,Ipp8u *pDsHash, char *HashFileName);
bool EncryptSignature (bool encrypt,PLAT_DS *pDs,Ipp8u *DsHash);
#endif
bool InstallDigitalSignature (char *szFilename,bool bIsAppend);
unsigned long int Translate (char *pValue);
UINT32_T CheckSum (unsigned char *Address, UINT_T length);
bool DumpHashToFile (char *szImageFilename,IMAGE_INFO *pImageInfo);
bool ImageBuild (FILE *hImageFile,char *szImageFilename,IMAGE_INFO *pImageInfo);
bool GenerateHash (FILE *hImageFile,char *szImageFilename,IMAGE_INFO *pImageInfo);
bool GenerateImageCrc (FILE *hBinaryImage,int iIndex,UINT32_T *pImageCrc);
bool GenerateTimCrc (FILE *hTimFile);
bool ProcessReservedData (FILE *hKeyFile,FILE *hTimFile,int iSize);
bool FillDataArrays (FILE *hKeyFile,DWORD *dwArray,int iSize);
bool GenerateKeyHash (KEY_MOD *key);
bool GenerateOtpHash (CTIM *pTimHeader,PLAT_DS *pDs);
bool VerifyDescriptorIntegrity (FILE *hKeyFile);
bool VerifyNonTrusted (FILE *hKeyFile);
bool VerifyNumberOfImages (FILE *hKeyFile);
bool VerifyNumberOfKeys (FILE *hKeyFile);
bool VerifyReservedData (FILE *hKeyFile);
bool GetParameter (char *fLine,char *pParameter,char *pDec,bool IsFile);
#ifdef TRUSTED
bool VerifyTimHash (char *szTimFilename,PLAT_DS *pDs,Ipp8u *pDsHash, long TIMSizeNoDS);
#endif
#else
extern bool bVerbose;
extern bool bIsReservedDataInFile;
#ifdef TRUSTED
extern Ipp32u DigitalSignature[MAXKEYSIZEWORDS];
#endif
extern UINT_T RsaPrivateKey[MAXKEYSIZEWORDS];
extern UINT_T RsaPublicKey[MAXKEYSIZEWORDS];
extern bool VerifySizeOfTim (CTIM *pTimHeader);
extern void Endian_Convert (UINT_T x,UINT_T *y);
extern int GetTimHashSize (CTIM *pTimHeader);
#ifdef TRUSTED
extern bool GenerateTimHash (FILE *hTimFile,CTIM *pTimHeader,PLAT_DS *pDs,Ipp8u *pDsHash, unsigned int HashSize);
extern bool DumpTimHashToBinFile (PLAT_DS *pDs,Ipp8u *pDsHash,char *HashFileName);
extern bool EncryptSignature (bool encrypt,PLAT_DS *pDs,Ipp8u *DsHash);
#endif
extern bool InstallDigitalSignature (char *szFilename,bool bIsAppend);
extern unsigned long int Translate (char *pValue);
extern UINT32_T CheckSum (unsigned char *Address, UINT_T length);
extern bool DumpHashToFile (char *szImageFilename,IMAGE_INFO *pImageInfo);
extern bool ImageBuild (FILE *hImageFile,char *szImageFilename,IMAGE_INFO *pImageInfo);
extern bool GenerateHash (FILE *hImageFile,char *szImageFilename,IMAGE_INFO *pImageInfo);
extern bool GenerateImageCrc (FILE *hBinaryImage,int iIndex,UINT32_T *pImageCrc);
extern bool GenerateTimCrc (FILE *hTimFile);
extern bool ProcessReservedData (FILE *hKeyFile,FILE *hTimFile,int iSize);
extern bool FillDataArrays (FILE *hKeyFile,DWORD *dwArray,int iSize);
extern bool GenerateKeyHash (KEY_MOD *key);
extern bool GenerateOtpHash (CTIM *pTimHeader,PLAT_DS *pDs);
extern bool VerifyDescriptorIntegrity (FILE *hKeyFile);
extern bool VerifyNonTrusted (FILE *hKeyFile);
extern bool VerifyNumberOfImages (FILE *hKeyFile);
extern bool VerifyNumberOfKeys (FILE *hKeyFile);
extern bool VerifyReservedData (FILE *hKeyFile);
extern bool GetParameter (char *fLine,char *pParameter,char *pDec,bool IsFile);
#ifdef TRUSTED
extern bool VerifyTimHash (char *szTimFilename,PLAT_DS *pDs,Ipp8u *pDsHash, long TIMSizeNoDS);
#endif

#endif

