################################################################
# (C)Copyright Marvell. All Rights Reserved. 2007
#
# THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MARVELL.
# The copyright notice above does not evidence any actual or intended publication of such source code.
#
# This Module contains Proprietary Information of Marvell and should be treated as Confidential.
#
# The information in this file is provided for the exclusive use of the licensees of Marvell.
# Such users have the right to use, modify, and incorporate this code into products for purposes authorized by the license agreement provided they include this notice and the associated copyright notice with any such product.
# The information in this file is provided "AS IS" without warranty.
###############################################################
#	Makefile for the Intel NonTrusted OBM
#
#
##############################################################

#Global Macros
BASE = ..
SDT = C:\Program Files\Marvell\SDT2.1
RELEASE = 1  #for debug version set it to zero
WINCE = 0
LINUX = 0
SDRAM = 0
NOR_ = 0
NAND = 0
ONENAND = 0
MSYS = 0
#USB flags for 1.1, 2.0, and Chip Idea: default disabled
USB1 = 1
USB2 = 0
USBCI = 0

FLASH_TYPE=ONENAND
RM = del /F/Q

#Tools
!if ("$(PLATFORM)" == "MHP" )
C_Compiler = "$(SDT)\marvellpxa\bin\ccxscthb.exe"
Cxx_Compiler = "$(SDT)\marvellpxa\bin\ccxscthb.exe"
!endif

!if ("$(PLATFORM)" == "MHL")
C_Compiler = "$(SDT)\marvellpxa\bin\ccxscthb.exe"
Cxx_Compiler = "$(SDT)\marvellpxa\bin\ccxscthb.exe"
!endif

!if ("$(PLATFORM)" == "MHLV")
C_Compiler = "$(SDT)\marvellpxa\bin\ccxscthb.exe"
Cxx_Compiler = "$(SDT)\marvellpxa\bin\ccxscthb.exe"
!endif

!if ("$(PLATFORM)" == "TAVOR")
C_Compiler = "$(SDT)\marvellpxa\bin\ccxscthb.exe"
Cxx_Compiler = "$(SDT)\marvellpxa\bin\ccxscthb.exe"
!if ("$(BOARD_TYPE)" == "PV")
USBCI = 0
USB = 0
!else
USBCI = 0
USB = 1
!endif
!endif

Assembler = "$(SDT)\marvellpxa\bin\asxsc.exe"
JTAG_Debugger = "$(SDT)\xdb\xdb.exe"
Linker = "$(SDT)\marvellpxa\bin\ldxsc.exe"
ROM_Monitor_Debugger = "$(SDT)\xdb\xdb.exe"
Simulator_Debugger = "$(SDT)\xdb\xdb.exe"
Symbol_Converter = "$(SDT)\xdbbin\dwarf2bd.exe"
elf2bin = "$(SDT)\xdbbin\elf2bin.exe"

!if ($(SDRAM) == 128)
SDRAM_SIZE = ENABLE_CS1_SDRAM SETA 1
!else
SDRAM_SIZE = SINGLE_BANK_SDRAM SETA 1
!endif

!if $(WINCE)
OS_BUILD = WINCE_BUILD SETA 1
RESUME_TYPE = "_wince_"
!else
!if $(LINUX)
OS_BUILD = LINUX_BUILD SETA 1
RESUME_TYPE = "_linux_"
!else
OS_BUILD = STD_BUILD SETA 1
RESUME_TYPE = "_"
!endif
!endif


######## Monahans SPECIFIC DEFINES ########
######## END MONAHANS SPECIFIC DEFINES ########


######## TAVOR SPECIFIC DEFINES ########
!if ("$(PLATFORM)" == "TAVOR")


SW_UPGRADE_ENABLE = 1

!if ("$(OBM_MODE)" == "MODE0")
ObmMode = MODE0
!else
!if ("$(OBM_MODE)" == "MODE2")
ObmMode = MODE2
!else
!if ("$(OBM_MODE)" == "MODE3")
ObmMode = MODE3
!else
!if ("$(OBM_MODE)" == "MODE4")
ObmMode = MODE4
!else
!if ("$(OBM_MODE)" == "MODE6")
ObmMode = MODE6
!else
ObmMode = MODE1
!endif
!endif
!endif
!endif
!endif

!if ("$(FLASH_TYPE)" == "NOFLASH")
FlashType = noflash
Flash_Type = NOFLASH
$(NOR_) = 0
$(MSYS) = 0
$(ONENAND) = 0
$(NAND) = 0
!else
!if ("$(FLASH_TYPE)" == "NOR")
FlashType = nor
Flash_Type = NOR
$(NOR_) = 1
$(MSYS) = 0
$(ONENAND) = 0
$(NAND) = 0
!else
!if ("$(FLASH_TYPE)" == "MDOC")
FlashType = mdoc
Flash_Type = MDOC
$(MSYS) = 1
$(ONENAND) = 0
$(NAND) = 0
$(NOR_) = 0
!else
!if ("$(FLASH_TYPE)" == "ONENAND")
FlashType = oneNand
Flash_Type = ONENAND
$(MSYS) = 0
$(ONENAND) = 1
$(NAND) = 0
$(NOR_) = 0
!else
!if ("$(FLASH_TYPE)" == "NAND16")
FlashType = nand16
Flash_Type = NAND16
$(MSYS) = 0
$(ONENAND) = 0
$(NAND) = 1
$(NOR_) = 0
!else
FlashType = nand8
Flash_Type = NAND8
$(NOR_) = 0
$(MSYS) = 0
$(ONENAND) = 0
$(NAND) = 1
!endif
!endif
!endif
!endif
!endif


!if ("$(BOARD_TYPE)" == "YARDEN")
boardType = YARDEN
SW_UPGRADE_ENABLE = 0
!else
!if ("$(BOARD_TYPE)" == "EVB2")
boardType = EVB2
!else
!if ("$(BOARD_TYPE)" == "SAAR")
boardType = SAAR
!else
!if ("$(BOARD_TYPE)" == "SAAR_PV")
boardType = SAAR_PV
!else
!if ("$(BOARD_TYPE)" == "PV")
boardType = PV
!else
!if ("$(BOARD_TYPE)" == "P65")
boardType = P65
!else
boardType = B0
!endif
!endif
!endif
!endif
!endif
!endif



!if ("$(COPY_TO_DDR)" == "DDR")
CopyToDdr = _DDR
!else
CopyToDdr =
!endif



!endif
######  END TAVOR DEFINES ########


!if $(RELEASE)
#release flags
OUTDIR = release
CC_FLAGS = -nologo -W0 -Gy -O1 /Zi -DNDT /DTRUSTED=0 /DOBM=1 /DDKB=0 /DBOOTROM=0 \
	/DUSB1=$(USB1) /DUSB2=$(USB2) /DUSBCI=$(USBCI) /DJTAG_USED=0 \
	/DONENAND_CODE=$(ONENAND) /DMDOC_CODE=$(MSYS) /DNAND_CODE=$(NAND) /DNOR_CODE=$(NOR_)

CC_FLAGS_FIX = -nologo -W0 -Gy -Od -DNDT /DTRUSTED=0 /DOBM=1 /DDKB=0 /DBOOTROM=0 \
	/DUSB1=$(USB1) /DUSB2=$(USB2) /DUSBCI=$(USBCI) /DJTAG_USED=0 \
	/DONENAND_CODE=$(ONENAND) /DMDOC_CODE=$(MSYS) /DNAND_CODE=$(NAND) /DNOR_CODE=$(NOR_)

!else
#debug flags
OUTDIR = release
CC_FLAGS = -nologo -W0 -Gy -Od /Zi -DNDT /DTRUSTED=0 /DOBM=1 /DDKB=0 /DBOOTROM=0 \
	/DUSB1=$(USB1) /DUSB2=$(USB2) /DUSBCI=$(USBCI) /DJTAG_USED=0 \
	/DONENAND_CODE=$(ONENAND) /DMDOC_CODE=$(MSYS) /DNAND_CODE=$(NAND) /DNOR_CODE=$(NOR_)

CC_FLAGS_FIX = -nologo -W0 -Gy -Od /Zi -DNDT /DTRUSTED=0 /DOBM=1 /DDKB=0 /DBOOTROM=0 \
	/DUSB1=$(USB1) /DUSB2=$(USB2) /DUSBCI=$(USBCI) /DJTAG_USED=0 \
	/DONENAND_CODE=$(ONENAND) /DMDOC_CODE=$(MSYS) /DNAND_CODE=$(NAND) /DNOR_CODE=$(NOR_)
!endif

!if $(SW_UPGRADE_ENABLE)
CC_FLAGS = $(CC_FLAGS) -DRUN_SW_UPGRADE
!endif


OUTPUT_NAME = $(BASE)\$(PLATFORM)\$(OUTDIR)\$(PLATFORM)$(RESUME_TYPE)NTOBM


INCLUDES = /I$(BASE)\Download /I$(BASE)\MainProgram /I$(BASE)\Misc /I$(BASE)\Flash \
	/I$(BASE)\DMA /I$(BASE)\Startup /I$(BASE)\$(PLATFORM) /I$(BASE)\$(PLATFORM)\DDR

!if $(ONENAND)
INCLUDES = $(INCLUDES) /I$(BASE)\Flash\FlexOneNand
!endif
!if $(MSYS)
INCLUDES = $(INCLUDES) /I$(BASE)\Flash\M-SYS
!endif
!if $(USBCI)
INCLUDES = $(INCLUDES) /I$(BASE)\Download\USB2CI\src /I$(BASE)\Download\USB2CI\inc
!endif


###!if ("$(BOARD_TYPE)" == "PV")
###INCLUDES = $(INCLUDES) /I$(BASE)\Flash\DFC\PV
###!else
INCLUDES = $(INCLUDES) /I$(BASE)\Flash\DFC
###!endif


!if ("$(PLATFORM)" == "TAVOR")
OUTDIR = $(OUTDIR)\$(boardType)\$(FlashType)
OUTPUT_NAME = $(BASE)\$(PLATFORM)\$(OUTDIR)\$(PLATFORM)$(RESUME_TYPE)$(boardType)_NTOBM_$(Flash_Type)_$(ObmMode)$(CopyToDdr)
CC_FLAGS = $(CC_FLAGS) /D$(ObmMode) /DTAVOR_BOERNE
INCLUDES = $(INCLUDES) /I$(BASE)\$(PLATFORM)\pin_mux\INC /I$(BASE)\$(PLATFORM)\I2C


!if ("$(FLASH_TYPE)" == "NOFLASH")
CC_FLAGS = $(CC_FLAGS) /DNOFLASH_CODE
!endif

ASM_CHIP_FLAG = PPPP SETA 1

!if ("$(BOARD_TYPE)" == "YARDEN")
CC_FLAGS = $(CC_FLAGS) /DYARDEN
!else
!if ("$(BOARD_TYPE)" == "EVB2")
CC_FLAGS = $(CC_FLAGS) /DEVB2
!else
!if ("$(BOARD_TYPE)" == "SAAR")
CC_FLAGS = $(CC_FLAGS) /DSAAR
!else
!if ("$(BOARD_TYPE)" == "SAAR_PV")
CC_FLAGS = $(CC_FLAGS) /DSAAR_PV /DPV_CHIP
CC_FLAGS_FIX = $(CC_FLAGS_FIX) /DSAAR_PV /DPV_CHIP
ASM_CHIP_FLAG = PV SETA 1
!else
!if ("$(BOARD_TYPE)" == "B0")
CC_FLAGS = $(CC_FLAGS) /DB0
!else
!if ("$(BOARD_TYPE)" == "PV")
CC_FLAGS = $(CC_FLAGS) /DPV /DPV_CHIP
CC_FLAGS_FIX = $(CC_FLAGS_FIX) /DPV  /DPV_CHIP
ASM_CHIP_FLAG = PV SETA 1
!else
!if ("$(BOARD_TYPE)" == "P65")
CC_FLAGS = $(CC_FLAGS) /DP65
!endif
!endif
!endif
!endif
!endif
!endif
!endif

!endif



#USB Objects breakdown
!if $(USB1)
USB1OBJS = UsbDownload.o \
      UsbDriver.o \
      xllp_udc.o
!else
USB1OBJS =
!endif

!if $(USB2)
USB2OBJS = U2DDriver.o \
      U2Download.o \
      xllp_u2d.o \
      xllp_u2d_dma.o
!else
USB2OBJS =
!endif

!if $(USBCI)
USBCIOBJS =  CI2Download.o \
        CI2Driver.o   \
		xllp_ciu2d.o \
        mvUsbDevCh9.O   \
        usbPal.o \
        mvUsbDevMain.o \
        mvUsbDevRecv.o \
        mvUsbDevSend.o \
        mvUsbDevUtl.o \
        mvUsbHsDevCncl.o \
        mvUsbHsDevUtl.o \
        mvUsbHsDevMain.o \
!else
USBCIOBJS =
!endif



#Object Definitions
DOWNLOADOBJS = ProtocolManager.o \
      UartDownload.o \
      uart.o \
      usb_descriptors.o

!if $(MSYS)
M_SYS_OBJS = boot.o \
             msys_interface.o \
             msys_chipselect.o
!else
M_SYS_OBJS =
!endif

!if $(ONENAND)
ONENANDOBJS = OneNAND_Driver.o \
              OneNAND_Cmd.o \
		      FlexOneNAND_Cmd.o \
		      FlexOBMInterface.o
!else
ONENANDOBJS =
!endif

!if $(NAND)
NANDOBJS = xllp_dfc.o \
      xllp_dfc_support.o
!else
NANDOBJS =
!endif

MAINOBJS = OBM.o \
           Interrupts.o

FLASHOBJS = flash.o \
	    obm_flash.o

MISCOBJS = misc.o


!if ("$(PLATFORM)" == "TAVOR")
I2COBJS = i2c.o
!endif


PLATFORMOBJS = PlatformConfig.o \
			platform_obm.o \
!if ("$(PLATFORM)" == "TAVOR")
			pinmux.o
!endif

DMAOBJS = xllp_dmac.o


OBJ = OBM_Startup.o \
      mini_xlli_lowlev_init.o \
      ddr_init.o \
      $(DOWNLOADOBJS) \
	  $(USB1OBJS) \
	  $(USB2OBJS) \
	  $(USBCIOBJS) \
      $(NANDOBJS) \
      $(MAINOBJS) \
      $(FLASHOBJS) \
      $(MISCOBJS) \
      $(DMAOBJS) \
      $(PLATFORMOBJS) \
      $(M_SYS_OBJS) \
      $(ONENANDOBJS) \
!if $(USBCI)
      usbPals.o \
!endif
!if ("$(PLATFORM)" == "TAVOR")
      $(I2COBJS) \
	  PPSet.o
!endif


#Link List USBs
!if $(USB1)
USB1LINK = "$(BASE)\$(PLATFORM)\$(OUTDIR)\UsbDownload.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\UsbDriver.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\xllp_udc.o" \
!else
USB1LINK =
!endif

!if $(USB2)
USB2LINK = "$(BASE)\$(PLATFORM)\$(OUTDIR)\U2Download.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\U2DDriver.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\xllp_u2d_dma.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\xllp_u2d.o" \
!else
USB2LINK =
!endif

!if $(USBCI)
USBCILINK = "$(BASE)\$(PLATFORM)\$(OUTDIR)\CI2Driver.o"   \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\CI2Download.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\xllp_ciu2d.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\mvUsbDevCh9.o"   \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\usbPal.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\usbPals.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\mvUsbDevMain.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\mvUsbDevRecv.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\mvUsbDevSend.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\mvUsbDevUtl.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\mvUsbHsDevCncl.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\mvUsbHsDevUtl.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\mvUsbHsDevMain.o"
!else
USBCILINK =
!endif


!if $(NAND)
NANDOBJECTS = "$(BASE)\$(PLATFORM)\$(OUTDIR)\xllp_dfc.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\xllp_dfc_support.o" \
!else
NANDOBJECTS =
!endif

!if $(ONENAND)
ONENANDOBJECTS = "$(BASE)\$(PLATFORM)\$(OUTDIR)\OneNAND_Driver.o" \
    "$(BASE)\$(PLATFORM)\$(OUTDIR)\OneNAND_Cmd.o" \
    "$(BASE)\$(PLATFORM)\$(OUTDIR)\FlexOneNAND_Cmd.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\FlexOBMInterface.o" \
!else
ONENANDOBJECTS =
!endif

!if $(MSYS)
MSYSOBJECTS = "$(BASE)\$(PLATFORM)\$(OUTDIR)\boot.o" \
    "$(BASE)\$(PLATFORM)\$(OUTDIR)\msys_interface.o" \
    "$(BASE)\$(PLATFORM)\$(OUTDIR)\msys_chipselect.o" \
!else
MSYSOBJECTS =
!endif

#Rules

ALL: $(OBJ)
	@$(Linker) -remove -noinfo -debug -listing="$(OUTPUT_NAME).map" -output "$(OUTPUT_NAME).elf"  \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\OBM_StartUp.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\ddr_init.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\mini_xlli_lowlev_init.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\flash.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\obm_flash.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\misc.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\obm.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\Interrupts.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\PlatformConfig.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\platform_obm.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\ProtocolManager.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\UartDownload.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\uart.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\usb_descriptors.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\xllp_dmac.o" \
    $(USB1LINK) \
    $(USB2LINK) \
    $(USBCILINK) \
    $(NANDOBJECTS) \
    $(ONENANDOBJECTS) \
	$(FLEXOBJECTS) \
	$(MSYSOBJECTS) \
!if ("$(PLATFORM)" == "TAVOR")
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\pinmux.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\i2c.o" \
	"$(BASE)\$(PLATFORM)\$(OUTDIR)\PPSet.o" \
!endif
      "$(SDT)\marvellpxa\lib\x0__ac30.a" -bf="$(BASE)\Build\default.bld" /Init DATA,BSS
      $(elf2bin)  -bin -map CODE=0x0 -keeponly CODE "$(OUTPUT_NAME).elf" "$(OUTPUT_NAME).bin"
      $(Symbol_Converter)  -hx "$(OUTPUT_NAME).elf"

OBM_StartUp.o: $(BASE)\STARTUP\OBM_StartUp.s
	@$(Assembler)  -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\OBM_StartUp.o"  "$(BASE)\STARTUP\OBM_StartUp.s"  -mcpu 3 -arm -PD "$(ASM_CHIP_FLAG)" -PD "$(OS_BUILD)" -PD "USE_NDT_INIT SETA 1" -g /I "$(BASE)\$(PLATFORM)" /I "$(BASE)\$(PLATFORM)\DDR" /I "$(BASE)\StartUp" -list "$(BASE)\$(PLATFORM)\$(OUTDIR)\OBM_StartUp".lis

ddr_init.o: $(BASE)\$(PLATFORM)\DDR\ddr_init.s
	@$(Assembler) -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\ddr_init.o" "$(BASE)\$(PLATFORM)\DDR\ddr_init.s" -mcpu 3 -arm -PD "$(ASM_CHIP_FLAG)" -PD "USE_NDT_INIT SETA 1" -g /I "$(BASE)\$(PLATFORM)" /I "$(BASE)\$(PLATFORM)\DDR" -list "$(BASE)\$(PLATFORM)\$(OUTDIR)\ddr_init".lis

mini_xlli_lowlev_init.o: $(BASE)\$(PLATFORM)\DDR\mini_xlli_lowlev_init.s
	@$(Assembler)  -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\mini_xlli_lowlev_init.o"  "$(BASE)\$(PLATFORM)\DDR\mini_xlli_lowlev_init.s"  -mcpu 3 -arm -PD "$(ASM_CHIP_FLAG)" -PD "$(SDRAM_SIZE)" -PD "USE_NDT_INIT SETA 1" -g /I "$(BASE)\$(PLATFORM)" /I "$(BASE)\StartUp" /I "$(BASE)\$(PLATFORM)\DDR" -list "$(BASE)\$(PLATFORM)\$(OUTDIR)\mini_xlli_lowlev_init".lis

$(DOWNLOADOBJS) $(USB1OBJS) $(USB2OBJS): "$(BASE)\Download\$*.c"
	@$(C_Compiler) $(CC_FLAGS) $(INCLUDES) -c "$(BASE)\Download\$*.c" -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\$@"

$(MAINOBJS): "$(BASE)\MainProgram\$*.c"
	@$(C_Compiler) $(CC_FLAGS) $(INCLUDES) -c "$(BASE)\MainProgram\$*.c" -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\$@"

$(FLASHOBJS): "$(BASE)\Flash\$*.c"
	@$(C_Compiler) $(CC_FLAGS) $(INCLUDES) -c "$(BASE)\flash\$*.c" -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\$@"

$(MISCOBJS): "$(BASE)\Misc\$*.c"
	@$(C_Compiler) $(CC_FLAGS) $(INCLUDES) -c "$(BASE)\Misc\$*.c" -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\$@"

$(PLATFORMOBJS): "$(BASE)\$(PLATFORM)\$*.c"
	@$(C_Compiler) $(CC_FLAGS) $(INCLUDES) -c "$(BASE)\$(PLATFORM)\$*.c" -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\$@"

$(DMAOBJS): "$(BASE)\DMA\$*.c"
	@$(C_Compiler) $(CC_FLAGS) $(INCLUDES) -c "$(BASE)\DMA\$*.c" -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\$@"

!if $(NAND)
###!if ("$(BOARD_TYPE)" == "PV")
###$(NANDOBJS): "$(BASE)\Flash\DFC\PV\$*.c"
###	@$(C_Compiler) $(CC_FLAGS_FIX) $(INCLUDES) -c "$(BASE)\Flash\DFC\PV\$*.c" -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\$@"
###!else
$(NANDOBJS): "$(BASE)\Flash\DFC\$*.c"
	@$(C_Compiler) $(CC_FLAGS_FIX) $(INCLUDES) -c "$(BASE)\Flash\DFC\$*.c" -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\$@"
###!endif
!endif

!if $(MSYS)
$(M_SYS_OBJS): "$(BASE)\Flash\M-SYS\$*.c"
	@$(C_Compiler) $(CC_FLAGS) $(INCLUDES) -c "$(BASE)\Flash\M-SYS\$*.c" -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\$@"
!endif

!if $(ONENAND)
$(ONENANDOBJS): "$(BASE)\Flash\FlexOneNand\$*.c"
        @$(C_Compiler) $(CC_FLAGS) $(INCLUDES) -c "$(BASE)\Flash\FlexOneNand\$*.c" -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\$@"
!endif

!if ("$(PLATFORM)" == "TAVOR")
$(I2COBJS): "$(BASE)\$(PLATFORM)\I2C\$*.c"
	@$(C_Compiler) $(CC_FLAGS) $(INCLUDES) -c "$(BASE)\$(PLATFORM)\I2C\$*.c" -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\$@"

PPSet.o: $(BASE)\$(PLATFORM)\DDR\PPSet.s
	@$(Assembler) -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\PPSet.o" "$(BASE)\$(PLATFORM)\DDR\PPSet.s" -mcpu 3 -arm -PD "$(ASM_CHIP_FLAG)" -PD "USE_NDT_INIT SETA 1" -g /I "$(BASE)\$(PLATFORM)" /I "$(BASE)\$(PLATFORM)\DDR" -list "$(BASE)\$(PLATFORM)\$(OUTDIR)\PPSet".lis
!endif

!if $(USBCI)
$(USBCIOBJS): "$(BASE)\Download\USB2CI\src\$*.c"
        @$(C_Compiler) $(CC_FLAGS) $(INCLUDES) -c "$(BASE)\Download\USB2CI\src\$*.c" -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\$@"

usbPals.o: $(BASE)\Download\USB2CI\src\usbPals.s
        @$(Assembler)  -o "$(BASE)\$(PLATFORM)\$(OUTDIR)\usbPals.o"  "$(BASE)\Download\USB2CI\src\usbPals.s"  -mcpu 3 -arm -PD "$(ASM_CHIP_FLAG)" -PD "USE_NDT_INIT SETA 1" -g  -list "$(BASE)\$(PLATFORM)\$(OUTDIR)\usbPals".lis
!endif

clean :
	-$(RM) $(BASE)\$(PLATFORM)\debug\*.*
	-$(RM) $(BASE)\$(PLATFORM)\release\*.*
	-$(RM) /S $(BASE)\*.scc
	-$(RM) /S $(BASE)\*.bak
