
/*******************************************************************************
** File          : $HeadURL$
** Author        : $Author$
** Project       : HSCTRL
** Instances     :
** Creation date :
********************************************************************************
********************************************************************************
** ChipIdea Microelectronica - IPCS
** TECMAIA, Rua Eng. Frederico Ulrich, n 2650
** 4470-920 MOREIRA MAIA
** Portugal
** Tel: +351 229471010
** Fax: +351 229471011
** e_mail: chipidea.com
********************************************************************************
** ISO 9001:2000 - Certified Company
** (C) 2005 Copyright Chipidea(R)
** Chipidea(R) - Microelectronica, S.A. reserves the right to make changes to
** the information contained herein without notice. No liability shall be
** incurred as a result of its use or application.
********************************************************************************
** Modification history:
** $Date$
** $Revision$
*******************************************************************************
*** Comments:
***   This file contains definitions for debugging the software stack
***
**************************************************************************
**END*********************************************************/
#ifndef __mvUsbDebug_h__
#define __mvUsbDebug_h__

#include "usbPal.h"


/************************************************************
The following array is used to make a run time trace route
inside the USB stack.
*************************************************************/

#define MV_USB_DEBUG_FLAG_ANY      0x00000000

#define MV_USB_DEBUG_FLAG_TRACE    0x00000001
#define MV_USB_DEBUG_FLAG_CTRL     0x00000002
#define MV_USB_DEBUG_FLAG_RX       0x00000004
#define MV_USB_DEBUG_FLAG_TX       0x00000008
#define MV_USB_DEBUG_FLAG_STALL    0x00000010
#define MV_USB_DEBUG_FLAG_STATUS   0x00000020
#define MV_USB_DEBUG_FLAG_TRANSFER 0x00000040
#define MV_USB_DEBUG_FLAG_INIT     0x00000080
#define MV_USB_DEBUG_FLAG_ISR      0x00000100
#define MV_USB_DEBUG_FLAG_ERROR    0x00000200
#define MV_USB_DEBUG_FLAG_ADDR     0x00000400
#define MV_USB_DEBUG_FLAG_DUMP     0x00000800
#define MV_USB_DEBUG_FLAG_SETUP    0x00001000
#define MV_USB_DEBUG_FLAG_CLASS    0x00002000
#define MV_USB_DEBUG_FLAG_SPEED    0x00004000
#define MV_USB_DEBUG_FLAG_RESET    0x00008000
#define MV_USB_DEBUG_FLAG_SUSPEND  0x00010000
#define MV_USB_DEBUG_FLAG_RESUME   0x00020000
#define MV_USB_DEBUG_FLAG_EP0      0x00040000
#define MV_USB_DEBUG_FLAG_EP1      0x00080000
#define MV_USB_DEBUG_FLAG_STATS    0x00100000
#define MV_USB_DEBUG_FLAG_WARNING  0x00200000
#define MV_USB_DEBUG_FLAG_INFO     0x00400000


#define MV_USB_DEBUG_FLAG_ALL      0xffffffff

extern uint_32  usbDebugFlags;

#ifdef MV_RT_DEBUG
  #define MV_USB_DEBUG_CODE(flags, code)               \
        if( (usbDebugFlags & (flags)) == (flags) )  \
            code
#else
  #define MV_USB_DEBUG_CODE(flags, code)
#endif

#if defined(MV_USB_TRACE_LOG)

  #define TRACE_ARRAY_SIZE 400
  #define MAX_STRING_SIZE  132

  extern uint_16 DEBUG_TRACE_ARRAY_COUNTER;
  extern char    DEBUG_TRACE_ARRAY[TRACE_ARRAY_SIZE][MAX_STRING_SIZE];

  #define MV_USB_DEBUG_TRACE(flags, format, x...)                                        \
  {                                                                                   \
    if( (usbDebugFlags & (flags)) == (flags))                                   \
    {                                                                               \
        USB_sprintf(DEBUG_TRACE_ARRAY[DEBUG_TRACE_ARRAY_COUNTER], format, ##x);     \
        DEBUG_TRACE_ARRAY_COUNTER++;                                                \
        if(DEBUG_TRACE_ARRAY_COUNTER >= TRACE_ARRAY_SIZE)                           \
            {DEBUG_TRACE_ARRAY_COUNTER = 0;}                                        \
    }                                                                               \
  }

#elif defined(MV_USB_TRACE_PRINT)

  #define MV_USB_DEBUG_TRACE(flags, format, x...)           \
        if((usbDebugFlags & (flags)) == (flags))      \
            USB_printf(format, ##x)

/*if trace switch is not enabled define debug log trace to empty*/
#else
  #define MV_USB_DEBUG_TRACE(flags, fromat, x...)
#endif



#endif /* __mvUsbDebug_h__ */
/* EOF */
