;/*--------------------------------------------------------------------------------------------------------------------
; (C) Copyright 2006, 2007 Marvell DSPC Ltd. All Rights Reserved.
; -------------------------------------------------------------------------------------------------------------------*/

;
;  chip utilities (C calling convention)
;

PSR_IR  EQU     0xc0    ; the I and R bits in PSR,used to dis/enable IRQ/FIQ

    AREA      code,CODE,READONLY



  EXPORT disableInterrupts
;;// Returns the original CPSR
;; unsigned long disableInterrupts()
disableInterrupts
        MRS     R0, CPSR
        ORR     R1,R0,#PSR_IR
        MSR     CPSR_c, R1
        BX      LR

;;******************************************************************************
  EXPORT restoreInterrupts
;; // Restores the I&F bits in the CPSR (Irq & Fiq) to that value of the CPSR passed.
;; // The latter should be obtained from the enable/disable functions
;;C code equivalent:
;; void restoreInterrupts(unsigned long ir)
;;
restoreInterrupts
        MRS     R1, CPSR
        AND     R0,R0,#PSR_IR ; clear all its but I and R
        BIC     R1,R1,#PSR_IR
        ORR     R1,R1,R0
        MSR     CPSR_c, R1
        BX      LR

  END

