/******************************************************************************
**	(C)Copyright Marvell. All Rights Reserved. 2007 
**
**  THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MARVELL.
**	The copyright notice above does not evidence any actual or intended  
**  publication of such source code.	
**
**  This Module contains Proprietary Information of Marvell and should be treated 
**  as Confidential.
**	  
**  The information in this file is provided for the exclusive use of the licensees 
**  of Marvell.	
**	Such users have the right to use, modify, and incorporate this code into products 
**  for purposes authorized by the license agreement provided they include this notice 
**  and the associated copyright notice with any such product. 
**  The information in this file is provided "AS IS" without warranty.
**
**  FILENAME: FlexOBMInterface.c
**
**  PURPOSE:  The interface layer for the Flex One NAND device.
**
******************************************************************************/
#include "OneNAND_Driver.h"
#include "FlexOneNAND_Cmd.h"
#include "OneNAND_Cmd.h"
#include "errors.h"
#include "platformconfig.h"
#include "tim.h"
#include "misc.h"

extern P_FLEX_REGISTERS_T pFlexRegs;
extern P_ONE_NAND_REGISTERS_T pOneNANDRegs;

extern UINT_T ResetOneNAND();
extern UINT_T ResetFlexOneNAND();
extern UINT_T LoadSector(UINT_T FlashOffset, UINT_T buffer, UINT_T size, FlashBootType_T fbt, P_FlashProperties_T pFlashProp);
extern UINT_T LoadFlexPage(UINT_T FlashOffset, UINT_T buffer, UINT_T size, FlashBootType_T fbt, P_FlashProperties_T pFlashProp);
extern UINT32 ComputeDivisorShiftFromPowerOf2( UINT32 power);

//FlexOneNAND_Properties_T FlexOneNAND_Prop;	// Only need one
extern FlexOneNAND_Properties_T FlexOneNAND_Prop;

// These values are used for compatibility purposes with the new flash API. They will not be 
// implemented in the flex driver.
pFUSE_SET pFuses = NULL;
FlashBootType_T FlashBootType = BOOT_FLASH;

//-----------------------------------------------------------------------
// Flex_Initialize()
//
//     Calls initialize.
//
//     RETURNS 0 if all went well
//-----------------------------------------------------------------------
UINT_T Flex_Initialize( FlashProperties_T *pFlashProp )
{
	UINT_T Retval = NoError;

	Retval = InitializeFlexOneNANDDevice(pFuses, FlashBootType, pFlashProp );
	
	return Retval;
}

//-----------------------------------------------------------------------
// Flex_ReadFlash()
//
//     Calls read.
//
//     RETURNS 0 if all went well
//-----------------------------------------------------------------------
UINT_T Flex_ReadFlash(UINT_T FlashOffset, UINT_T size, UINT_T buffer, P_FlashProperties_T pFlashP)
{
	UINT_T Retval = NoError;
	UINT_T LocalBuffer;

	Retval = Read_Flash(FlashOffset, buffer, size, FlashBootType, pFlashP);
	return Retval;
}

//-----------------------------------------------------------------------
// Flex_WriteFlash()
//
//     Calls read.
//
//     RETURNS 0 if all went well
//-----------------------------------------------------------------------
UINT_T Flex_WriteFlash(UINT_T FlashOffset, UINT_T size, UINT_T *buffer, P_FlashProperties_T pFlashP)
{
	UINT_T Retval = NoError;
	UINT_T LocalBuffer;
	buffer = &LocalBuffer;
	Retval = Write_Flash(FlashOffset, LocalBuffer, size, FlashBootType, pFlashP);
	return Retval;
}

//-----------------------------------------------------------------------
// Flex_EraseFlash()
//
//     Calls read.
//
//     RETURNS 0 if all went well
//-----------------------------------------------------------------------
UINT_T Flex_EraseFlash(UINT_T FlashOffset, UINT_T size, FlashBootType_T fbt)
{
    return NoError;
}








  

