/*******************************************************************************
Copyright (C), 200{x}, Borqs Tech. Co., Ltd.
File Name: 
    PRDCFG_Element_lookup_tbl.c
Description: 
 
History:  
    Date          Author                         Comments
    -----------    ---------------------------    --------------------
    2008-08-13      Bai yu                                          Created
*******************************************************************************/
#include "PRDCFG_Element_lookup_tbl.h"

/*****************************************************************
  IMPORTANT NOTES:

  Following is an array table that includes the elements information, the order
  of elements information must keep same order as element identifiers in enum of
  td_seem_element_type, because SEEM_ELEMENT_TABLE uses the td_seem_element_type
  as index to get the length, address and attribute of an element in NVM.

  if element is encrypted, this is the encrypted length.
******************************************************************/

const PRDCFG_CFG_ELEMENT_TABLE prdcfg_cfg_element_table[]=
{
    {PRDCFG_EEH_LIVETIME_PERIOD_OFFSET, PRDCFG_EEH_LIVETIME_PERIOD_SIZE, PRDCFG_ELEMENT_READ_WRITE_ALLOW}, //EEH_LIVETIME_PERIOD
    {PRDCFG_DIAG_EXT_INTERFACE_SETTING_OFFSET,PRDCFG_DIAG_EXT_INTERFACE_SETTING_SIZE,PRDCFG_ELEMENT_READ_WRITE_ALLOW}, //DIAG_EXTINTROSET
};

const PRDCFG_BIT_CFG_ELEMENT_TABLE prdcfg_bit_cfg_element_table[]=
{
    {PRDCFG_EEH_LIVETIME_REPORT_EN_OFFSET, PRDCFG_ELEMENT_READ_ALLOW},  //PRDCFG_EEH_LIVETIME_REPORT_EN
    {PRDCFG_EFEM_FEATURE_EN_OFFSET,PRDCFG_ELEMENT_READ_WRITE_ALLOW}, //PRDCFG_EFEM_FEATURE_EN
    {PRDCFG_EFEM_FEATURE_EN_DEFAULT_OFFSET,PRDCFG_ELEMENT_READ_ALLOW|PRDCFG_ELEMENT_MC_DEFAULT_VALUE}, //PRDCFG_EFEM_FEATURE_EN_DEFAUL
    {PRDCFG_DIAG_LAUNCH_EN_OFFSET,PRDCFG_ELEMENT_READ_WRITE_ALLOW}, // PRDCFG_DIAG_LAUNCH_EN
    {PRDCFG_DIAG_LAUNCH_EN_DEGAULT_OFFSET,PRDCFG_ELEMENT_READ_ALLOW|PRDCFG_ELEMENT_MC_DEFAULT_VALUE}, //PRDCFG_DIAG_LAUNCH_EN_DEGAULT
};

const PRDCFG_PHASING_ELEMENT_TABLE prdcfg_phasing_element_table[]=
{
    {PRDCFG_PHASING_HEADER_OFFSET,PRDCFG_PHASING_HEADER_SIZE,PRDCFG_ELEMENT_READ_ALLOW},  // PRDCFG_PHASING_HEADER
    {PRDCFG_PHASING_SETTING_INFO_OFFSET,PRDCFG_PHASING_SETTING_INFO_SIZE,PRDCFG_ELEMENT_READ_ALLOW},  //PRDCFG_PHASING_SETTING_INFO
    {PRDCFG_PHASING_RF_PARA_OFFSET, PRDCFG_PHASING_RF_PARA_SIZE, PRDCFG_ELEMENT_READ_ALLOW}, //PRDCFG_PHASING_RF_PARA
    {PRDCFG_PHASING_VOLTAGE_OFFSET, PRDCFG_PHASING_VOLTAGE_SIZE, PRDCFG_ELEMENT_READ_ALLOW}, //PRDCFG_PHASING_VOLTAGE
    {PRDCFG_PHASING_TEMPERATURE_OFFSET, PRDCFG_PHASING_TEMPERATURE_SIZE, PRDCFG_ELEMENT_READ_ALLOW}, //PRDCFG_PHASING_TEMPERATURE
    {PRDCFG_PHASING_BT_ADDR_OFFSET, PRDCFG_PHASING_BT_ADDR_SIZE, PRDCFG_ELEMENT_READ_ALLOW}, //PRDCFG_PHASING_BT_ADDR
    {PRDCFG_PHASING_FACTORY_ID_OFFSET, PRDCFG_PHASING_FACTORY_ID_SIZE, PRDCFG_ELEMENT_READ_ALLOW}, //PRDCFG_PHASING_FACTORY_ID
    {PRDCFG_PHASING_TEST_INFO_OFFSET, PRDCFG_PHASING_TEST_INFO_SIZE, PRDCFG_ELEMENT_READ_ALLOW}, //PRDCFG_PHASING_FACTORY_ID
    {PRDCFG_PHASING_MAT_FLAG_OFFSET, PRDCFG_PHASING_MAT_FLAG_SIZE, PRDCFG_ELEMENT_READ_ALLOW}, //PRDCFG_PHASING_FACTORY_ID
    {PRDCFG_PHASING_ENG_MODE_FLAG_OFFSET,PRDCFG_PHASING_ENG_MODE_FLAG_SIZE,PRDCFG_ELEMENT_READ_ALLOW}, //PRDCFG_PHASING_ENG_MODE_FLAG
};

const PRDCFG_OTP_ELEMENT_TABLE prdcfg_otp_element_table[] =
{
    {PRDCFG_OTP_IMEI_OFFSET, PRDCFG_OTP_IMEI_SIZE, PRDCFG_ELEMENT_READ_ALLOW},  //PRDCFG_OTP_IMEI
};


