
#include "obm_pxa_lcd.h"
//摘自linux2.6.24 init/initramfs.c[gliethttp_20080529]
#define NULL2   0
#define __init
#define putstr(fmt,...)
#define noinline __attribute__((noinline))
typedef unsigned long  size_t2;
static unsigned char *output_data;
static unsigned long output_ptr;

static void *memset2(void *s, int c, size_t2 count)
{
	char *xs = s;

	while (count--)
		*xs++ = c;
	return s;
}

static void *memcpy2(void *dest, const void *src, size_t2 count)
{
	char *tmp = dest;
	const char *s = src;

	while (count--)
		*tmp++ = *s++;
	return dest;
}

//typedef unsigned long  u32;
typedef u32 Align;
union header
{
    struct
    {
        union header *ptr;
        u32 size;
    }s;
    Align x;
};
typedef union header Header;
char *__malloc_heap_start;
char *__malloc_heap_end;
static Header base;
static Header *freep=0;
int is_run = 0;
Header *morecore(u32 nu);

void *malloc2(u32 nbytes)
{Header *p, *prevp;
 u32 nunits;
    nunits = (nbytes+sizeof(Header)-1)/sizeof(Header) + 1;
    
    prevp = freep;
    if(prevp == 0)
    {
        base.s.ptr = freep = prevp = &base;
        base.s.size=0;
    }
    for(p = prevp->s.ptr;;prevp = p,p = p->s.ptr)
    {
        if(p->s.size >= nunits)
        {
            if(p->s.size == nunits)
            {
                prevp->s.ptr = p->s.ptr;
            }else
                {
                    p->s.size -= nunits;
                    p += p->s.size;
                    p->s.size = nunits;
                }
            freep = prevp;
            return (void *)(p+1);
        }
        if(p == freep)
        {
            p = morecore(nunits);
            if(p==0)return 0;
        }
    }
}

void free2(void *ap)
{Header *bp, *p;
    bp = (Header *)ap-1;
    for(p=freep;!(bp > p && bp < p->s.ptr); p=p->s.ptr)
    {
        if(p >= p->s.ptr && (bp > p || bp < p->s.ptr))break;
    }
    if(bp + bp->s.size == p->s.ptr)
    {
        bp->s.size += p->s.ptr->s.size;
        bp->s.ptr = p->s.ptr->s.ptr;
    }else
        {
            bp->s.ptr = p->s.ptr;
        }
    if(p + p->s.size == bp)
    {
        p->s.size += bp->s.size;
        p->s.ptr = bp->s.ptr;    
    }else
        {
            p->s.ptr = bp;
        }
    freep = p;
}

Header *morecore(u32 nu)
{char *cp;
 Header *up;
    if(is_run)return 0;
    is_run = 1;
    nu = (__malloc_heap_end - __malloc_heap_start)/sizeof(Header) - 1;
    cp = (char *)__malloc_heap_start;
    up = (Header *)cp;
    up->s.size = nu;
    free2((void *)(up+1));
    return freep;
}

void init_malloc_free(void)
{
    #if gliethttp && 0
    __malloc_heap_start = (char *)calloc(0x400000, sizeof(char));
    __malloc_heap_end = (char *)(__malloc_heap_start + 0x400000);
    #else
    //static long __malloc_heap_buffer[__malloc_heap_buffer_max/4];
    __malloc_heap_start = (char*)__Bmalloc_heap_buffer_start;//__malloc_heap_buffer;
    __malloc_heap_end = __malloc_heap_start + __Bmalloc_heap_buffer_max - 4;
    #endif

}

/*
 * gzip declarations
 */

#define OF(args)  args

#ifndef memzero
#define memzero(s, n)     memset2 ((s), 0, (n))
#endif

typedef unsigned char  uch;
typedef unsigned short ush;
typedef unsigned long  ulg;

#define WSIZE 0x8000    /* window size--must be a power of two, and */
			/*  at least 32K for zip's deflate method */

static uch *inbuf;
static uch *window;

static unsigned insize;  /* valid bytes in inbuf */
static unsigned inptr;   /* index of next byte to be processed in inbuf */
static unsigned outcnt;  /* bytes in output buffer */
static long bytes_out;

#define get_byte()  (inptr < insize ? inbuf[inptr++] : -1)
		
/* Diagnostic functions (stubbed out) */
#define Assert(cond,msg)
#define Trace(x)
#define Tracev(x)
#define Tracevv(x)
#define Tracec(c,x)
#define Tracecv(c,x)

#define STATIC static
#define INIT __init

static void __init flush_window(void);
static void __init error(char *m);
static void __init gzip_mark(void **);
static void __init gzip_release(void **);

#include "lib/inflate.c"

static void __init error(char *x)
{
}
static void __init gzip_mark(void **ptr)
{
}

static void __init gzip_release(void **ptr)
{
}

/* ===========================================================================
 * Write the output window window[0..outcnt-1] and update crc and bytes_out.
 * (Used for the decompressed data only.)
 */
static void __init flush_window(void)
{
	ulg c = crc;         /* temporary variable */
	unsigned n;
	uch *in, *out, ch;

	//flush_buffer(window, outcnt);
	in = window;
    out = &output_data[output_ptr];
	for (n = 0; n < outcnt; n++) {
        ch = *out++ = *in++;
		c = crc_32_tab[((int)c ^ ch) & 0xff] ^ (c >> 8);
	}
	crc = c;
	bytes_out += (ulg)outcnt;
    output_ptr += (ulg)outcnt;
	outcnt = 0;
}

int gunzip2(void *out_buf, void *in_buf, unsigned long in_len)
{
    init_malloc_free();
    
    window = malloc2(WSIZE);
    insize = in_len;
    inbuf = in_buf;
    inptr = 0;
    outcnt = 0;

    output_data = out_buf;
    output_ptr  = 0;

    makecrc();
	putstr("Uncompressing Linux...");
	gunzip();
	putstr(" done, booting the kernel.\n");
	return output_ptr;
}
