#ifndef __OBM_PXA_LCD_H
#define __OBM_PXA_LCD_H

#include "obm_pxa_platform.h"
#define ___video_boot_mod   0
#define ___video_flash_mod   1
#define ___Bvideo_memory_screen_dma_ddr_addr        (0x80000000 + 116*1024*1024 - 3*1024*1024)// (0x80000000 + 128*1024*1024 - 3*1024*1024)
#define __Bmalloc_heap_buffer_start                  (0x80000000 + 116*1024*1024 - 2*1024*1024)
#define __Bmalloc_heap_buffer_max                    (1024*1024)
#define ___Bvideo_memory_screen_dma_ddr_addr_logo    (0x80000000 + 116*1024*1024 - 1*1024*1024)
#define ___Bvideo_memory_screen_dma_ddr_addr_free   (0x80000000 + 116*1024*1024 - 512)
#define ___Bvideo_memory_screen_dma_ddr_addr_logo_data_offset (8)

#define ___Fvideo_memory_screen_dma_ddr_addr        (0x80000000 + 128*1024*1024 - 3*1024*1024)

#define MIN_XRES	64
#define MIN_YRES	64

#define FB_TYPE_PACKED_PIXELS		0	/* Packed Pixels	*/
#define FB_ACCEL_NONE		0	/* no hardware accelerator	*/
#define FB_ACTIVATE_NOW		0	/* set values immediately (or vbl)*/
#define FB_VMODE_NONINTERLACED  0	/* non interlaced */
#define FBINFO_DEFAULT	0
#define FBINFO_HWACCEL_YPAN		0x2000 /* optional */
#define FBINFO_HWACCEL_YWRAP		0x4000 /* optional */
#define PXAFB_BUFFER_NUM 2
#define	MAX_BRIGHTNESS	255
#define C_STARTUP		(7)

#define FB_VISUAL_MONO01		0	/* Monochr. 1=Black 0=White */
#define FB_VISUAL_MONO10		1	/* Monochr. 1=White 0=Black */
#define FB_VISUAL_TRUECOLOR		2	/* True color	*/
#define FB_VISUAL_PSEUDOCOLOR		3	/* Pseudo color (like atari) */
#define FB_VISUAL_DIRECTCOLOR		4	/* Direct color */
#define FB_VISUAL_STATIC_PSEUDOCOLOR	5	/* Pseudo color readonly */


#define PXAFB_SMART_PANEL		(1UL << 0)	/* the panel with internal frame buffer */
#define PXAFB_STD_SMART_PANEL		(1UL << 1)	/* standard smart panel */
#define PXAFB_AUTO_REFRESH		(1UL << 2)	/* auto refresh smart panel */

#define FB_SYNC_HOR_HIGH_ACT	1	/* horizontal sync high active	*/
#define FB_SYNC_VERT_HIGH_ACT	2	/* vertical sync high active	*/
#define FB_SYNC_EXT		4	/* external sync		*/
#define FB_SYNC_COMP_HIGH_ACT	8	/* composite sync high active   */
#define FB_SYNC_BROADCAST	16	/* broadcast video timings      */

struct pxafb_lcd_reg {
	unsigned int lccr0;
	unsigned int lccr1;
	unsigned int lccr2;
	unsigned int lccr3;
	unsigned int lccr4;
	unsigned int lccr5;
	unsigned int lccr6;
	unsigned int cmdcr;
};

struct pxafb_dma_descriptor {
	unsigned int fdadr;
	unsigned int fsadr;
	unsigned int fidr;
	unsigned int ldcmd;
};

struct fb_info;
struct fb_var_screeninfo;
struct pxafb_mode_info {
	/* flags */
	u_int		flags;

	u_short		xres;
	u_short		yres;

	u_char		bpp;

	u_char		left_margin;
	u_char		right_margin;

	u_char		upper_margin;
	u_char		lower_margin;

	u_char		sync;

	/* non-smart panel only */
	u_long		pixclock;

	u_char		hsync_len;

	u_char		vsync_len;

	u_int		cmap_greyscale:1,
			unused:31;

	/* smart panel only: timing parameters's unit is ns */
	u_long		wr_setup_time; /* A0 and CS Setup Time before LCD_PCLK_WR is asserted */
	u_long		wr_pulse_width; /* LCD_PCLK_WR pulse width */
	u_long		rd_setup_time; /* A0 and CS Setup Time before L_FCLK_RD is asserted */
	u_long		rd_pulse_width; /* LCD_PCLK_RD pulse width */
	u_long		op_hold_time; /* Output Hold time from L_FCLK_RD negation */
	u_long		cmd_inh_time;/* Command Inhibit time between two writes */
	u_int		sync_cnt; /* times of L_VSYNC asserted */
	int		(*update_framedata)(struct fb_info *fbi);
};

struct pxafb_mach_info {
	struct pxafb_mode_info *modes;
	unsigned int num_modes;

	u_int		fixed_modes:1,
			cmap_inverse:1,
			cmap_static:1,
			unused:29;

	/* The following should be defined in LCCR0
	 *      LCCR0_Act or LCCR0_Pas          Active or Passive
	 *      LCCR0_Sngl or LCCR0_Dual       dereferencing Single/Dual panel
	 *      LCCR0_Mono or LCCR0_Color       Mono/Color
	 *      LCCR0_4PixMono or LCCR0_8PixMono (in mono single mode)
	 *      LCCR0_DMADel(Tcpu) (optional)   DMA request delay
	 *
	 * The following should not be defined in LCCR0:
	 *      LCCR0_OUM, LCCR0_BM, LCCR0_QDM, LCCR0_DIS, LCCR0_EFM
	 *      LCCR0_IUM, LCCR0_SFM, LCCR0_LDM, LCCR0_ENB
	 */
	u_int		lccr0;
	/* The following should be defined in LCCR3
	 *      LCCR3_OutEnH or LCCR3_OutEnL    Output enable polarity
	 *      LCCR3_PixRsEdg or LCCR3_PixFlEdg Pixel clock edge type
	 *      LCCR3_Acb(X)                    AB Bias pin frequency
	 *      LCCR3_DPC (optional)            Double Pixel Clock mode (untested)
	 *
	 * The following should not be defined in LCCR3
	 *      LCCR3_HSP, LCCR3_VSP, LCCR0_Pcd(x), LCCR3_Bpp
	 */
	u_int		lccr3;
	/* The following should be defined in LCCR4
	 *	LCCR4_PAL_FOR_0 or LCCR4_PAL_FOR_1 or LCCR4_PAL_FOR_2
	 *
	 * All other bits in LCCR4 should be left alone.
	 */
	u_int		lccr4;
	/* The following should be defined in LCCR6
	 *	LCCR6_TWO_WD_SM or LCCR6_SEP_TD_TIM
	 *
	 * All other bits in LCCR6 should be left alone.
	 */
	u_int		lccr6;
	void (*pxafb_backlight_power)(int, int);
	void (*pxafb_lcd_power)(int, struct fb_var_screeninfo *);

};

struct fb_bitfield {
	__u32 offset;			/* beginning of bitfield	*/
	__u32 length;			/* length of bitfield		*/
	__u32 msb_right;		/* != 0 : Most significant bit is */ 
					/* right */ 
};

struct fb_var_screeninfo {
	__u32 xres;			/* visible resolution		*/
	__u32 yres;
	__u32 xres_virtual;		/* virtual resolution		*/
	__u32 yres_virtual;
	__u32 xoffset;			/* offset from virtual to visible */
	__u32 yoffset;			/* resolution			*/

	__u32 bits_per_pixel;		/* guess what			*/
	__u32 grayscale;		/* != 0 Graylevels instead of colors */

	struct fb_bitfield red;		/* bitfield in fb mem if true color, */
	struct fb_bitfield green;	/* else only length is significant */
	struct fb_bitfield blue;
	struct fb_bitfield transp;	/* transparency			*/	

	__u32 nonstd;			/* != 0 Non standard pixel format */

	__u32 activate;			/* see FB_ACTIVATE_*		*/

	__u32 height;			/* height of picture in mm    */
	__u32 width;			/* width of picture in mm     */

	__u32 accel_flags;		/* (OBSOLETE) see fb_info.flags */

	/* Timing: All values in pixclocks, except pixclock (of course) */
	__u32 pixclock;			/* pixel clock in ps (pico seconds) */
	__u32 left_margin;		/* time from sync to picture	*/
	__u32 right_margin;		/* time from picture to sync	*/
	__u32 upper_margin;		/* time from sync to picture	*/
	__u32 lower_margin;
	__u32 hsync_len;		/* length of horizontal sync	*/
	__u32 vsync_len;		/* length of vertical sync	*/
	__u32 sync;			/* see FB_SYNC_*		*/
	__u32 vmode;			/* see FB_VMODE_*		*/
	__u32 rotate;			/* angle we rotate counter clockwise */
	__u32 reserved[5];		/* Reserved for future compatibility */
};

struct fb_fix_screeninfo {
	char id[16];			/* identification string eg "TT Builtin" */
	unsigned long smem_start;	/* Start of frame buffer mem */
					/* (physical address) */
	__u32 smem_len;			/* Length of frame buffer mem */
	__u32 type;			/* see FB_TYPE_*		*/
	__u32 type_aux;			/* Interleave for interleaved Planes */
	__u32 visual;			/* see FB_VISUAL_*		*/ 
	__u16 xpanstep;			/* zero if no hardware panning  */
	__u16 ypanstep;			/* zero if no hardware panning  */
	__u16 ywrapstep;		/* zero if no hardware ywrap    */
	__u32 line_length;		/* length of a line in bytes    */
	unsigned long mmio_start;	/* Start of Memory Mapped I/O   */
					/* (physical address) */
	__u32 mmio_len;			/* Length of Memory Mapped I/O  */
	__u32 accel;			/* Indicate to driver which	*/
					/*  specific chip/card we have	*/
	__u16 reserved[3];		/* Reserved for future compatibility */
};
struct fb_pixmap {
	u8  *addr;		/* pointer to memory			*/
	u32 size;		/* size of buffer in bytes		*/
	u32 offset;		/* current offset to buffer		*/
	u32 buf_align;		/* byte alignment of each bitmap	*/
	u32 scan_align;		/* alignment per scanline		*/
	u32 access_align;	/* alignment per read/write (bits)	*/
	u32 flags;		/* see FB_PIXMAP_*			*/
	u32 blit_x;             /* supported bit block dimensions (1-32)*/
	u32 blit_y;             /* Format: blit_x = 1 << (width - 1)    */
	                        /*         blit_y = 1 << (height - 1)   */
	                        /* if 0, will be set to 0xffffffff (all)*/
	/* access methods */
	void (*writeio)(struct fb_info *info, void __iomem *dst, void *src, unsigned int size);
	void (*readio) (struct fb_info *info, void *dst, void __iomem *src, unsigned int size);
};

struct fb_cmap {
	__u32 start;			/* First entry	*/
	__u32 len;			/* Number of entries */
	__u16 *red;			/* Red values	*/
	__u16 *green;
	__u16 *blue;
	__u16 *transp;			/* transparency, can be NULL */
};

struct fb_videomode {
	const char *name;	/* optional */
	u32 refresh;		/* optional */
	u32 xres;
	u32 yres;
	u32 pixclock;
	u32 left_margin;
	u32 right_margin;
	u32 upper_margin;
	u32 lower_margin;
	u32 hsync_len;
	u32 vsync_len;
	u32 sync;
	u32 vmode;
	u32 flag;
};

struct fb_info {
	int node;
	int flags;
	struct fb_var_screeninfo var;	/* Current var */
	struct fb_fix_screeninfo fix;	/* Current fix */
//	struct fb_monspecs monspecs;	/* Current Monitor specs */
//	struct work_struct queue;	/* Framebuffer event queue */
	struct fb_pixmap pixmap;	/* Image hardware mapper */
	struct fb_pixmap sprite;	/* Cursor hardware mapper */
	struct fb_cmap cmap;		/* Current cmap */
//	struct list_head modelist;      /* mode list */
	struct fb_videomode *mode;	/* current mode */

#ifdef CONFIG_FB_BACKLIGHT
	/* assigned backlight device */
	/* set before framebuffer registration, 
	   remove after unregister */
	struct backlight_device *bl_dev;

	/* Backlight level curve */
	struct mutex bl_curve_mutex;	
	u8 bl_curve[FB_BACKLIGHT_LEVELS];
#endif
#ifdef CONFIG_FB_DEFERRED_IO
	struct delayed_work deferred_work;
	struct fb_deferred_io *fbdefio;
#endif

	struct fb_ops *fbops;
	struct device *device;		/* This is the parent */
	struct device *dev;		/* This is this fb device */
	int class_flag;                    /* private sysfs flags */
#ifdef CONFIG_FB_TILEBLITTING
	struct fb_tile_ops *tileops;    /* Tile Blitting */
#endif
	char __iomem *screen_base;	/* Virtual address */
	unsigned long screen_size;	/* Amount of ioremapped VRAM or 0 */ 
	void *pseudo_palette;		/* Fake palette of 16 colors */ 
#define FBINFO_STATE_RUNNING	0
#define FBINFO_STATE_SUSPENDED	1
	u32 state;			/* Hardware state i.e suspend */
	void *fbcon_par;                /* fbcon use-only private area */
	/* From here on everything is device dependent */
	void *par;	
};

struct pxafb_info {
	struct fb_info		fb;
	//struct device		*dev;
	struct clk		*clk;

	/*
	 * These are the addresses we mapped
	 * the framebuffer memory region to.
	 */
	/* raw memory addresses */
	dma_addr_t		map_dma;	/* physical */
	u_char *		map_cpu;	/* virtual */
	u_int			map_size;

	/* addresses of pieces placed in raw buffer */
	u_char *		cmd_cpu;	/* virtual address of command buffer */
	dma_addr_t		cmd_dma;	/* physical address of command buffer */
	u_char *		screen_cpu;	/* virtual address of frame buffer */
	dma_addr_t		screen_dma;	/* physical address of frame buffer */
	u16 *			palette_cpu;	/* virtual address of palette memory */
	dma_addr_t		palette_dma;	/* physical address of palette memory */
	u_int			palette_size;

	/* DMA descriptors */
	struct pxafb_dma_descriptor * 	dmadesc_cmd_cpu;
	dma_addr_t		dmadesc_cmd_dma;
	struct pxafb_dma_descriptor * 	dmadesc_fblow_cpu;
	dma_addr_t		dmadesc_fblow_dma;
	struct pxafb_dma_descriptor * 	dmadesc_fbhigh_cpu;
	dma_addr_t		dmadesc_fbhigh_dma;
	struct pxafb_dma_descriptor *	dmadesc_palette_cpu;
	dma_addr_t		dmadesc_palette_dma;

	dma_addr_t		fdadr0;
	dma_addr_t		fdadr1;
	dma_addr_t		fdadr2;
	dma_addr_t		fdadr3;
	dma_addr_t		fdadr4;
	dma_addr_t		fdadr6;

	u_int			lccr0;
	u_int			lccr3;
	u_int			lccr4;
	u_int			lccr6;
	u_int			cmap_inverse:1,
				cmap_static:1,
				unused:30;

	u_int			reg_lccr0;
	u_int			reg_lccr1;
	u_int			reg_lccr2;
	u_int			reg_lccr3;
	u_int			reg_lccr4;
	u_int			reg_lccr5;
	u_int			reg_lccr6;
	u_int			reg_cmdcr;
	u_int			reg_ovl1c1;
	u_int			reg_ovl1c2;
	u_int			reg_ovl2c1;
	u_int			reg_ovl2c2;

	unsigned long	hsync_time;

        unsigned int    buffer_num;
        unsigned int    buffer_index;

	volatile u_char		state;
	volatile u_char		task_state;
	//struct semaphore	ctrlr_sem;
	//wait_queue_head_t	ctrlr_wait;
	//struct work_struct	task;

#if defined(CONFIG_PXA27x) || defined(CONFIG_PXA3xx)
	/* PXA Overlay Framebuffer Support */
	//struct overlayfb_info  *overlay1fb;
	//struct overlayfb_info  *overlay2fb;
	//struct overlayfb_info  *cursorfb;
	//void (*set_overlay_ctrlr_state)(struct pxafb_info *, u_int);
#endif

	u_int		flags;
	/* time unit is ns for following timing parameters */
	u_long		wr_setup_time; /* A0 and CS Setup Time before LCD_PCLK_WR is asserted */
	u_long		wr_pulse_width; /* LCD_PCLK_WR pulse width */
	u_long		rd_setup_time; /* A0 and CS Setup Time before L_FCLK_RD is asserted */
	u_long		rd_pulse_width; /* LCD_PCLK_RD pulse width */
	u_long		op_hold_time; /* Output Hold time from L_FCLK_RD negation */
	u_long		cmd_inh_time; /* Command Inhibit time between two writes */
	u_int		sync_cnt; /* count of L_VSYNC asserted */
	int			(*update_framedata)(struct fb_info *fbi);

#ifdef CONFIG_CPU_FREQ
	//struct notifier_block	freq_transition;
	//struct notifier_block	freq_policy;
#endif

#define	MAX_BRIGHTNESS	255
#define	MIN_BRIGHTNESS	0
	u_int		bl_brightness;
};

typedef struct { int x0,y0,x1,y1; } LCD_RECT;
#define LCD_DRAWMODE_NORMAL (0)
#define LCD_DRAWMODE_XOR    (1<<0)
#define LCD_DRAWMODE_TRANS  (1<<1)
#define LCD_DRAWMODE_REV    (1<<2)

#define FONT_COLOR_BLACK    (0)
#define FONT_COLOR_RED      (0xff<<16)
#define FONT_COLOR_GREEN    (0xff<<8)
#define FONT_COLOR_BLUE     (0xff)
#define FONT_COLOR_WHITE    (FONT_COLOR_RED | FONT_COLOR_GREEN | FONT_COLOR_BLUE)

void pxa_lcd_ini(int mod);
void pxa_lcd_enable(void);
void pxa_lcd_off(void);
void get_lcd_pixel(uint32_t *data, uint32_t x, uint32_t y);
void set_lcd_pixel(uint32_t data, uint32_t x, uint32_t y);

void lcd_printf(char *string, int x, int y, int scale, int fcolor, int bcolor, int mod);
void lcd_draw_rect(LCD_RECT *rect, int color);
void lcd_fill_rect(LCD_RECT *rect, int color);
#ifdef SAAR_PV
#define KP_MKIN0			MFP_CFG(GPIO0, AF1)
#define KP_MKOUT0			MFP_CFG(GPIO1, AF1)
#define KP_MKIN1			MFP_CFG(GPIO2, AF1)
#define KP_MKOUT1			MFP_CFG(GPIO3, AF1)
#define KP_MKIN2			MFP_CFG(GPIO4, AF1)
#define KP_MKOUT2			MFP_CFG(GPIO5, AF1)
#define KP_MKIN3			MFP_CFG(GPIO6, AF1)
#define KP_MKOUT3			MFP_CFG(GPIO7, AF1)
#define KP_MKIN4			MFP_CFG(GPIO8, AF1)
#define KP_MKOUT4			MFP_CFG(GPIO9, AF1)
#define KP_MKIN5			MFP_CFG(GPIO10, AF1)
#define KP_MKOUT5			MFP_CFG(GPIO11, AF1)
#define KP_DKIN0			MFP_CFG(GPIO12, AF2)
#define KP_MKOUT6			MFP_CFG(GPIO13, AF1)

#define GPIO14_GPIO			MFP_CFG(GPIO14, AF0)
#define GPIO15_GPIO			MFP_CFG(GPIO15, AF0)
#define MMC0_CD				MFP_CFG(GPIO16, AF0)
#define LCD_VSYNC			MFP_CFG(GPIO17, AF1)	
#define LCD_HSYNC               	MFP_CFG(GPIO18, AF1)
#define LCD_PCLK                	MFP_CFG(GPIO19, AF1)
#define LCD_DE                  	MFP_CFG(GPIO20, AF1)
#define KEY_LED_EN_T			MFP_CFG(GPIO21, AF0)
#define HP_INT                  	MFP_CFG(GPIO22, AF0)

#define LCD_R0 				MFP_CFG(GPIO23, AF1)
#define LCD_R1                          MFP_CFG(GPIO24, AF1)
#define LCD_R2                          MFP_CFG(GPIO25, AF1)
#define LCD_R3				MFP_CFG(GPIO26, AF1)
#define LCD_R4                          MFP_CFG(GPIO27, AF1)
#define LCD_R5                          MFP_CFG(GPIO28, AF1)
#define LCD_G0				MFP_CFG(GPIO29, AF1)
#define LCD_G1                          MFP_CFG(GPIO30, AF1)
#define LCD_G2                          MFP_CFG(GPIO31, AF1)
#define LCD_G3				MFP_CFG(GPIO32, AF1)
#define LCD_G4                          MFP_CFG(GPIO33, AF1)
#define LCD_G5                          MFP_CFG(GPIO34, AF1)
#define LCD_B0				MFP_CFG(GPIO35, AF1)
#define LCD_B1                          MFP_CFG(GPIO36, AF1)
#define LCD_B2                          MFP_CFG(GPIO37, AF1)
#define LCD_B3				MFP_CFG(GPIO38, AF1)
#define LCD_B4                          MFP_CFG(GPIO39, AF1)
#define LCD_B5                          MFP_CFG(GPIO40, AF1)
#define LCD_LED_PWM			MFP_CFG(GPIO41, AF1)


#define LOCK_KEY_N 			MFP_CFG(GPIO42, AF0)
#define CAM_ON_KEY_N			MFP_CFG(GPIO43, AF0)
#define SIM_REMOVE_N 			MFP_CFG(GPIO44, AF0)
#define GPS_RX				MFP_CFG(GPIO45, AF3)		
#define GPS_TX				MFP_CFG(GPIO46, AF3)
#define GPIO47_GPIO			MFP_CFG(GPIO47, AF0)
#define CAPKEY_INT_2			MFP_CFG(GPIO48, AF0)
#define HALL_INT			MFP_CFG(GPIO49, AF0)
#define PRO_DOUT			MFP_CFG(GPIO50, AF0)
#define PRO_LEDON			MFP_CFG(GPIO51, AF0)
#define HP_UART_SW			MFP_CFG(GPIO52, AF0)
#define FFRXD				MFP_CFG(GPIO53, AF1)
#define FFTXD				MFP_CFG(GPIO54, AF1)

#define MMC1_CMD			MFP_CFG(GPIO55, AF3)
#define MMC1_CLK			MFP_CFG(GPIO56, AF3)
#define MMC1_DAT0			MFP_CFG(GPIO57, AF3)
#define MMC1_DAT1			MFP_CFG(GPIO58, AF3)
#define MMC1_DAT2			MFP_CFG(GPIO59, AF3)
#define MMC1_DAT3			MFP_CFG(GPIO60, AF3)

#define PRO_ENB				MFP_CFG(GPIO61, AF0)
#define TP_INT				MFP_CFG(GPIO62, AF0)

#define GPIO63_GPIO			MFP_CFG(GPIO63, AF1)
#define GPIO64_GPIO			MFP_CFG(GPIO64, AF1)
#define CAM_DATA7                       MFP_CFG(GPIO65, AF1)		
#define CAM_DATA6                       MFP_CFG(GPIO66, AF1)
#define CAM_DATA5                       MFP_CFG(GPIO67, AF1)
#define CAM_DATA4                       MFP_CFG(GPIO68, AF1)
#define CAM_DATA3                       MFP_CFG(GPIO69, AF1)
#define CAM_DATA2                       MFP_CFG(GPIO70, AF1)
#define CAM_DATA1                       MFP_CFG(GPIO71, AF1)
#define CAM_DATA0                       MFP_CFG(GPIO72, AF1)
#define CAM_HSYNC                       MFP_CFG(GPIO73, AF1)
#define CAM_VSYNC                       MFP_CFG(GPIO74, AF1)
#define CAM_MCLK                        MFP_CFG(GPIO75, AF1)
#define CAM_PCLK                        MFP_CFG(GPIO76, AF1)
#define CAM_PD_MAIN                     MFP_CFG(GPIO77, AF0)

#define GPS_RESET                       MFP_CFG(GPIO78, AF0)
#define PCM_CLK                         MFP_CFG(GPIO79, AF2)
#define PCM_SYNC                        MFP_CFG(GPIO80, AF2)
#define PCM_TXD                         MFP_CFG(GPIO81, AF2)
#define PCM_RXD				MFP_CFG(GPIO82, AF2)
#define GPIO83_GPIO			MFP_CFG(GPIO83, AF0)            	
#define WLAN_WAKEUP_TAVOR		MFP_CFG(GPIO84, AF0)
#define I2S_BITCLK                      MFP_CFG(GPIO85, AF1)		
#define HP_AMP_SD                       MFP_CFG(GPIO86, AF0)
#define I2S_SYNC                        MFP_CFG(GPIO87, AF1)
#define I2S_SDATA_OUT                   MFP_CFG(GPIO88, AF1)
#define I2C_SCL                         MFP_CFG(GPIO89, AF1)
#define I2C_SDA                         MFP_CFG(GPIO90, AF1)
#define BT_UART_RXD                     MFP_CFG(GPIO91, AF1)
#define BT_UART_TXD                     MFP_CFG(GPIO92, AF1)
#define BT_UART_CTS                     MFP_CFG(GPIO93, AF1)
#define BT_UART_RTS                     MFP_CFG(GPIO94, AF1)
#define TAVOR_ONE_WIRE                  MFP_CFG(GPIO95, AF5)
#define WLAN_BT_RESET                   MFP_CFG(GPIO96, AF0)
#define WLAN_MAC_WAKEUP                 MFP_CFG(GPIO97, AF0)
#define MOT_INT                         MFP_CFG(GPIO98, AF0)
/* #define GPIO99_GPIO                     MFP_CFG(GPIO99, AF0) */
#define GPIO100_GPIO                    MFP_CFG(GPIO100, AF0)

#define WLAN_DAT3                       MFP_CFG(GPIO101, AF1)
#define WLAN_DAT2			MFP_CFG(GPIO102, AF1)
#define WLAN_DAT1                       MFP_CFG(GPIO103, AF1)
#define WLAN_DAT0                       MFP_CFG(GPIO104, AF1)
#define WLAN_CMD                        MFP_CFG(GPIO105, AF1)		
#define WLAN_CLK                        MFP_CFG(GPIO106, AF1)

#define FLASH_TORCH_SEL                 MFP_CFG(GPIO159, AF0)
#define LCD_SPI_CLK                     MFP_CFG(GPIO160, AF2)
#define LCD_SPI_CS                      MFP_CFG(GPIO161, AF2)
#define GPIO162_GPIO			MFP_CFG(GPIO162, AF2)
#define LCD_SPI_DIN                     MFP_CFG(GPIO163, AF2)
#define CAM_ID                          MFP_CFG(GPIO164, AF0)
#define CAM_SHOT_KEY_N                  MFP_CFG(GPIO165, AF0)
#define GPIO166_GPIO                    MFP_CFG(GPIO166, AF0)
#define CAP_LS_EN			MFP_CFG(GPIO167, AF0)
#define TAVOR_WAKEUP_BT			MFP_CFG(GPIO168, AF0)
#define LCD_RESET_N			MFP_CFG(GPIO169, AF0)
//#define LCD_RESET_N     MFP_CFG_X(GPIO169, AF0, DS02X, PULL_HIGH)
#define WLAN_PD                         MFP_CFG(GPIO170, AF0)
#define VCM_PD                          MFP_CFG(GPIO171, AF0)
#define GPS_ON                          MFP_CFG(GPIO172, AF0)
#define CAMERA_ON                       MFP_CFG(GPIO173, AF0)
#define CHG_BYPASS_EN			MFP_CFG(GPIO174, AF0)
#define BT_WAKEUP_TAVOR			MFP_CFG(GPIO175, AF0) 
#define CAM_RESET_MAIN			MFP_CFG(GPIO176, AF0)

#define SPARK_ETH_PHYS	0x14000000

#define PMIC_INT_PIN	83		/* PMIC_INT to GPIO83 */
#endif





#endif
