#
# this file is perl script performs scanning of text file and
# translates it into OBM PinMux header file
#

#!/usr/bin/perl

$PIN_MUX_TABLE = "PinMux_table";
$PIN_MUX_TABLE_SUFIX = ".h";
##$PATH_BOERNE_P_OBM_INC = "Boerne\\P_Obm\\inc\\";
##$PATH_BOERNE_P_OBM_BUILD = "Boerne\\P_Obm\\build\\";
##$PATH_BOERNE_P_OBM_BIN = "Boerne\\P_Obm\\bin\\";
$OUTPUT_FILES_PATH = "code\\tboot\\obm\\v3\\Tavor\\pin_mux\\";


$OBMfileName = $ARGV[0];
$OBMCpuType = $ARGV[1];
$OBMmode = $ARGV[2];


use Cwd;
$currentDir = &Cwd::cwd();
chomp $currentDir;
#debug
#print ($currentDir);

#open source file
open(PinMux, "OBM_Values.txt") or die "Couldn't open OBM_Values.txt";

#open destination file 
$PinMux_table_Dir = substr($currentDir, 0, index($currentDir,"Automation", 0));
if($PinMux_table_Dir eq -1)
{
	print "Error. Couldn't find Automation directory";
  exit 0;
}

$PinMux_table = $PinMux_table_Dir . $PIN_MUX_TABLE . $OBMCpuType . $PIN_MUX_TABLE_SUFIX;
#debug
#print ($PinMux_table);

#open (Header, ">G:\\Boerne\\P_Obm\\inc\\PinMux_table.h") or die "Couldn't open PinMux_table.h\n\n";
open (Header, ">$PinMux_table") or die "Couldn't open PinMux_table.h\n\n";

#print prefix strings from ext file
open (Prefix, "prefix$OBMCpuType.txt") or die "prefix.txt\n\n";


#print Header "\n";
#print Header "#define $OBMfileName             1 \n";
#print Header "#define $OBMCpuType                                1 \n";
#print Header "#define $OBMmode                                1 \n";
#print Header "\n\n\n\n";


while (<Prefix>)
{
	print Header "$_";
}
close(Prefix);
 
# parse "OBM_Values.txt" and print to header file
while (<PinMux>)
{
	#delete "\n" from end of the string
	chomp;
	#print"!!!!$_!!!";
	# remove ugly \r - windows file foooooo #substitute "\r" with "" in whole string ("g" - global)
	s/\r//g;
	 
	# devide string to separate words by " " or "\t"
    @words = split(/[ \t]/, $_); 
    
    #print to file basic defs - name of pad and address
    print Header "#define $words[0]$OBMCpuType             PADENTRY(0x$words[1], \\\n";
    
    #print to file in loop defs for N (5 for now) modes (AF, drive, pull_up/pull_down)
    for ($i=0; $i<5; $i++)
    {
		print Header "                                /*mode $i*/ AF_$words[2+6*$i], $words[3+6*$i], $words[4+6*$i], $words[5+6*$i], $words[6+6*$i], $words[7+6*$i]";
		if ($i!=4)
		{
			print Header ", \\\n";
		}
		else
		{
			print Header ")\n\n";
		}
		
    }
    
}


#print postfix strings from ext file
open (Postfix, "postfix.txt") or die "postfix.txt\n\n";
while (<Postfix>)
{
	print Header "$_";
}
close(Postfix) or die "closing postfix.txt\n\n";

close(PinMux) or die "closing pinmux.txt\n\n";
close(Header) or die "closing Header.txt\n\n";
print "\n\n****************************************************************\n";
print "************ PinMux Header File was created ********************\n";
print "****************************************************************\n\n";
