/******************************************************************************
**
**  COPYRIGHT (C) 2005 Intel Corporation.
**
**  This software as well as the software described in it is furnished under
**  license and may only be used or copied in accordance with the terms of the
**  license. The information in this file is furnished for informational use
**  only, is subject to change without notice, and should not be construed as
**  a commitment by Intel Corporation. Intel Corporation assumes no
**  responsibility or liability for any errors or inaccuracies that may appear
**  in this document or any software that may be provided in association with
**  this document.
**  Except as permitted by such license, no part of this document may be
**  reproduced, stored in a retrieval system, or transmitted in any form or by
**  any means without the express written consent of Intel Corporation.
**
**  FILENAME:	Tavor_pinmux.c
**
**  PURPOSE:
**
******************************************************************************/

#include "typedef.h"
#include "PinMux_table_EVB2.h"
#include "PinMux_table_YARDEN.h"
#include "PinMux_table_SAAR.h"
#include "PinMux_table_SAAR_2_6.h"
#include "PinMux_table_SAAR_PV.h"
#include "PinMux_table_SAAR_PV_3_2.h"
#include "PinMux_table_PV.h"
#include "PinMux_table_P65.h"
#include "data_to_os.h"
#include "product_id.h"
#include "misc.h"


extern OBM_BOARD_TYPE OBMGetBoardType ( void );


/*-------------------------------------------------------------------------
* Table of PinMux setting in the different modes
* First col. contains the Tavor address (as copied from the flashed table
* Second col contains the last read value
* Next 4 cols contain the vals to be set for the different 4 Modes
*-----------------------------------------------------------------------*/


static Tavor_PinmuxEntryS tavorPinMuxTab =
{
  {
#if (EVB2)
    {
	  {
		{GPIO0_EVB2     	},
		{GPIO1_EVB2     	},
		{GPIO2_EVB2     	},
		{GPIO3_EVB2     	},
		{GPIO4_EVB2     	},
		{GPIO5_EVB2     	},
		{GPIO6_EVB2     	},
		{GPIO7_EVB2     	},
		{GPIO8_EVB2     	},
		{GPIO9_EVB2     	},
		{GPIO10_EVB2    	},
		{GPIO11_EVB2    	},
		{GPIO12_EVB2    	},
		{GPIO13_EVB2    	},
		{GPIO14_EVB2    	},
		{GPIO15_EVB2    	},
		{GPIO16_EVB2    	},
		{GPIO17_EVB2    	},
		{GPIO18_EVB2    	},
		{GPIO19_EVB2    	},
		{GPIO20_EVB2    	},
		{GPIO21_EVB2    	},
		{GPIO22_EVB2    	},
		{GPIO23_EVB2    	},
		{GPIO24_EVB2    	},
		{GPIO25_EVB2    	},
		{GPIO26_EVB2    	},
		{GPIO27_EVB2    	},
		{GPIO28_EVB2    	},
		{GPIO29_EVB2    	},
		{GPIO30_EVB2    	},
		{GPIO31_EVB2    	},
		{GPIO32_EVB2    	},
		{GPIO33_EVB2    	},
		{GPIO34_EVB2    	},
		{GPIO35_EVB2    	},
		{GPIO36_EVB2    	},
		{GPIO37_EVB2    	},
		{GPIO38_EVB2    	},
		{GPIO39_EVB2    	},
		{GPIO40_EVB2    	},
		{GPIO41_EVB2    	},
		{GPIO42_EVB2    	},
		{GPIO43_EVB2    	},
		{GPIO44_EVB2    	},
		{GPIO45_EVB2    	},
		{GPIO46_EVB2    	},
		{GPIO47_EVB2    	},
		{GPIO48_EVB2    	},
		{GPIO49_EVB2    	},
		{GPIO50_EVB2    	},
		{GPIO51_EVB2    	},
		{GPIO52_EVB2    	},
		{GPIO53_EVB2    	},
		{GPIO54_EVB2    	},
		{GPIO55_EVB2    	},
		{GPIO56_EVB2    	},
		{GPIO57_EVB2    	},
		{GPIO58_EVB2    	},
		{GPIO59_EVB2    	},
		{GPIO60_EVB2    	},
		{GPIO61_EVB2    	},
		{GPIO62_EVB2    	},
		{GPIO63_EVB2    	},
		{GPIO64_EVB2    	},
		{GPIO65_EVB2    	},
		{GPIO66_EVB2    	},
		{GPIO67_EVB2    	},
		{GPIO68_EVB2    	},
		{GPIO69_EVB2    	},
		{GPIO70_EVB2    	},
		{GPIO71_EVB2    	},
		{GPIO72_EVB2    	},
		{GPIO73_EVB2    	},
		{GPIO74_EVB2    	},
		{GPIO75_EVB2    	},
		{GPIO76_EVB2    	},
		{GPIO77_EVB2    	},
		{GPIO78_EVB2    	},
		{GPIO79_EVB2    	},
		{GPIO80_EVB2    	},
		{GPIO81_EVB2    	},
		{GPIO82_EVB2    	},
		{GPIO83_EVB2    	},
		{GPIO84_EVB2    	},
		{GPIO85_EVB2    	},
		{GPIO86_EVB2    	},
		{GPIO87_EVB2    	},
		{GPIO88_EVB2    	},
		{GPIO89_EVB2    	},
		{GPIO90_EVB2    	},
		{GPIO91_EVB2    	},
		{GPIO92_EVB2    	},
		{GPIO93_EVB2    	},
		{GPIO94_EVB2    	},
		{GPIO95_EVB2    	},
		{GPIO96_EVB2    	},
		{GPIO97_EVB2    	},
		{GPIO98_EVB2    	},
		{GPIO99_EVB2    	},
		{GPIO100_EVB2   	},
		{GPIO101_EVB2   	},
		{GPIO102_EVB2   	},
		{GPIO103_EVB2   	},
		{GPIO104_EVB2   	},
		{GPIO105_EVB2   	},
		{GPIO106_EVB2       },
		{RF_IF1_EVB2        },
		{RF_IF2_EVB2        },
		{RF_IF3_EVB2        },
		{RF_IF4_EVB2        },
		{RF_IF5_EVB2        },
		{RF_IF6_EVB2        },
		{RF_IF7_EVB2        },
		{RF_IF8_EVB2        },
		{RF_IF9_EVB2        },
		{RF_IF10_EVB2       },
		{RF_IF11_EVB2       },
		{RF_IF12_EVB2       },
		{RF_IF13_EVB2       },
		{RF_IF14_EVB2       },
		{RF_IF15_EVB2       },
		{RF_IF16_EVB2       },
		{RF_IF17_EVB2       },
		{RF_IF18_EVB2   	},
		{RF_IF19_EVB2   	},
		{RF_IF20_EVB2   	},
		{RF_IF21_EVB2   	},
		{RF_IF22_EVB2  		},
		{AFE_RXIQ0_EVB2 	},
		{AFE_RXIQ1_EVB2 	},
		{AFE_RXIQ2_EVB2 	},
		{AFE_RXIQ3_EVB2 	},
		{AFE_RXIQ4_EVB2 	},
		{AFE_RXIQ5_EVB2 	},
		{AFE_RXIQ6_EVB2 	},
		{AFE_RXIQ7_EVB2 	},
		{AFE_RX_CLK_EVB2	},
		{AFE_TXIQ0_EVB2 	},
		{AFE_TXIQ1_EVB2 	},
		{AFE_TXIQ2_EVB2 	},
		{AFE_TXIQ3_EVB2 	},
		{AFE_TXIQ4_EVB2 	},
		{AFE_TXIQ5_EVB2 	},
		{AFE_TXIQ6_EVB2 	},
		{AFE_TXIQ7_EVB2 	},
		{AFE_TXIQ8_EVB2 	},
		{AFE_TXIQ9_EVB2 	},
		{AFE_TX_CLK_EVB2	},
		{CONT_CLK_EVB2  	},
		{CONT_DATA0_EVB2	},
		{CONT_DATA1_EVB2	},
		{CONT_RD_WR_EVB2	},
		{CONT_READ_INT_EVB2	},
		{DAC_ST456_EVB2 	},
		{ADC_ST_EVB2    	},
		{ND_IO15_EVB2   	},
		{ND_IO14_EVB2   	},
		{ND_IO13_EVB2   	},
		{ND_IO12_EVB2   	},
		{ND_IO11_EVB2   	},
		{ND_IO10_EVB2   	},
		{ND_IO9_EVB2    	},
		{ND_IO8_EVB2    	},
		{ND_IO7_EVB2    	},
		{ND_IO6_EVB2    	},
		{ND_IO5_EVB2    	},
		{ND_IO4_EVB2    	},
		{ND_IO3_EVB2    	},
		{ND_IO2_EVB2    	},
		{ND_IO1_EVB2    	},
		{ND_IO0_EVB2    	},
		{ND_nCS0_EVB2   	},
		{ND_nCS1_EVB2   	},
		{ND_nWE_EVB2    	},
		{ND_nRE_nOE_EVB2	},
		{ND_CLE_EVB2    	},
		{ND_nADV1_ALE_EVB2	},
		{ND_nADV2_ALE_EVB2	},
		{ND_INT_RnB_EVB2	},
		{DF_SCLK_E_EVB2 	},
		{DF_SCLK_S_EVB2 	},
		{DF_ADDR0_EVB2  	},
		{DF_ADDR1_EVB2  	},
		{DF_ADDR2_EVB2  	},
		{DF_ADDR3_EVB2  	},
		{nXCVREN_EVB2   	},
		{nLUA_EVB2      	},
		{nLLA_EVB2      	},
		{nBE0_EVB2      	},
		{nBE1_EVB2      	},
		{RDY_EVB2       	},
		{UN_LOCK_EVB2   	},
		{GSIM_UCLK_EVB2 	},
		{GSIM_UIO_EVB2  	},
		{GSIM_nURST_EVB2	},
		{GSIM_UDET_EVB2 	},
		{PMIC_INT_EVB2  	}
	  }
	}
#endif   // EVB2
#if (YARDEN)
//	,
    {
	  {
		{GPIO0_YARDEN        },
		{GPIO1_YARDEN        },
		{GPIO2_YARDEN        },
		{GPIO3_YARDEN        },
		{GPIO4_YARDEN        },
		{GPIO5_YARDEN        },
		{GPIO6_YARDEN        },
		{GPIO7_YARDEN        },
		{GPIO8_YARDEN        },
		{GPIO9_YARDEN        },
		{GPIO10_YARDEN       },
		{GPIO11_YARDEN       },
		{GPIO12_YARDEN       },
		{GPIO13_YARDEN       },
		{GPIO14_YARDEN       },
		{GPIO15_YARDEN       },
		{GPIO16_YARDEN       },
		{GPIO17_YARDEN       },
		{GPIO18_YARDEN       },
		{GPIO19_YARDEN       },
		{GPIO20_YARDEN       },
		{GPIO21_YARDEN       },
		{GPIO22_YARDEN       },
		{GPIO23_YARDEN       },
		{GPIO24_YARDEN       },
		{GPIO25_YARDEN       },
		{GPIO26_YARDEN       },
		{GPIO27_YARDEN       },
		{GPIO28_YARDEN       },
		{GPIO29_YARDEN       },
		{GPIO30_YARDEN       },
		{GPIO31_YARDEN       },
		{GPIO32_YARDEN       },
		{GPIO33_YARDEN       },
		{GPIO34_YARDEN       },
		{GPIO35_YARDEN       },
		{GPIO36_YARDEN       },
		{GPIO37_YARDEN       },
		{GPIO38_YARDEN       },
		{GPIO39_YARDEN       },
		{GPIO40_YARDEN       },
		{GPIO41_YARDEN       },
		{GPIO42_YARDEN       },
		{GPIO43_YARDEN       },
		{GPIO44_YARDEN       },
		{GPIO45_YARDEN       },
		{GPIO46_YARDEN       },
		{GPIO47_YARDEN       },
		{GPIO48_YARDEN       },
		{GPIO49_YARDEN       },
		{GPIO50_YARDEN       },
		{GPIO51_YARDEN       },
		{GPIO52_YARDEN       },
		{GPIO53_YARDEN       },
		{GPIO54_YARDEN       },
		{GPIO55_YARDEN       },
		{GPIO56_YARDEN       },
		{GPIO57_YARDEN       },
		{GPIO58_YARDEN       },
		{GPIO59_YARDEN       },
		{GPIO60_YARDEN       },
		{GPIO61_YARDEN       },
		{GPIO62_YARDEN       },
		{GPIO63_YARDEN       },
		{GPIO64_YARDEN       },
		{GPIO65_YARDEN       },
		{GPIO66_YARDEN       },
		{GPIO67_YARDEN       },
		{GPIO68_YARDEN       },
		{GPIO69_YARDEN       },
		{GPIO70_YARDEN       },
		{GPIO71_YARDEN       },
		{GPIO72_YARDEN       },
		{GPIO73_YARDEN       },
		{GPIO74_YARDEN       },
		{GPIO75_YARDEN       },
		{GPIO76_YARDEN       },
		{GPIO77_YARDEN       },
		{GPIO78_YARDEN       },
		{GPIO79_YARDEN       },
		{GPIO80_YARDEN       },
		{GPIO81_YARDEN       },
		{GPIO82_YARDEN       },
		{GPIO83_YARDEN       },
		{GPIO84_YARDEN       },
		{GPIO85_YARDEN       },
		{GPIO86_YARDEN       },
		{GPIO87_YARDEN       },
		{GPIO88_YARDEN       },
		{GPIO89_YARDEN       },
		{GPIO90_YARDEN       },
		{GPIO91_YARDEN       },
		{GPIO92_YARDEN       },
		{GPIO93_YARDEN       },
		{GPIO94_YARDEN       },
		{GPIO95_YARDEN       },
		{GPIO96_YARDEN       },
		{GPIO97_YARDEN       },
		{GPIO98_YARDEN       },
		{GPIO99_YARDEN       },
		{GPIO100_YARDEN      },
		{GPIO101_YARDEN      },
		{GPIO102_YARDEN      },
		{GPIO103_YARDEN      },
		{GPIO104_YARDEN      },
		{GPIO105_YARDEN      },
		{GPIO106_YARDEN      },
		{RF_IF1_YARDEN       },
		{RF_IF2_YARDEN       },
		{RF_IF3_YARDEN       },
		{RF_IF4_YARDEN       },
		{RF_IF5_YARDEN       },
		{RF_IF6_YARDEN       },
		{RF_IF7_YARDEN       },
		{RF_IF8_YARDEN       },
		{RF_IF9_YARDEN       },
		{RF_IF10_YARDEN      },
		{RF_IF11_YARDEN      },
		{RF_IF12_YARDEN      },
		{RF_IF13_YARDEN      },
		{RF_IF14_YARDEN      },
		{RF_IF15_YARDEN      },
		{RF_IF16_YARDEN      },
		{RF_IF17_YARDEN      },
		{RF_IF18_YARDEN      },
		{RF_IF19_YARDEN      },
		{RF_IF20_YARDEN      },
		{RF_IF21_YARDEN      },
		{RF_IF22_YARDEN      },
		{AFE_RXIQ0_YARDEN    },
		{AFE_RXIQ1_YARDEN    },
		{AFE_RXIQ2_YARDEN    },
		{AFE_RXIQ3_YARDEN    },
		{AFE_RXIQ4_YARDEN    },
		{AFE_RXIQ5_YARDEN    },
		{AFE_RXIQ6_YARDEN    },
		{AFE_RXIQ7_YARDEN    },
		{AFE_RX_CLK_YARDEN   },
		{AFE_TXIQ0_YARDEN    },
		{AFE_TXIQ1_YARDEN    },
		{AFE_TXIQ2_YARDEN    },
		{AFE_TXIQ3_YARDEN    },
		{AFE_TXIQ4_YARDEN    },
		{AFE_TXIQ5_YARDEN    },
		{AFE_TXIQ6_YARDEN    },
		{AFE_TXIQ7_YARDEN    },
		{AFE_TXIQ8_YARDEN    },
		{AFE_TXIQ9_YARDEN    },
		{AFE_TX_CLK_YARDEN   },
		{CONT_CLK_YARDEN     },
		{CONT_DATA0_YARDEN   },
		{CONT_DATA1_YARDEN   },
		{CONT_RD_WR_YARDEN   },
		{CONT_READ_INT_YARDEN},
		{DAC_ST456_YARDEN    },
		{ADC_ST_YARDEN       },
		{ND_IO15_YARDEN      },
		{ND_IO14_YARDEN      },
		{ND_IO13_YARDEN      },
		{ND_IO12_YARDEN      },
		{ND_IO11_YARDEN      },
		{ND_IO10_YARDEN      },
		{ND_IO9_YARDEN       },
		{ND_IO8_YARDEN       },
		{ND_IO7_YARDEN       },
		{ND_IO6_YARDEN       },
		{ND_IO5_YARDEN       },
		{ND_IO4_YARDEN       },
		{ND_IO3_YARDEN       },
		{ND_IO2_YARDEN       },
		{ND_IO1_YARDEN       },
		{ND_IO0_YARDEN       },
		{ND_nCS0_YARDEN      },
		{ND_nCS1_YARDEN      },
		{ND_nWE_YARDEN       },
		{ND_nRE_nOE_YARDEN   },
		{ND_CLE_YARDEN       },
		{ND_nADV1_ALE_YARDEN },
		{ND_nADV2_ALE_YARDEN },
		{ND_INT_RnB_YARDEN   },
		{DF_SCLK_E_YARDEN    },
		{DF_SCLK_S_YARDEN    },
		{DF_ADDR0_YARDEN     },
		{DF_ADDR1_YARDEN     },
		{DF_ADDR2_YARDEN     },
		{DF_ADDR3_YARDEN     },
		{nXCVREN_YARDEN      },
		{nLUA_YARDEN         },
		{nLLA_YARDEN         },
		{nBE0_YARDEN         },
		{nBE1_YARDEN         },
		{RDY_YARDEN          },
		{UN_LOCK_YARDEN      },
		{GSIM_UCLK_YARDEN    },
		{GSIM_UIO_YARDEN     },
		{GSIM_nURST_YARDEN   },
		{GSIM_UDET_YARDEN    },
		{PMIC_INT_YARDEN     }
	  }
	}
#endif  // YARDEN
#if (SAAR)
#if (!TRUSTED)
//	,
    {
	  {
		{GPIO0_SAAR        },
		{GPIO1_SAAR        },
		{GPIO2_SAAR        },
		{GPIO3_SAAR        },
		{GPIO4_SAAR        },
		{GPIO5_SAAR        },
		{GPIO6_SAAR        },
		{GPIO7_SAAR        },
		{GPIO8_SAAR        },
		{GPIO9_SAAR        },
		{GPIO10_SAAR       },
		{GPIO11_SAAR       },
		{GPIO12_SAAR       },
		{GPIO13_SAAR       },
		{GPIO14_SAAR       },
		{GPIO15_SAAR       },
		{GPIO16_SAAR       },
		{GPIO17_SAAR       },
		{GPIO18_SAAR       },
		{GPIO19_SAAR       },
		{GPIO20_SAAR       },
		{GPIO21_SAAR       },
		{GPIO22_SAAR       },
		{GPIO23_SAAR       },
		{GPIO24_SAAR       },
		{GPIO25_SAAR       },
		{GPIO26_SAAR       },
		{GPIO27_SAAR       },
		{GPIO28_SAAR       },
		{GPIO29_SAAR       },
		{GPIO30_SAAR       },
		{GPIO31_SAAR       },
		{GPIO32_SAAR       },
		{GPIO33_SAAR       },
		{GPIO34_SAAR       },
		{GPIO35_SAAR       },
		{GPIO36_SAAR       },
		{GPIO37_SAAR       },
		{GPIO38_SAAR       },
		{GPIO39_SAAR       },
		{GPIO40_SAAR       },
		{GPIO41_SAAR       },
		{GPIO42_SAAR       },
		{GPIO43_SAAR       },
		{GPIO44_SAAR       },
		{GPIO45_SAAR       },
		{GPIO46_SAAR       },
		{GPIO47_SAAR       },
		{GPIO48_SAAR       },
		{GPIO49_SAAR       },
		{GPIO50_SAAR       },
		{GPIO51_SAAR       },
		{GPIO52_SAAR       },
		{GPIO53_SAAR       },
		{GPIO54_SAAR       },
		{GPIO55_SAAR       },
		{GPIO56_SAAR       },
		{GPIO57_SAAR       },
		{GPIO58_SAAR       },
		{GPIO59_SAAR       },
		{GPIO60_SAAR       },
		{GPIO61_SAAR       },
		{GPIO62_SAAR       },
		{GPIO63_SAAR       },
		{GPIO64_SAAR       },
		{GPIO65_SAAR       },
		{GPIO66_SAAR       },
		{GPIO67_SAAR       },
		{GPIO68_SAAR       },
		{GPIO69_SAAR       },
		{GPIO70_SAAR       },
		{GPIO71_SAAR       },
		{GPIO72_SAAR       },
		{GPIO73_SAAR       },
		{GPIO74_SAAR       },
		{GPIO75_SAAR       },
		{GPIO76_SAAR       },
		{GPIO77_SAAR       },
		{GPIO78_SAAR       },
		{GPIO79_SAAR       },
		{GPIO80_SAAR       },
		{GPIO81_SAAR       },
		{GPIO82_SAAR       },
		{GPIO83_SAAR       },
		{GPIO84_SAAR       },
		{GPIO85_SAAR       },
		{GPIO86_SAAR       },
		{GPIO87_SAAR       },
		{GPIO88_SAAR       },
		{GPIO89_SAAR       },
		{GPIO90_SAAR       },
		{GPIO91_SAAR       },
		{GPIO92_SAAR       },
		{GPIO93_SAAR       },
		{GPIO94_SAAR       },
		{GPIO95_SAAR       },
		{GPIO96_SAAR       },
		{GPIO97_SAAR       },
		{GPIO98_SAAR       },
		{GPIO99_SAAR       },
		{GPIO100_SAAR      },
		{GPIO101_SAAR      },
		{GPIO102_SAAR      },
		{GPIO103_SAAR      },
		{GPIO104_SAAR      },
		{GPIO105_SAAR      },
		{GPIO106_SAAR      },
		{RF_IF1_SAAR       },
		{RF_IF2_SAAR       },
		{RF_IF3_SAAR       },
		{RF_IF4_SAAR       },
		{RF_IF5_SAAR       },
		{RF_IF6_SAAR       },
		{RF_IF7_SAAR       },
		{RF_IF8_SAAR       },
		{RF_IF9_SAAR       },
		{RF_IF10_SAAR      },
		{RF_IF11_SAAR      },
		{RF_IF12_SAAR      },
		{RF_IF13_SAAR      },
		{RF_IF14_SAAR      },
		{RF_IF15_SAAR      },
		{RF_IF16_SAAR      },
		{RF_IF17_SAAR      },
		{RF_IF18_SAAR      },
		{RF_IF19_SAAR      },
		{RF_IF20_SAAR      },
		{RF_IF21_SAAR      },
		{RF_IF22_SAAR      },
		{AFE_RXIQ0_SAAR    },
		{AFE_RXIQ1_SAAR    },
		{AFE_RXIQ2_SAAR    },
		{AFE_RXIQ3_SAAR    },
		{AFE_RXIQ4_SAAR    },
		{AFE_RXIQ5_SAAR    },
		{AFE_RXIQ6_SAAR    },
		{AFE_RXIQ7_SAAR    },
		{AFE_RX_CLK_SAAR   },
		{AFE_TXIQ0_SAAR    },
		{AFE_TXIQ1_SAAR    },
		{AFE_TXIQ2_SAAR    },
		{AFE_TXIQ3_SAAR    },
		{AFE_TXIQ4_SAAR    },
		{AFE_TXIQ5_SAAR    },
		{AFE_TXIQ6_SAAR    },
		{AFE_TXIQ7_SAAR    },
		{AFE_TXIQ8_SAAR    },
		{AFE_TXIQ9_SAAR    },
		{AFE_TX_CLK_SAAR   },
		{CONT_CLK_SAAR     },
		{CONT_DATA0_SAAR   },
		{CONT_DATA1_SAAR   },
		{CONT_RD_WR_SAAR   },
		{CONT_READ_INT_SAAR},
		{DAC_ST456_SAAR    },
		{ADC_ST_SAAR       },
		{ND_IO15_SAAR      },
		{ND_IO14_SAAR      },
		{ND_IO13_SAAR      },
		{ND_IO12_SAAR      },
		{ND_IO11_SAAR      },
		{ND_IO10_SAAR      },
		{ND_IO9_SAAR       },
		{ND_IO8_SAAR       },
		{ND_IO7_SAAR       },
		{ND_IO6_SAAR       },
		{ND_IO5_SAAR       },
		{ND_IO4_SAAR       },
		{ND_IO3_SAAR       },
		{ND_IO2_SAAR       },
		{ND_IO1_SAAR       },
		{ND_IO0_SAAR       },
		{ND_nCS0_SAAR      },
		{ND_nCS1_SAAR      },
		{ND_nWE_SAAR       },
		{ND_nRE_nOE_SAAR   },
		{ND_CLE_SAAR       },
		{ND_nADV1_ALE_SAAR },
		{ND_nADV2_ALE_SAAR },
		{ND_INT_RnB_SAAR   },
		{DF_SCLK_E_SAAR    },
		{DF_SCLK_S_SAAR    },
		{DF_ADDR0_SAAR     },
		{DF_ADDR1_SAAR     },
		{DF_ADDR2_SAAR     },
		{DF_ADDR3_SAAR     },
		{nXCVREN_SAAR      },
		{nLUA_SAAR         },
		{nLLA_SAAR         },
		{nBE0_SAAR         },
		{nBE1_SAAR         },
		{RDY_SAAR          },
		{UN_LOCK_SAAR      },
		{GSIM_UCLK_SAAR    },
		{GSIM_UIO_SAAR     },
		{GSIM_nURST_SAAR   },
		{GSIM_UDET_SAAR    },
		{PMIC_INT_SAAR     }
	  }
	}
	,
#endif  // (!TRUSTED)
    {
	  {
		{GPIO0_SAAR_2_6        },
		{GPIO1_SAAR_2_6        },
		{GPIO2_SAAR_2_6        },
		{GPIO3_SAAR_2_6        },
		{GPIO4_SAAR_2_6        },
		{GPIO5_SAAR_2_6        },
		{GPIO6_SAAR_2_6        },
		{GPIO7_SAAR_2_6        },
		{GPIO8_SAAR_2_6        },
		{GPIO9_SAAR_2_6        },
		{GPIO10_SAAR_2_6       },
		{GPIO11_SAAR_2_6       },
		{GPIO12_SAAR_2_6       },
		{GPIO13_SAAR_2_6       },
		{GPIO14_SAAR_2_6       },
		{GPIO15_SAAR_2_6       },
		{GPIO16_SAAR_2_6       },
		{GPIO17_SAAR_2_6       },
		{GPIO18_SAAR_2_6       },
		{GPIO19_SAAR_2_6       },
		{GPIO20_SAAR_2_6       },
		{GPIO21_SAAR_2_6       },
		{GPIO22_SAAR_2_6       },
		{GPIO23_SAAR_2_6       },
		{GPIO24_SAAR_2_6       },
		{GPIO25_SAAR_2_6       },
		{GPIO26_SAAR_2_6       },
		{GPIO27_SAAR_2_6       },
		{GPIO28_SAAR_2_6       },
		{GPIO29_SAAR_2_6       },
		{GPIO30_SAAR_2_6       },
		{GPIO31_SAAR_2_6       },
		{GPIO32_SAAR_2_6       },
		{GPIO33_SAAR_2_6       },
		{GPIO34_SAAR_2_6       },
		{GPIO35_SAAR_2_6       },
		{GPIO36_SAAR_2_6       },
		{GPIO37_SAAR_2_6       },
		{GPIO38_SAAR_2_6       },
		{GPIO39_SAAR_2_6       },
		{GPIO40_SAAR_2_6       },
		{GPIO41_SAAR_2_6       },
		{GPIO42_SAAR_2_6       },
		{GPIO43_SAAR_2_6       },
		{GPIO44_SAAR_2_6       },
		{GPIO45_SAAR_2_6       },
		{GPIO46_SAAR_2_6       },
		{GPIO47_SAAR_2_6       },
		{GPIO48_SAAR_2_6       },
		{GPIO49_SAAR_2_6       },
		{GPIO50_SAAR_2_6       },
		{GPIO51_SAAR_2_6       },
		{GPIO52_SAAR_2_6       },
		{GPIO53_SAAR_2_6       },
		{GPIO54_SAAR_2_6       },
		{GPIO55_SAAR_2_6       },
		{GPIO56_SAAR_2_6       },
		{GPIO57_SAAR_2_6       },
		{GPIO58_SAAR_2_6       },
		{GPIO59_SAAR_2_6       },
		{GPIO60_SAAR_2_6       },
		{GPIO61_SAAR_2_6       },
		{GPIO62_SAAR_2_6       },
		{GPIO63_SAAR_2_6       },
		{GPIO64_SAAR_2_6       },
		{GPIO65_SAAR_2_6       },
		{GPIO66_SAAR_2_6       },
		{GPIO67_SAAR_2_6       },
		{GPIO68_SAAR_2_6       },
		{GPIO69_SAAR_2_6       },
		{GPIO70_SAAR_2_6       },
		{GPIO71_SAAR_2_6       },
		{GPIO72_SAAR_2_6       },
		{GPIO73_SAAR_2_6       },
		{GPIO74_SAAR_2_6       },
		{GPIO75_SAAR_2_6       },
		{GPIO76_SAAR_2_6       },
		{GPIO77_SAAR_2_6       },
		{GPIO78_SAAR_2_6       },
		{GPIO79_SAAR_2_6       },
		{GPIO80_SAAR_2_6       },
		{GPIO81_SAAR_2_6       },
		{GPIO82_SAAR_2_6       },
		{GPIO83_SAAR_2_6       },
		{GPIO84_SAAR_2_6       },
		{GPIO85_SAAR_2_6       },
		{GPIO86_SAAR_2_6       },
		{GPIO87_SAAR_2_6       },
		{GPIO88_SAAR_2_6       },
		{GPIO89_SAAR_2_6       },
		{GPIO90_SAAR_2_6       },
		{GPIO91_SAAR_2_6       },
		{GPIO92_SAAR_2_6       },
		{GPIO93_SAAR_2_6       },
		{GPIO94_SAAR_2_6       },
		{GPIO95_SAAR_2_6       },
		{GPIO96_SAAR_2_6       },
		{GPIO97_SAAR_2_6       },
		{GPIO98_SAAR_2_6       },
		{GPIO99_SAAR_2_6       },
		{GPIO100_SAAR_2_6      },
		{GPIO101_SAAR_2_6      },
		{GPIO102_SAAR_2_6      },
		{GPIO103_SAAR_2_6      },
		{GPIO104_SAAR_2_6      },
		{GPIO105_SAAR_2_6      },
		{GPIO106_SAAR_2_6      },
		{RF_IF1_SAAR_2_6       },
		{RF_IF2_SAAR_2_6       },
		{RF_IF3_SAAR_2_6       },
		{RF_IF4_SAAR_2_6       },
		{RF_IF5_SAAR_2_6       },
		{RF_IF6_SAAR_2_6       },
		{RF_IF7_SAAR_2_6       },
		{RF_IF8_SAAR_2_6       },
		{RF_IF9_SAAR_2_6       },
		{RF_IF10_SAAR_2_6      },
		{RF_IF11_SAAR_2_6      },
		{RF_IF12_SAAR_2_6      },
		{RF_IF13_SAAR_2_6      },
		{RF_IF14_SAAR_2_6      },
		{RF_IF15_SAAR_2_6      },
		{RF_IF16_SAAR_2_6      },
		{RF_IF17_SAAR_2_6      },
		{RF_IF18_SAAR_2_6      },
		{RF_IF19_SAAR_2_6      },
		{RF_IF20_SAAR_2_6      },
		{RF_IF21_SAAR_2_6      },
		{RF_IF22_SAAR_2_6      },
		{AFE_RXIQ0_SAAR_2_6    },
		{AFE_RXIQ1_SAAR_2_6    },
		{AFE_RXIQ2_SAAR_2_6    },
		{AFE_RXIQ3_SAAR_2_6    },
		{AFE_RXIQ4_SAAR_2_6    },
		{AFE_RXIQ5_SAAR_2_6    },
		{AFE_RXIQ6_SAAR_2_6    },
		{AFE_RXIQ7_SAAR_2_6    },
		{AFE_RX_CLK_SAAR_2_6   },
		{AFE_TXIQ0_SAAR_2_6    },
		{AFE_TXIQ1_SAAR_2_6    },
		{AFE_TXIQ2_SAAR_2_6    },
		{AFE_TXIQ3_SAAR_2_6    },
		{AFE_TXIQ4_SAAR_2_6    },
		{AFE_TXIQ5_SAAR_2_6    },
		{AFE_TXIQ6_SAAR_2_6    },
		{AFE_TXIQ7_SAAR_2_6    },
		{AFE_TXIQ8_SAAR_2_6    },
		{AFE_TXIQ9_SAAR_2_6    },
		{AFE_TX_CLK_SAAR_2_6   },
		{CONT_CLK_SAAR_2_6     },
		{CONT_DATA0_SAAR_2_6   },
		{CONT_DATA1_SAAR_2_6   },
		{CONT_RD_WR_SAAR_2_6   },
		{CONT_READ_INT_SAAR_2_6},
		{DAC_ST456_SAAR_2_6    },
		{ADC_ST_SAAR_2_6       },
		{ND_IO15_SAAR_2_6      },
		{ND_IO14_SAAR_2_6      },
		{ND_IO13_SAAR_2_6      },
		{ND_IO12_SAAR_2_6      },
		{ND_IO11_SAAR_2_6      },
		{ND_IO10_SAAR_2_6      },
		{ND_IO9_SAAR_2_6       },
		{ND_IO8_SAAR_2_6       },
		{ND_IO7_SAAR_2_6       },
		{ND_IO6_SAAR_2_6       },
		{ND_IO5_SAAR_2_6       },
		{ND_IO4_SAAR_2_6       },
		{ND_IO3_SAAR_2_6       },
		{ND_IO2_SAAR_2_6       },
		{ND_IO1_SAAR_2_6       },
		{ND_IO0_SAAR_2_6       },
		{ND_nCS0_SAAR_2_6      },
		{ND_nCS1_SAAR_2_6      },
		{ND_nWE_SAAR_2_6       },
		{ND_nRE_nOE_SAAR_2_6   },
		{ND_CLE_SAAR_2_6       },
		{ND_nADV1_ALE_SAAR_2_6 },
		{ND_nADV2_ALE_SAAR_2_6 },
		{ND_INT_RnB_SAAR_2_6   },
		{DF_SCLK_E_SAAR_2_6    },
		{DF_SCLK_S_SAAR_2_6    },
		{DF_ADDR0_SAAR_2_6     },
		{DF_ADDR1_SAAR_2_6     },
		{DF_ADDR2_SAAR_2_6     },
		{DF_ADDR3_SAAR_2_6     },
		{nXCVREN_SAAR_2_6      },
		{nLUA_SAAR_2_6         },
		{nLLA_SAAR_2_6         },
		{nBE0_SAAR_2_6         },
		{nBE1_SAAR_2_6         },
		{RDY_SAAR_2_6          },
		{UN_LOCK_SAAR_2_6      },
		{GSIM_UCLK_SAAR_2_6    },
		{GSIM_UIO_SAAR_2_6     },
		{GSIM_nURST_SAAR_2_6   },
		{GSIM_UDET_SAAR_2_6    },
		{PMIC_INT_SAAR_2_6     }
	  }
	}
#endif  // SAAR
#if (SAAR_PV)
//	,
    {
	  {
		{GPIO0_SAAR_PV        },
		{GPIO1_SAAR_PV        },
		{GPIO2_SAAR_PV        },
		{GPIO3_SAAR_PV        },
		{GPIO4_SAAR_PV        },
		{GPIO5_SAAR_PV        },
		{GPIO6_SAAR_PV        },
		{GPIO7_SAAR_PV        },
		{GPIO8_SAAR_PV        },
		{GPIO9_SAAR_PV        },
		{GPIO10_SAAR_PV       },
		{GPIO11_SAAR_PV       },
		{GPIO12_SAAR_PV       },
		{GPIO13_SAAR_PV       },
		{GPIO14_SAAR_PV       },
		{GPIO15_SAAR_PV       },
		{GPIO16_SAAR_PV       },
		{GPIO17_SAAR_PV       },
		{GPIO18_SAAR_PV       },
		{GPIO19_SAAR_PV       },
		{GPIO20_SAAR_PV       },
		{GPIO21_SAAR_PV       },
		{GPIO22_SAAR_PV       },
		{GPIO23_SAAR_PV       },
		{GPIO24_SAAR_PV       },
		{GPIO25_SAAR_PV       },
		{GPIO26_SAAR_PV       },
		{GPIO27_SAAR_PV       },
		{GPIO28_SAAR_PV       },
		{GPIO29_SAAR_PV       },
		{GPIO30_SAAR_PV       },
		{GPIO31_SAAR_PV       },
		{GPIO32_SAAR_PV       },
		{GPIO33_SAAR_PV       },
		{GPIO34_SAAR_PV       },
		{GPIO35_SAAR_PV       },
		{GPIO36_SAAR_PV       },
		{GPIO37_SAAR_PV       },
		{GPIO38_SAAR_PV       },
		{GPIO39_SAAR_PV       },
		{GPIO40_SAAR_PV       },
		{GPIO41_SAAR_PV       },
		{GPIO42_SAAR_PV       },
		{GPIO43_SAAR_PV       },
		{GPIO44_SAAR_PV       },
		{GPIO45_SAAR_PV       },
		{GPIO46_SAAR_PV       },
		{GPIO47_SAAR_PV       },
		{GPIO48_SAAR_PV       },
		{GPIO49_SAAR_PV       },
		{GPIO50_SAAR_PV       },
		{GPIO51_SAAR_PV       },
		{GPIO52_SAAR_PV       },
		{GPIO53_SAAR_PV       },
		{GPIO54_SAAR_PV       },
		{GPIO55_SAAR_PV       },
		{GPIO56_SAAR_PV       },
		{GPIO57_SAAR_PV       },
		{GPIO58_SAAR_PV       },
		{GPIO59_SAAR_PV       },
		{GPIO60_SAAR_PV       },
		{GPIO61_SAAR_PV       },
		{GPIO62_SAAR_PV       },
		{GPIO63_SAAR_PV       },
		{GPIO64_SAAR_PV       },
		{GPIO65_SAAR_PV       },
		{GPIO66_SAAR_PV       },
		{GPIO67_SAAR_PV       },
		{GPIO68_SAAR_PV       },
		{GPIO69_SAAR_PV       },
		{GPIO70_SAAR_PV       },
		{GPIO71_SAAR_PV       },
		{GPIO72_SAAR_PV       },
		{GPIO73_SAAR_PV       },
		{GPIO74_SAAR_PV       },
		{GPIO75_SAAR_PV       },
		{GPIO76_SAAR_PV       },
		{GPIO77_SAAR_PV       },
		{GPIO78_SAAR_PV       },
		{GPIO79_SAAR_PV       },
		{GPIO80_SAAR_PV       },
		{GPIO81_SAAR_PV       },
		{GPIO82_SAAR_PV       },
		{GPIO83_SAAR_PV       },
		{GPIO84_SAAR_PV       },
		{GPIO85_SAAR_PV       },
		{GPIO86_SAAR_PV       },
		{GPIO87_SAAR_PV       },
		{GPIO88_SAAR_PV       },
		{GPIO89_SAAR_PV       },
		{GPIO90_SAAR_PV       },
		{GPIO91_SAAR_PV       },
		{GPIO92_SAAR_PV       },
		{GPIO93_SAAR_PV       },
		{GPIO94_SAAR_PV       },
		{GPIO95_SAAR_PV       },
		{GPIO96_SAAR_PV       },
		{GPIO97_SAAR_PV       },
		{GPIO98_SAAR_PV       },
		{GPIO99_SAAR_PV       },
		{GPIO100_SAAR_PV      },
		{GPIO101_SAAR_PV      },
		{GPIO102_SAAR_PV      },
		{GPIO103_SAAR_PV      },
		{GPIO104_SAAR_PV      },
		{GPIO105_SAAR_PV      },
		{GPIO106_SAAR_PV      },
		{GPIO159_SAAR_PV      },
		{GPIO160_SAAR_PV      },
		{GPIO161_SAAR_PV      },
		{GPIO162_SAAR_PV      },
		{GPIO163_SAAR_PV      },
		{GPIO164_SAAR_PV      },
		{GPIO165_SAAR_PV      },
		{GPIO166_SAAR_PV      },
		{GPIO167_SAAR_PV      },
		{GPIO168_SAAR_PV      },
		{GPIO169_SAAR_PV      },
		{GPIO170_SAAR_PV      },
		{GPIO171_SAAR_PV      },
		{GPIO172_SAAR_PV      },
		{GPIO173_SAAR_PV      },
		{GPIO174_SAAR_PV      },
		{GPIO175_SAAR_PV      },
		{GPIO176_SAAR_PV      },
		{RF_IF1_SAAR_PV       },
		{RF_IF2_SAAR_PV       },
		{RF_IF3_SAAR_PV       },
		{RF_IF4_SAAR_PV       },
		{RF_IF5_SAAR_PV       },
		{RF_IF6_SAAR_PV       },
		{RF_IF7_SAAR_PV       },
		{RF_IF8_SAAR_PV       },
		{RF_IF9_SAAR_PV       },
		{RF_IF10_SAAR_PV      },
		{RF_IF11_SAAR_PV      },
		{RF_IF12_SAAR_PV      },
		{RF_IF13_SAAR_PV      },
		{RF_IF14_SAAR_PV      },
		{RF_IF15_SAAR_PV      },
		{RF_IF16_SAAR_PV      },
		{RF_IF17_SAAR_PV      },
		{RF_IF18_SAAR_PV      },
		{RF_IF19_SAAR_PV      },
		{RF_IF20_SAAR_PV      },
		{RF_IF21_SAAR_PV      },
		{RF_IF22_SAAR_PV      },
		{AFE_RXIQ0_SAAR_PV    },
		{AFE_RXIQ1_SAAR_PV    },
		{AFE_RXIQ2_SAAR_PV    },
		{AFE_RXIQ3_SAAR_PV    },
		{AFE_RXIQ4_SAAR_PV    },
		{AFE_RXIQ5_SAAR_PV    },
		{AFE_RXIQ6_SAAR_PV    },
		{AFE_RXIQ7_SAAR_PV    },
		{AFE_RX_CLK_SAAR_PV   },
		{AFE_TXIQ0_SAAR_PV    },
		{AFE_TXIQ1_SAAR_PV    },
		{AFE_TXIQ2_SAAR_PV    },
		{AFE_TXIQ3_SAAR_PV    },
		{AFE_TXIQ4_SAAR_PV    },
		{AFE_TXIQ5_SAAR_PV    },
		{AFE_TXIQ6_SAAR_PV    },
		{AFE_TXIQ7_SAAR_PV    },
		{AFE_TXIQ8_SAAR_PV    },
		{AFE_TXIQ9_SAAR_PV    },
		{AFE_TX_CLK_SAAR_PV   },
		{CONT_CLK_SAAR_PV     },
		{CONT_DATA0_SAAR_PV   },
		{CONT_DATA1_SAAR_PV   },
		{CONT_RD_WR_SAAR_PV   },
		{CONT_READ_INT_SAAR_PV},
		{DAC_ST456_SAAR_PV    },
		{ADC_ST_SAAR_PV       },
		{ND_IO15_SAAR_PV      },
		{ND_IO14_SAAR_PV      },
		{ND_IO13_SAAR_PV      },
		{ND_IO12_SAAR_PV      },
		{ND_IO11_SAAR_PV      },
		{ND_IO10_SAAR_PV      },
		{ND_IO9_SAAR_PV       },
		{ND_IO8_SAAR_PV       },
		{ND_IO7_SAAR_PV       },
		{ND_IO6_SAAR_PV       },
		{ND_IO5_SAAR_PV       },
		{ND_IO4_SAAR_PV       },
		{ND_IO3_SAAR_PV       },
		{ND_IO2_SAAR_PV       },
		{ND_IO1_SAAR_PV       },
		{ND_IO0_SAAR_PV       },
		{ND_nCS0_SAAR_PV      },
		{ND_nCS1_SAAR_PV      },
		{ND_nWE_SAAR_PV       },
		{ND_nRE_SAAR_PV       },
		{ND_CLE_nOE_SAAR_PV   },
		{ND_ALE_nWE_SAAR_PV   },
		{DF_nCS2_SAAR_PV      },
		{ND_INT_RnB_SAAR_PV   },
		{DF_SCLK_E_SAAR_PV    },
		{DF_ADDR0_SAAR_PV     },
		{DF_ADDR1_SAAR_PV     },
		{DF_ADDR2_SAAR_PV     },
		{DF_ADDR3_SAAR_PV     },
		{nXCVREN_SAAR_PV      },
		{nLUA_SAAR_PV         },
		{nLLA_SAAR_PV         },
		{nBE0_SAAR_PV         },
		{nBE1_SAAR_PV         },
		{RDY_SAAR_PV          },
		{DF_UNLOCK_SAAR_PV    },
		{GSIM_UCLK_SAAR_PV    },
		{GSIM_UIO_SAAR_PV     },
		{GSIM_nURST_SAAR_PV   },
		{GSIM_UDET_SAAR_PV    },
		{PMIC_INT_SAAR_PV     }
	  }
	}
	,
    {
	  {
		{GPIO0_SAAR_PV_3_2        },
		{GPIO1_SAAR_PV_3_2        },
		{GPIO2_SAAR_PV_3_2        },
		{GPIO3_SAAR_PV_3_2        },
		{GPIO4_SAAR_PV_3_2        },
		{GPIO5_SAAR_PV_3_2        },
		{GPIO6_SAAR_PV_3_2        },
		{GPIO7_SAAR_PV_3_2        },
		{GPIO8_SAAR_PV_3_2        },
		{GPIO9_SAAR_PV_3_2        },
		{GPIO10_SAAR_PV_3_2       },
		{GPIO11_SAAR_PV_3_2       },
		{GPIO12_SAAR_PV_3_2       },
		{GPIO13_SAAR_PV_3_2       },
		{GPIO14_SAAR_PV_3_2       },
		{GPIO15_SAAR_PV_3_2       },
		{GPIO16_SAAR_PV_3_2       },
		{GPIO17_SAAR_PV_3_2       },
		{GPIO18_SAAR_PV_3_2       },
		{GPIO19_SAAR_PV_3_2       },
		{GPIO20_SAAR_PV_3_2       },
		{GPIO21_SAAR_PV_3_2       },
		{GPIO22_SAAR_PV_3_2       },
		{GPIO23_SAAR_PV_3_2       },
		{GPIO24_SAAR_PV_3_2       },
		{GPIO25_SAAR_PV_3_2       },
		{GPIO26_SAAR_PV_3_2       },
		{GPIO27_SAAR_PV_3_2       },
		{GPIO28_SAAR_PV_3_2       },
		{GPIO29_SAAR_PV_3_2       },
		{GPIO30_SAAR_PV_3_2       },
		{GPIO31_SAAR_PV_3_2       },
		{GPIO32_SAAR_PV_3_2       },
		{GPIO33_SAAR_PV_3_2       },
		{GPIO34_SAAR_PV_3_2       },
		{GPIO35_SAAR_PV_3_2       },
		{GPIO36_SAAR_PV_3_2       },
		{GPIO37_SAAR_PV_3_2       },
		{GPIO38_SAAR_PV_3_2       },
		{GPIO39_SAAR_PV_3_2       },
		{GPIO40_SAAR_PV_3_2       },
		{GPIO41_SAAR_PV_3_2       },
		{GPIO42_SAAR_PV_3_2       },
		{GPIO43_SAAR_PV_3_2       },
		{GPIO44_SAAR_PV_3_2       },
		{GPIO45_SAAR_PV_3_2       },
		{GPIO46_SAAR_PV_3_2       },
		{GPIO47_SAAR_PV_3_2       },
		{GPIO48_SAAR_PV_3_2       },
		{GPIO49_SAAR_PV_3_2       },
		{GPIO50_SAAR_PV_3_2       },
		{GPIO51_SAAR_PV_3_2       },
		{GPIO52_SAAR_PV_3_2       },
		{GPIO53_SAAR_PV_3_2       },
		{GPIO54_SAAR_PV_3_2       },
		{GPIO55_SAAR_PV_3_2       },
		{GPIO56_SAAR_PV_3_2       },
		{GPIO57_SAAR_PV_3_2       },
		{GPIO58_SAAR_PV_3_2       },
		{GPIO59_SAAR_PV_3_2       },
		{GPIO60_SAAR_PV_3_2       },
		{GPIO61_SAAR_PV_3_2       },
		{GPIO62_SAAR_PV_3_2       },
		{GPIO63_SAAR_PV_3_2       },
		{GPIO64_SAAR_PV_3_2       },
		{GPIO65_SAAR_PV_3_2       },
		{GPIO66_SAAR_PV_3_2       },
		{GPIO67_SAAR_PV_3_2       },
		{GPIO68_SAAR_PV_3_2       },
		{GPIO69_SAAR_PV_3_2       },
		{GPIO70_SAAR_PV_3_2       },
		{GPIO71_SAAR_PV_3_2       },
		{GPIO72_SAAR_PV_3_2       },
		{GPIO73_SAAR_PV_3_2       },
		{GPIO74_SAAR_PV_3_2       },
		{GPIO75_SAAR_PV_3_2       },
		{GPIO76_SAAR_PV_3_2       },
		{GPIO77_SAAR_PV_3_2       },
		{GPIO78_SAAR_PV_3_2       },
		{GPIO79_SAAR_PV_3_2       },
		{GPIO80_SAAR_PV_3_2       },
		{GPIO81_SAAR_PV_3_2       },
		{GPIO82_SAAR_PV_3_2       },
		{GPIO83_SAAR_PV_3_2       },
		{GPIO84_SAAR_PV_3_2       },
		{GPIO85_SAAR_PV_3_2       },
		{GPIO86_SAAR_PV_3_2       },
		{GPIO87_SAAR_PV_3_2       },
		{GPIO88_SAAR_PV_3_2       },
		{GPIO89_SAAR_PV_3_2       },
		{GPIO90_SAAR_PV_3_2       },
		{GPIO91_SAAR_PV_3_2       },
		{GPIO92_SAAR_PV_3_2       },
		{GPIO93_SAAR_PV_3_2       },
		{GPIO94_SAAR_PV_3_2       },
		{GPIO95_SAAR_PV_3_2       },
		{GPIO96_SAAR_PV_3_2       },
		{GPIO97_SAAR_PV_3_2       },
		{GPIO98_SAAR_PV_3_2       },
		{GPIO99_SAAR_PV_3_2       },
		{GPIO100_SAAR_PV_3_2      },
		{GPIO101_SAAR_PV_3_2      },
		{GPIO102_SAAR_PV_3_2      },
		{GPIO103_SAAR_PV_3_2      },
		{GPIO104_SAAR_PV_3_2      },
		{GPIO105_SAAR_PV_3_2      },
		{GPIO106_SAAR_PV_3_2      },
		{GPIO159_SAAR_PV_3_2      },
		{GPIO160_SAAR_PV_3_2      },
		{GPIO161_SAAR_PV_3_2      },
		{GPIO162_SAAR_PV_3_2      },
		{GPIO163_SAAR_PV_3_2      },
		{GPIO164_SAAR_PV_3_2      },
		{GPIO165_SAAR_PV_3_2      },
		{GPIO166_SAAR_PV_3_2      },
		{GPIO167_SAAR_PV_3_2      },
		{GPIO168_SAAR_PV_3_2      },
		{GPIO169_SAAR_PV_3_2      },
		{GPIO170_SAAR_PV_3_2      },
		{GPIO171_SAAR_PV_3_2      },
		{GPIO172_SAAR_PV_3_2      },
		{GPIO173_SAAR_PV_3_2      },
		{GPIO174_SAAR_PV_3_2      },
		{GPIO175_SAAR_PV_3_2      },
		{GPIO176_SAAR_PV_3_2      },
		{RF_IF1_SAAR_PV_3_2       },
		{RF_IF2_SAAR_PV_3_2       },
		{RF_IF3_SAAR_PV_3_2       },
		{RF_IF4_SAAR_PV_3_2       },
		{RF_IF5_SAAR_PV_3_2       },
		{RF_IF6_SAAR_PV_3_2       },
		{RF_IF7_SAAR_PV_3_2       },
		{RF_IF8_SAAR_PV_3_2       },
		{RF_IF9_SAAR_PV_3_2       },
		{RF_IF10_SAAR_PV_3_2      },
		{RF_IF11_SAAR_PV_3_2      },
		{RF_IF12_SAAR_PV_3_2      },
		{RF_IF13_SAAR_PV_3_2      },
		{RF_IF14_SAAR_PV_3_2      },
		{RF_IF15_SAAR_PV_3_2      },
		{RF_IF16_SAAR_PV_3_2      },
		{RF_IF17_SAAR_PV_3_2      },
		{RF_IF18_SAAR_PV_3_2      },
		{RF_IF19_SAAR_PV_3_2      },
		{RF_IF20_SAAR_PV_3_2      },
		{RF_IF21_SAAR_PV_3_2      },
		{RF_IF22_SAAR_PV_3_2      },
		{AFE_RXIQ0_SAAR_PV_3_2    },
		{AFE_RXIQ1_SAAR_PV_3_2    },
		{AFE_RXIQ2_SAAR_PV_3_2    },
		{AFE_RXIQ3_SAAR_PV_3_2    },
		{AFE_RXIQ4_SAAR_PV_3_2    },
		{AFE_RXIQ5_SAAR_PV_3_2    },
		{AFE_RXIQ6_SAAR_PV_3_2    },
		{AFE_RXIQ7_SAAR_PV_3_2    },
		{AFE_RX_CLK_SAAR_PV_3_2   },
		{AFE_TXIQ0_SAAR_PV_3_2    },
		{AFE_TXIQ1_SAAR_PV_3_2    },
		{AFE_TXIQ2_SAAR_PV_3_2    },
		{AFE_TXIQ3_SAAR_PV_3_2    },
		{AFE_TXIQ4_SAAR_PV_3_2    },
		{AFE_TXIQ5_SAAR_PV_3_2    },
		{AFE_TXIQ6_SAAR_PV_3_2    },
		{AFE_TXIQ7_SAAR_PV_3_2    },
		{AFE_TXIQ8_SAAR_PV_3_2    },
		{AFE_TXIQ9_SAAR_PV_3_2    },
		{AFE_TX_CLK_SAAR_PV_3_2   },
		{CONT_CLK_SAAR_PV_3_2     },
		{CONT_DATA0_SAAR_PV_3_2   },
		{CONT_DATA1_SAAR_PV_3_2   },
		{CONT_RD_WR_SAAR_PV_3_2   },
		{CONT_READ_INT_SAAR_PV_3_2},
		{DAC_ST456_SAAR_PV_3_2    },
		{ADC_ST_SAAR_PV_3_2       },
		{ND_IO15_SAAR_PV_3_2      },
		{ND_IO14_SAAR_PV_3_2      },
		{ND_IO13_SAAR_PV_3_2      },
		{ND_IO12_SAAR_PV_3_2      },
		{ND_IO11_SAAR_PV_3_2      },
		{ND_IO10_SAAR_PV_3_2      },
		{ND_IO9_SAAR_PV_3_2       },
		{ND_IO8_SAAR_PV_3_2       },
		{ND_IO7_SAAR_PV_3_2       },
		{ND_IO6_SAAR_PV_3_2       },
		{ND_IO5_SAAR_PV_3_2       },
		{ND_IO4_SAAR_PV_3_2       },
		{ND_IO3_SAAR_PV_3_2       },
		{ND_IO2_SAAR_PV_3_2       },
		{ND_IO1_SAAR_PV_3_2       },
		{ND_IO0_SAAR_PV_3_2       },
		{ND_nCS0_SAAR_PV_3_2      },
		{ND_nCS1_SAAR_PV_3_2      },
		{ND_nWE_SAAR_PV_3_2       },
		{ND_nRE_SAAR_PV_3_2       },
		{ND_CLE_nOE_SAAR_PV_3_2   },
		{ND_ALE_nWE_SAAR_PV_3_2   },
		{DF_nCS2_SAAR_PV_3_2      },
		{ND_INT_RnB_SAAR_PV_3_2   },
		{DF_SCLK_E_SAAR_PV_3_2    },
		{DF_ADDR0_SAAR_PV_3_2     },
		{DF_ADDR1_SAAR_PV_3_2     },
		{DF_ADDR2_SAAR_PV_3_2     },
		{DF_ADDR3_SAAR_PV_3_2     },
		{nXCVREN_SAAR_PV_3_2      },
		{nLUA_SAAR_PV_3_2         },
		{nLLA_SAAR_PV_3_2         },
		{nBE0_SAAR_PV_3_2         },
		{nBE1_SAAR_PV_3_2         },
		{RDY_SAAR_PV_3_2          },
		{DF_UNLOCK_SAAR_PV_3_2    },
		{GSIM_UCLK_SAAR_PV_3_2    },
		{GSIM_UIO_SAAR_PV_3_2     },
		{GSIM_nURST_SAAR_PV_3_2   },
		{GSIM_UDET_SAAR_PV_3_2    },
		{PMIC_INT_SAAR_PV_3_2     }
	  }
	}
#endif  // SAAR_PV
#if (EVB2_PV)
//	,
    {
	  {
		{GPIO0_PV        },
		{GPIO1_PV        },
		{GPIO2_PV        },
		{GPIO3_PV        },
		{GPIO4_PV        },
		{GPIO5_PV        },
		{GPIO6_PV        },
		{GPIO7_PV        },
		{GPIO8_PV        },
		{GPIO9_PV        },
		{GPIO10_PV       },
		{GPIO11_PV       },
		{GPIO12_PV       },
		{GPIO13_PV       },
		{GPIO14_PV       },
		{GPIO15_PV       },
		{GPIO16_PV       },
		{GPIO17_PV       },
		{GPIO18_PV       },
		{GPIO19_PV       },
		{GPIO20_PV       },
		{GPIO21_PV       },
		{GPIO22_PV       },
		{GPIO23_PV       },
		{GPIO24_PV       },
		{GPIO25_PV       },
		{GPIO26_PV       },
		{GPIO27_PV       },
		{GPIO28_PV       },
		{GPIO29_PV       },
		{GPIO30_PV       },
		{GPIO31_PV       },
		{GPIO32_PV       },
		{GPIO33_PV       },
		{GPIO34_PV       },
		{GPIO35_PV       },
		{GPIO36_PV       },
		{GPIO37_PV       },
		{GPIO38_PV       },
		{GPIO39_PV       },
		{GPIO40_PV       },
		{GPIO41_PV       },
		{GPIO42_PV       },
		{GPIO43_PV       },
		{GPIO44_PV       },
		{GPIO45_PV       },
		{GPIO46_PV       },
		{GPIO47_PV       },
		{GPIO48_PV       },
		{GPIO49_PV       },
		{GPIO50_PV       },
		{GPIO51_PV       },
		{GPIO52_PV       },
		{GPIO53_PV       },
		{GPIO54_PV       },
		{GPIO55_PV       },
		{GPIO56_PV       },
		{GPIO57_PV       },
		{GPIO58_PV       },
		{GPIO59_PV       },
		{GPIO60_PV       },
		{GPIO61_PV       },
		{GPIO62_PV       },
		{GPIO63_PV       },
		{GPIO64_PV       },
		{GPIO65_PV       },
		{GPIO66_PV       },
		{GPIO67_PV       },
		{GPIO68_PV       },
		{GPIO69_PV       },
		{GPIO70_PV       },
		{GPIO71_PV       },
		{GPIO72_PV       },
		{GPIO73_PV       },
		{GPIO74_PV       },
		{GPIO75_PV       },
		{GPIO76_PV       },
		{GPIO77_PV       },
		{GPIO78_PV       },
		{GPIO79_PV       },
		{GPIO80_PV       },
		{GPIO81_PV       },
		{GPIO82_PV       },
		{GPIO83_PV       },
		{GPIO84_PV       },
		{GPIO85_PV       },
		{GPIO86_PV       },
		{GPIO87_PV       },
		{GPIO88_PV       },
		{GPIO89_PV       },
		{GPIO90_PV       },
		{GPIO91_PV       },
		{GPIO92_PV       },
		{GPIO93_PV       },
		{GPIO94_PV       },
		{GPIO95_PV       },
		{GPIO96_PV       },
		{GPIO97_PV       },
		{GPIO98_PV       },
		{GPIO99_PV       },
		{GPIO100_PV      },
		{GPIO101_PV      },
		{GPIO102_PV      },
		{GPIO103_PV      },
		{GPIO104_PV      },
		{GPIO105_PV      },
		{GPIO106_PV      },
		{GPIO159_PV      },
		{GPIO160_PV      },
		{GPIO161_PV      },
		{GPIO162_PV      },
		{GPIO163_PV      },
		{GPIO164_PV      },
		{GPIO165_PV       },
		{GPIO166_PV      },
		{GPIO167_PV      },
		{GPIO168_PV      },
		{GPIO169_PV      },
		{GPIO170_PV      },
		{GPIO171_PV      },
		{GPIO172_PV      },
		{GPIO173_PV      },
		{GPIO174_PV      },
		{GPIO175_PV      },
		{GPIO176_PV      },
		{RF_IF1_PV       },
		{RF_IF2_PV       },
		{RF_IF3_PV       },
		{RF_IF4_PV       },
		{RF_IF5_PV       },
		{RF_IF6_PV       },
		{RF_IF7_PV       },
		{RF_IF8_PV       },
		{RF_IF9_PV       },
		{RF_IF10_PV      },
		{RF_IF11_PV      },
		{RF_IF12_PV      },
		{RF_IF13_PV      },
		{RF_IF14_PV      },
		{RF_IF15_PV      },
		{RF_IF16_PV      },
		{RF_IF17_PV      },
		{RF_IF18_PV      },
		{RF_IF19_PV      },
		{RF_IF20_PV      },
		{RF_IF21_PV      },
		{RF_IF22_PV      },
		{AFE_RXIQ0_PV    },
		{AFE_RXIQ1_PV    },
		{AFE_RXIQ2_PV    },
		{AFE_RXIQ3_PV    },
		{AFE_RXIQ4_PV    },
		{AFE_RXIQ5_PV    },
		{AFE_RXIQ6_PV    },
		{AFE_RXIQ7_PV    },
		{AFE_RX_CLK_PV   },
		{AFE_TXIQ0_PV    },
		{AFE_TXIQ1_PV    },
		{AFE_TXIQ2_PV    },
		{AFE_TXIQ3_PV    },
		{AFE_TXIQ4_PV    },
		{AFE_TXIQ5_PV    },
		{AFE_TXIQ6_PV    },
		{AFE_TXIQ7_PV    },
		{AFE_TXIQ8_PV    },
		{AFE_TXIQ9_PV    },
		{AFE_TX_CLK_PV   },
		{CONT_CLK_PV     },
		{CONT_DATA0_PV   },
		{CONT_DATA1_PV   },
		{CONT_RD_WR_PV   },
		{CONT_READ_INT_PV},
		{DAC_ST456_PV    },
		{ADC_ST_PV       },
		{ND_IO15_PV      },
		{ND_IO14_PV      },
		{ND_IO13_PV      },
		{ND_IO12_PV      },
		{ND_IO11_PV      },
		{ND_IO10_PV      },
		{ND_IO9_PV       },
		{ND_IO8_PV       },
		{ND_IO7_PV       },
		{ND_IO6_PV       },
		{ND_IO5_PV       },
		{ND_IO4_PV       },
		{ND_IO3_PV       },
		{ND_IO2_PV       },
		{ND_IO1_PV       },
		{ND_IO0_PV       },
		{ND_nCS0_PV      },
		{ND_nCS1_PV      },
		{ND_nWE_PV       },
		{ND_nRE_PV       },
		{ND_CLE_nOE_PV   },
		{ND_ALE_nWE_PV   },
		{DF_nCS2_PV      },
		{ND_INT_RnB_PV   },
		{DF_SCLK_E_PV    },
		{DF_ADDR0_PV     },
		{DF_ADDR1_PV     },
		{DF_ADDR2_PV     },
		{DF_ADDR3_PV     },
		{nXCVREN_PV      },
		{nLUA_PV         },
		{nLLA_PV         },
		{nBE0_PV         },
		{nBE1_PV         },
		{RDY_PV          },
		{DF_UNLOCK_PV    },
		{GSIM_UCLK_PV    },
		{GSIM_UIO_PV     },
		{GSIM_nURST_PV   },
		{GSIM_UDET_PV    },
		{PMIC_INT_PV     }
	  }
	}
#endif  // PV
#if (P65)
	,
    {
	  {
		{GPIO0_P65        },
		{GPIO1_P65        },
		{GPIO2_P65        },
		{GPIO3_P65        },
		{GPIO4_P65        },
		{GPIO5_P65        },
		{GPIO6_P65        },
		{GPIO7_P65        },
		{GPIO8_P65        },
		{GPIO9_P65        },
		{GPIO10_P65       },
		{GPIO11_P65       },
		{GPIO12_P65       },
		{GPIO13_P65       },
		{GPIO14_P65       },
		{GPIO15_P65       },
		{GPIO16_P65       },
		{GPIO17_P65       },
		{GPIO18_P65       },
		{GPIO19_P65       },
		{GPIO20_P65       },
		{GPIO21_P65       },
		{GPIO22_P65       },
		{GPIO23_P65       },
		{GPIO24_P65       },
		{GPIO25_P65       },
		{GPIO26_P65       },
		{GPIO27_P65       },
		{GPIO28_P65       },
		{GPIO29_P65       },
		{GPIO30_P65       },
		{GPIO31_P65       },
		{GPIO32_P65       },
		{GPIO33_P65       },
		{GPIO34_P65       },
		{GPIO35_P65       },
		{GPIO36_P65       },
		{GPIO37_P65       },
		{GPIO38_P65       },
		{GPIO39_P65       },
		{GPIO40_P65       },
		{GPIO41_P65       },
		{GPIO42_P65       },
		{GPIO43_P65       },
		{GPIO44_P65       },
		{GPIO45_P65       },
		{GPIO46_P65       },
		{GPIO47_P65       },
		{GPIO48_P65       },
		{GPIO49_P65       },
		{GPIO50_P65       },
		{GPIO51_P65       },
		{GPIO52_P65       },
		{GPIO53_P65       },
		{GPIO54_P65       },
		{GPIO55_P65       },
		{GPIO56_P65       },
		{GPIO57_P65       },
		{GPIO58_P65       },
		{GPIO59_P65       },
		{GPIO60_P65       },
		{GPIO61_P65       },
		{GPIO62_P65       },
		{GPIO63_P65       },
		{GPIO64_P65       },
		{GPIO65_P65       },
		{GPIO66_P65       },
		{GPIO67_P65       },
		{GPIO68_P65       },
		{GPIO69_P65       },
		{GPIO70_P65       },
		{GPIO71_P65       },
		{GPIO72_P65       },
		{GPIO73_P65       },
		{GPIO74_P65       },
		{GPIO75_P65       },
		{GPIO76_P65       },
		{GPIO77_P65       },
		{GPIO78_P65       },
		{GPIO79_P65       },
		{GPIO80_P65       },
		{GPIO81_P65       },
		{GPIO82_P65       },
		{GPIO83_P65       },
		{GPIO84_P65       },
		{GPIO85_P65       },
		{GPIO86_P65       },
		{GPIO87_P65       },
		{GPIO88_P65       },
		{GPIO89_P65       },
		{GPIO90_P65       },
		{GPIO91_P65       },
		{GPIO92_P65       },
		{GPIO93_P65       },
		{GPIO94_P65       },
		{GPIO95_P65       },
		{GPIO96_P65       },
		{GPIO97_P65       },
		{GPIO98_P65       },
		{GPIO99_P65       },
		{GPIO100_P65      },
		{GPIO101_P65      },
		{GPIO102_P65      },
		{GPIO103_P65      },
		{GPIO104_P65      },
		{GPIO105_P65      },
		{GPIO106_P65      },
		{RF_IF1_P65       },
		{RF_IF2_P65       },
		{RF_IF3_P65       },
		{RF_IF4_P65       },
		{RF_IF5_P65       },
		{RF_IF6_P65       },
		{RF_IF7_P65       },
		{RF_IF8_P65       },
		{RF_IF9_P65       },
		{RF_IF10_P65      },
		{RF_IF11_P65      },
		{RF_IF12_P65      },
		{RF_IF13_P65      },
		{RF_IF14_P65      },
		{RF_IF15_P65      },
		{RF_IF16_P65      },
		{RF_IF17_P65      },
		{RF_IF18_P65      },
		{RF_IF19_P65      },
		{RF_IF20_P65      },
		{RF_IF21_P65      },
		{RF_IF22_P65      },
		{AFE_RXIQ0_P65    },
		{AFE_RXIQ1_P65    },
		{AFE_RXIQ2_P65    },
		{AFE_RXIQ3_P65    },
		{AFE_RXIQ4_P65    },
		{AFE_RXIQ5_P65    },
		{AFE_RXIQ6_P65    },
		{AFE_RXIQ7_P65    },
		{AFE_RX_CLK_P65   },
		{AFE_TXIQ0_P65    },
		{AFE_TXIQ1_P65    },
		{AFE_TXIQ2_P65    },
		{AFE_TXIQ3_P65    },
		{AFE_TXIQ4_P65    },
		{AFE_TXIQ5_P65    },
		{AFE_TXIQ6_P65    },
		{AFE_TXIQ7_P65    },
		{AFE_TXIQ8_P65    },
		{AFE_TXIQ9_P65    },
		{AFE_TX_CLK_P65   },
		{CONT_CLK_P65     },
		{CONT_DATA0_P65   },
		{CONT_DATA1_P65   },
		{CONT_RD_WR_P65   },
		{CONT_READ_INT_P65},
		{DAC_ST456_P65    },
		{ADC_ST_P65       },
		{ND_IO15_P65      },
		{ND_IO14_P65      },
		{ND_IO13_P65      },
		{ND_IO12_P65      },
		{ND_IO11_P65      },
		{ND_IO10_P65      },
		{ND_IO9_P65       },
		{ND_IO8_P65       },
		{ND_IO7_P65       },
		{ND_IO6_P65       },
		{ND_IO5_P65       },
		{ND_IO4_P65       },
		{ND_IO3_P65       },
		{ND_IO2_P65       },
		{ND_IO1_P65       },
		{ND_IO0_P65       },
		{ND_nCS0_P65      },
		{ND_nCS1_P65      },
		{ND_nWE_P65       },
		{ND_nRE_P65       },
		{ND_CLE_nOE_P65   },
		{ND_ALE_nWE_P65   },
		{DF_nCS2_P65      },
		{ND_INT_RnB_P65   },
		{DF_SCLK_E_P65    },
		{DF_ADDR0_P65     },
		{DF_ADDR1_P65     },
		{DF_ADDR2_P65     },
		{DF_ADDR3_P65     },
		{nXCVREN_P65      },
		{nLUA_P65         },
		{nLLA_P65         },
		{nBE0_P65         },
		{nBE1_P65         },
		{RDY_P65          },
		{GSIM_UCLK_P65    },
		{GSIM_UIO_P65     },
		{GSIM_nURST_P65   },
		{GSIM_UDET_P65    },
		{PMIC_INT_P65     }
	  }
	}
#endif  // P65
  }
};

/**************************************************************************************/
/**************************************************************************************/

typedef struct
{
	 GpioPins   clk;
	 GpioPins   dat;
} I2C_GPIO;

/**************************************************************************************/
/**************************************************************************************/
static void GetTavorI2CPinMux ( I2C_GPIO    *io )
{

	io->clk = GPIO_89;
	io->dat = GPIO_90;

}
/**************************************************************************************/
/**************************************************************************************/
void OBM_PrintPinmuxSetup ( void )
{
	OBM_BOARD_TYPE      boardType;
 	UINT8_T             Msg[]     = "-Running pins-mux setup of SAAR PV 3.1\0";


	boardType = OBMGetBoardType();

	switch ( boardType )
	{

		case OBM_EVB_P_BOARD :
									Msg[27] = 'E';
									Msg[28] = 'V';
									Msg[29] = 'B';
									Msg[30] = ' ';
									Msg[31] = 'P';
									Msg[32] = '\0';
									break;
		case OBM_EVB_PV_BOARD :
									Msg[27] = 'E';
									Msg[28] = 'V';
									Msg[29] = 'B';
									Msg[30] = ' ';
									Msg[31] = 'P';
									Msg[32] = 'V';
									Msg[33] = '\0';
									break;
		case OBM_SAAR_2_5_BOARD :
									Msg[33] = ' ';
									Msg[34] = '2';
									Msg[35] = '.';
									Msg[36] = '5';
									Msg[37] = '\0';
									break;
		case OBM_SAAR_2_6_BOARD :
									Msg[33] = ' ';
									Msg[34] = '2';
									Msg[35] = '.';
									Msg[36] = '6';
									Msg[37] = '\0';
									break;
		case OBM_SAAR_PV_3_1_BOARD :
									break;
		case OBM_SAAR_PV_3_2_BOARD :
									Msg[37] = '2';
									break;
		case OBM_YARDEN_BOARD :
									Msg[27] = 'Y';
									Msg[28] = 'A';
									Msg[29] = 'R';
									Msg[30] = 'D';
									Msg[31] = 'E';
									Msg[32] = 'N';
									Msg[33] = '\0';
									break;
		case OBM_P65_BOARD :
									Msg[27] = 'P';
									Msg[28] = '6';
									Msg[29] = '5';
									Msg[30] = '\0 ';
									break;
		default:
									break;
	}

 	AddMessage(Msg);
}
/**************************************************************************************/
/**************************************************************************************/
BOARD_TYPE PinmuxGetBoardType ( void )
{
	OBM_BOARD_TYPE      boardType;
	BOARD_TYPE			PinmuxBoardType;


	boardType = OBMGetBoardType();

	switch ( boardType )
	{

		case OBM_EVB_P_BOARD :
		case OBM_EVB_PV_BOARD :
		case OBM_SAAR_2_5_BOARD :
#if (TRUSTED)
		case OBM_SAAR_2_6_BOARD :
#endif
		case OBM_SAAR_PV_3_1_BOARD :
		case OBM_YARDEN_BOARD :
									PinmuxBoardType = 0;
									break;
#if (!TRUSTED)
		case OBM_SAAR_2_6_BOARD :
#endif
		case OBM_SAAR_PV_3_2_BOARD :
		case OBM_P65_BOARD :
									PinmuxBoardType = 1;
									break;
		default:
									PinmuxBoardType = MAX_BOARD;
									break;
	}

	return PinmuxBoardType;
}
/************************************************************************************/
/************************************************************************************/
int GetPinmuxMode ( void )
{

#if defined (MODE0)
	return 0;
#elif defined (MODE2)
	return 2;
#elif defined (MODE3)
	return 3;
#elif defined (MODE4)
	return 4;
#else
	return 1;
#endif

}
/**************************************************************************************/
/**************************************************************************************/
int setTavorPinMux ( UINT8_T   user_keypad_press )
{
	int 					i;
	int 					setPads = 0;
	int 					notSetPads = 0;
	BOARD_TYPE              boardType = MAX_BOARD;
	UINT8_T  				ObmMode[] = "-pins-mux were set to mode x.\0";
	int						mode;



	if ( user_keypad_press == OBM_DEBUG_MODE )
	{
		AddMessage((UINT8_T*) ("-Skipping pin-mux setup.\0"));
		return 2;
	}

	if ( user_keypad_press < MAX_MODE )
	{
	 	UINT8_T  		UserMode[] = "-User choose mode x.\0";
	 	UserMode[18] = user_keypad_press + '0';
	 	AddMessage(UserMode);
		mode = user_keypad_press;
	}
	else
	{
	 	AddMessage((UINT8_T*) ("-Running default pin-mux setup.\0"));
		mode = GetPinmuxMode();
	}

	if ( mode >= MAX_MODE )
	{
 		AddMessage((UINT8_T*) ("*** !!!! ERROR: Illegal pins-mux mode.\0"));
		return 0;
	}

	OBM_updtaeOsBuffre ( PIN_MUX_MODE_ENTRY , DATA_AMOUNT_1 , (UINT32_T *)&mode );

	OBM_PrintPinmuxSetup();

	boardType = PinmuxGetBoardType();
	if ( boardType == MAX_BOARD )
		return 0;

	for ( i = 0; i < MAX_GPIO; i++ )
	{
#if (SAAR)
        /* workaround! the logo will flicker when config the camera pin, but these pins isn't relate the lcd. 
         * we don't know why, so this place is a workaround handle.
         * */
        if ((i <= 76) && (i >= 65)) /* 65-72 camera in pin. 73 CAM_HSYNC, 74 CAM_VSYNC, 75 CAM_MCLK, 76 CAM_PCLK*/
            continue;
        if (i == 63)                /* CI DD9 / cam I2C off */
            continue;
        if (i == 84)                /* Camera VDD enable */
            continue;
        if (i == 6)                 /* Camera power down */
            continue;
        //if (i == 51)              /* Camera reset */
            //continue;


        /* GPIO 43-46 and GPIO 17-21, 23-40 is for LCD, we jump them, or else the lcd will be off. */
        if ((i <= 46) && (i >= 43))
            continue;
        if ((i <= 21) && (i >= 17))
            continue;
        if ((i <= 40) && (i >= 23))
            continue;
#endif
#if (SAAR_PV)
        if ((i <= 20) && (i >= 17))         /*LCD*/
            continue;
        if ((i <= 41) && (i >= 23))         /*LCD*/
            continue;
        if (i == 117)                       /*GPIO169  LCD_POWER_GPIO*/
            continue;
        if (i == 108)                       /*GPIO160  LCD SPI CLK*/
            continue;
        if (i == 109)                       /*GPIO161  LCD_SPI_CS */
            continue;
        if (i == 111)                       /*GPIO163  LCD_SPI_DIN */
            continue;
        if (i == 52)                        /*GPIO52 uart switch*/
            continue;
        if (i == 64)                        /*GPIO64 charge enable*/
            continue;
        if (i == 14)                        /*GPIO14 charge enable 2*/
            continue;
        if (i == 15)                        /*GPIO15 charge enable 1*/
            continue;
#endif
		if ( (int)(tavorPinMuxTab.board[boardType].gpio_pin[i].ModeVals[mode]) >= 0)
		{
			*((UINT32 *)(tavorPinMuxTab.board[boardType].gpio_pin[i].padAddr)) = tavorPinMuxTab.board[boardType].gpio_pin[i].ModeVals[mode];
			setPads++;
		}
		else
		{
			notSetPads++;
		}
	}

	ObmMode[27] = mode + '0';
 	AddMessage(ObmMode);

	return (notSetPads + setPads);   /* Number of pinmuxes set/notSet. If 0 == means an error */

}
/**************************************************************************************/
/**************************************************************************************/
int setTavorI2CPinMux ( void )
{
	I2C_GPIO 	 	io;
	int				mode = 1;
	BOARD_TYPE      boardType = MAX_BOARD;


	GetTavorI2CPinMux ( &io );

	boardType = PinmuxGetBoardType();
	if ( boardType == MAX_BOARD )
		return 0;

   *((UINT32 *)(tavorPinMuxTab.board[boardType].gpio_pin[io.clk].padAddr)) = tavorPinMuxTab.board[boardType].gpio_pin[io.clk].ModeVals[mode];
   *((UINT32 *)(tavorPinMuxTab.board[boardType].gpio_pin[io.dat].padAddr)) = tavorPinMuxTab.board[boardType].gpio_pin[io.dat].ModeVals[mode];

 	AddMessage((UINT8_T*) ("-I2C pins-mux have been set.\0"));

	return 2;
}
/**************************************************************************************/
/**************************************************************************************/
#define MAX_PV_REGS			(6)
#define MAX_P_REGS			(4)
#define MAX_REGS			(MAX_PV_REGS)
#define MAX_PINS_IN_REG		(32)
#define I2C_TIME_DELAY		(1)                // In MicroSec

volatile unsigned int GpioSetToOutputAdd[MAX_REGS]    = { 0x40E00400 , 0x40E00404 , 0x40E00408 , 0x40E0040c , 0x40e00410 , 0x40E00414 };  // GSDR
volatile unsigned int GpioSetLevelToLowAdd[MAX_REGS]  = { 0x40E00024 , 0x40E00028 , 0x40E0002C , 0x40E00124 , 0x40E00128 , 0x40E0012C };  // GPCR
volatile unsigned int GpioSetLevelToHighAdd[MAX_REGS] = { 0x40e00018 , 0x40e0001c , 0x40e00020 , 0x40e00118 , 0x40e0011c , 0x40e00120 };  // GPSR
/**************************************************************************************/
/**************************************************************************************/

void setGpioToOutput ( GpioPins    gpio_num , OUTPUT_LEVEL   level )
{
    UINT32_T 		gpio_pin , gpio_reg;


#if (PV_CHIP)
	if ( gpio_num >= ( MAX_PV_REGS * MAX_PINS_IN_REG ))
#else
	if ( gpio_num >= ( MAX_P_REGS * MAX_PINS_IN_REG ))
#endif
		return;

	gpio_pin = ( 1 << ( gpio_num % MAX_PINS_IN_REG ));
	gpio_reg = ( gpio_num / MAX_PINS_IN_REG );

	// Set the GPIO direction to be -- output
	*(volatile unsigned int *)GpioSetToOutputAdd[gpio_reg] = gpio_pin;

	if ( level == LOW )
		// Set the GPIO pin level to Low
		*(volatile unsigned int *)GpioSetLevelToLowAdd[gpio_reg] = gpio_pin;
	else
		// Set the GPIO pin level to High
		*(volatile unsigned int *)GpioSetLevelToHighAdd[gpio_reg] = gpio_pin;

}
/**************************************************************************************/
/**************************************************************************************/
int setI2CPinsToGpio ( void )
{
	I2C_GPIO 	 	io;
	BOARD_TYPE      boardType = MAX_BOARD;


	GetTavorI2CPinMux ( &io );

	boardType = PinmuxGetBoardType();
	if ( boardType == MAX_BOARD )
		return 0;

   *((UINT32 *)(tavorPinMuxTab.board[boardType].gpio_pin[io.clk].padAddr)) = AF_0;	 // Set the MFPR function to 0
//   *((UINT32 *)(tavorPinMuxTab.board[boardType].gpio_pin[io.dat].padAddr)) = AF_0;   // Set the MFPR function to 0

	return 2;
}
/**************************************************************************************/
/**************************************************************************************/
void sendClocksOnI2cClkPin ( void )
{
	I2C_GPIO 	 	io;


	GetTavorI2CPinMux ( &io );

	setGpioToOutput ( io.clk , LOW );
    Delay_us(I2C_TIME_DELAY);
	setGpioToOutput ( io.clk , HIGH );
    Delay_us(I2C_TIME_DELAY);

}
/**************************************************************************************/
/**************************************************************************************/
