
#ifndef __powerreason_h
#define __powerreason_h

#include "typedef.h"

typedef enum
{
    NORMAL_FOTA_MODE, 
    RECOVERY_FOTA_MODE,
    NON_FOTA   
} fota_indentifier;


typedef enum {
        PU_REASON_HARDWARE_RESET,
        PU_REASON_WATCHDOG,
        PU_REASON_RTC_ALARM,
        PU_REASON_PWR_KEY_PRESS,
        PU_REASON_USB_CABLE,
        PU_REASON_USB_FACTORY,
        PU_REASON_USB_CHARGER,
        PU_REASON_REBOOT_NORMAL,
        PU_REASON_REBOOT_FACTORY,
        PU_REASON_REBOOT_RECOVERY,
        PU_REASON_REBOOT_FOTA,
        PU_REASON_REBOOT_ASSERT,
        PU_REASON_LOW_PWR_RESET, 
        PU_REASON_MAX
} powerup_reason_t;

typedef enum {
        REBOOT_NORMAL,
        REBOOT_FACTORY,
        REBOOT_FLASH,
        REBOOT_RECOVERY,
        REBOOT_FOTA,
        REBOOT_ASSERT,
        REBOOT_DKB=0xfd,
        REBOOT_MAX
} reboot_setting_t;

#define POWERUP_REASON_ADDR	(0x80400000)
#define REBOOT_SETTING_ADDR	(0x5c01c000)

#define PWSR_R	((volatile unsigned int *)(0x40F50014))
#define PWER_R	((volatile unsigned int *)(0x40F50010))

#define CKENB_R	((volatile unsigned int *)(0x41340010))

#define PSR_R	((volatile unsigned int *)(0x40F50004))
#define ASCR_R	((volatile unsigned int *)(0x40F40000))
#define ARSR_R	((volatile unsigned int *)(0x40F40004))

#define PMCR_R	((volatile unsigned int *)(0x40F50000))

#define AD3SR_R ((volatile unsigned int *)(0x40F4000C))

void determine_power_supply(P_FlashProperties_T pFlashProp);
void check_assert_poweron_reason(void);
int check_flashmode_status( void );
void power2saving(void);
void power2saving_micco(void);
int micco_adc_read(UINT8_T mux);
fota_indentifier check_fota_mode(P_FlashProperties_T pFlashProp);
#if SAAR_PV
void set_power(void);
#endif
#endif	//__powerreason_h

