/**************************************************************************
**
** (C) Copyright December 2006 Marvell International Ltd.
**
** All Rights Reserved.
**
**
** THE FILE IS DISTRIBUTED AS-IS, WITHOUT WARRANTY OF ANY KIND, AND THE   
** IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR  
** PURPOSE ARE EXPRESSLY DISCLAIMED.   
**
**  FILENAME:	WTPCOMMCLASS.h
**
**  PURPOSE: 	Contains definitions for CtpComm class. 
**                  
******************************************************************************/

#if !defined WTPCOMM
#define WTPCOMM

#ifndef WTPDEF
#include "..\Include\WTPDEF.h"
#endif


#if _MSC_VER >= 1000
#pragma once
#endif

class CWtpComm
{
	public:
		CWtpComm ();
		~CWtpComm ();
		void SetPortType (int iSelect);
		int GetPortType ();
		void SetUartPort (int iPort);
		int GetUartPort ();
		void SetBaudRate (DWORD dwRate);
		void SetUsbPortTimeout (long int lTimeout);
		void SetImageSectionDelay (DWORD dwSectionDelay);
		bool OpenPort ();
		void ClosePort ();
		bool SendPreamble ();
		bool GetVersion (WTPSTATUS *pWtpStatus);
		bool SelectImage (PDWORD pImageType);
		bool VerifyImage (BYTE AckOrNack);
		bool DataHeader (unsigned int uiRemainingData,WTPSTATUS *pWtpStatus);
		bool Data (PBYTE pData,long Length);
		bool DebugBoot (PBYTE pFlashType);
		bool Done ();
		bool Disconnect (WTPSTATUS *pWtpStatus);
		bool PublicKey ();
		bool Password (WTPSTATUS *pWtpStatus);
		bool SignedPassword ();
		bool GetMessage (WTPSTATUS *pWtpStatus);
		bool GetTargetMessage (WTPSTATUS *pWtpStatus);
		void SetFlashType (BYTE FlashCode);
		BYTE GetFlashType ();
		bool OtpView ();
		void SetVerboseMode (bool bOnOff);
		void SetLogFileMode (bool bLogOnOff);
		void SetInterfaceName (char* pInterfaceName);
		void SetMessageMode (MESSAGE_MODES MessageModeOnOff);
		bool WaitForHostReply (WTPSTATUS *pWtpStatus,int nCharsRead,int nTotalChars);
	private:
		int PortType;
		int iPortNumber;
		int iSequence;
		BYTE FlashType;
		DWORD dwBaudRate;
		DWORD dwImageSectionDelay;
		long int Timeout;
		char Message[100];
		bool bVerbose;
		bool bLogFile;
		bool bMsg;
		MESSAGE_MODES MessageMode;
		bool bBaudRateSet;
		char InterfaceName[256];
		bool bInterfaceSpecified;
};

#endif

