/**************************************************************************
**
** (C) Copyright December 2006 Marvell International Ltd.
**
** All Rights Reserved.
**
**
** THE FILE IS DISTRIBUTED AS-IS, WITHOUT WARRANTY OF ANY KIND, AND THE   
** IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR  
** PURPOSE ARE EXPRESSLY DISCLAIMED.  
**
**  FILENAME:	WTPSECURITYLIB.h
**
**  PURPOSE: 	Security LIB routines 
**                  
******************************************************************************/

#ifndef WTPSECURITYLIB
#define WTPSECURITYLIB

#ifdef __cplusplus
	extern "C" {
#endif

#define NoError	0x00
#define NotFoundError 0x01
#define KeyLengthReadError 0x0D
#define	FlashTypeReadError 0x0F
#define IssueDateReadError 0x10
#define OEMUniqueIDReadError 0x11
#define HashValueLengthReadError 0x12
#define RSAExponentReadError 0x13
#define RSAPrivateKeyReadError 0x14
#define RSAModulusReadError 0x15
#define MAXIMAGEFILES 20

#define TRUSTED 0

typedef struct
{
	DWORD FileType;
	char FileName[MAX_PATH];
	char ShortFileName[MAX_PATH];
} IMAGEFILES;
IMAGEFILES ImageFiles[MAXIMAGEFILES];
#if TRUSTED
typedef struct 
{
	unsigned char PublicKey[256];
	unsigned char Modulus[256];
	unsigned char PrivateKey[256];
	unsigned int  KeyLength;
} KeyInfo, *pKeyInfo;

int ReadKeyFile (FILE *kFile,unsigned char *pPubKey,unsigned char *pPrivKey,
                 unsigned char *pModulus,unsigned int *pKeyLength);
void RSA (unsigned int *PubKey,unsigned int *pModulus,int modlen,
          unsigned int *pInput,unsigned int *pOutput);
void Sha1Digest (unsigned char *pMesg,int len,unsigned char *pMD);
void PadPasswordToSign (unsigned int *Password,unsigned int KeyLength);
#endif
void Endian_Convert (unsigned char *first);
BOOL ParseTim (IMAGEFILES *pImageFiles,int nFiles,int *pNumberOfImages);

#ifdef __cplusplus
	}
#endif

#endif
