/**************************************************************************
**
** (C) Copyright December 2006 Marvell International Ltd.
**
** All Rights Reserved.
**
**
** THE FILE IS DISTRIBUTED AS-IS, WITHOUT WARRANTY OF ANY KIND, AND THE   
** IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR  
** PURPOSE ARE EXPRESSLY DISCLAIMED.   
**
**  FILENAME:	WTPUARTLIB.h
**
**  PURPOSE: 	Windows Dll routines 
**                  
******************************************************************************/

#ifndef WTPDEF
#include "..\Include\WTPDEF.h"
#endif

#ifdef WTPUARTLIB_EXPORTS
#define WTPUARTLIB_API __declspec(dllexport)
#else
#define WTPUARTLIB_API __declspec(dllimport)
#endif

#ifdef __cplusplus
	extern "C" {
#endif

typedef struct
{
	int iPortNumber;
	DWORD dwBaudRate;
	char EventChar;
} UartSettings;

WTPUARTLIB_API BOOL OpenUartPort (UartSettings ComPortConfig);
WTPUARTLIB_API BOOL WriteUart (WTPCOMMAND WtpCmd,DWORD dwSize);
WTPUARTLIB_API BOOL ReadUart (WTPSTATUS *WtpStatus,DWORD dwSize,PDWORD pBytesRead);
WTPUARTLIB_API BOOL ReadUartCharBuffer (char *WtpMessage,DWORD dwSize,PDWORD pBytesRead);
WTPUARTLIB_API BOOL UartPortPriority (int iPriority,DWORD dwPriorityClass);
WTPUARTLIB_API void EnableUartVerboseMode (BOOL OnOff);
WTPUARTLIB_API void EnableWaitCommEvent (BOOL OnOff);
WTPUARTLIB_API void CloseUartPort ();

#ifdef __cplusplus
	}
#endif
