/**************************************************************************
**
** (C) Copyright December 2006 Marvell International Ltd.
**
** All Rights Reserved.
**
** This software file (the "File") is distributed by Marvell International  
** Ltd. under the terms of the GNU General Public License Version 2, June  
** 1991 (the "License").  You may use, redistribute and/or modify this File   
** in accordance with the terms and conditions of the License, a copy of  
** which is available along with the File in the license.txt file or by   
** writing to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,   
** Boston, MA 02111-1307 or on the worldwide web at 
** http://www.gnu.org/licenses/gpl.txt.
**
** THE FILE IS DISTRIBUTED AS-IS, WITHOUT WARRANTY OF ANY KIND, AND THE   
** IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR  
** PURPOSE ARE EXPRESSLY DISCLAIMED.  The License provides additional
** details about this warranty disclaimer. 
**
**  FILENAME:	WTPUARTLIB.h
**
**  PURPOSE: 	Windows Dll routines 
**                  
******************************************************************************/

//#ifndef WTPDEF
	#if WINDOWS
		#include "..\Include\WTPDEF.h"
	#endif
	#if LINUX
		#include "WTPDEF.h"
	#endif
//#endif

#ifdef WTPUARTLIB_EXPORTS
#define WTPUARTLIB_API __declspec(dllexport)
#else
#define WTPUARTLIB_API __declspec(dllimport)
#endif

#ifdef __cplusplus
	extern "C" {
#endif

typedef struct
{
	int iPortNumber;
	DWORD dwBaudRate;
	char EventChar;
} UartSettings;

#if WINDOWS
WTPUARTLIB_API BOOL OpenUartPort (UartSettings ComPortConfig);
WTPUARTLIB_API BOOL WriteUart (WTPCOMMAND WtpCmd,DWORD dwSize);
WTPUARTLIB_API BOOL ReadUart (WTPSTATUS *WtpStatus,DWORD dwSize,PDWORD pBytesRead);
WTPUARTLIB_API BOOL ReadUartCharBuffer (char *WtpMessage,DWORD dwSize,PDWORD pBytesRead);
WTPUARTLIB_API BOOL UartPortPriority (int iPriority,DWORD dwPriorityClass);
WTPUARTLIB_API void EnableUartVerboseMode (BOOL OnOff);
WTPUARTLIB_API void EnableWaitCommEvent (BOOL OnOff);
WTPUARTLIB_API void CloseUartPort ();
#endif

#if LINUX
BOOL OpenUartPort (UartSettings ComPortConfig);
BOOL WriteUart (WTPCOMMAND WtpCmd,DWORD dwSize);
BOOL ReadUart (WTPSTATUS *WtpStatus,DWORD dwSize,PDWORD pBytesRead);
BOOL ReadUartCharBuffer (char *WtpMessage,DWORD dwSize,PDWORD pBytesRead);
void EnableUartVerboseMode (BOOL OnOff);
void EnableWaitCommEvent (BOOL OnOff);
void CloseUartPort ();
#endif


#ifdef __cplusplus
	}
#endif
