/**************************************************************************
**
** (C) Copyright December 2006 Marvell International Ltd.
**
** All Rights Reserved.
**
** This software file (the "File") is distributed by Marvell International  
** Ltd. under the terms of the GNU General Public License Version 2, June  
** 1991 (the "License").  You may use, redistribute and/or modify this File   
** in accordance with the terms and conditions of the License, a copy of  
** which is available along with the File in the license.txt file or by   
** writing to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,   
** Boston, MA 02111-1307 or on the worldwide web at 
** http://www.gnu.org/licenses/gpl.txt.
**
** THE FILE IS DISTRIBUTED AS-IS, WITHOUT WARRANTY OF ANY KIND, AND THE   
** IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR  
** PURPOSE ARE EXPRESSLY DISCLAIMED.  The License provides additional
** details about this warranty disclaimer. 
**
**  FILENAME:	WTPUSBLIB.h
**
**  PURPOSE: 	Windows Dll routines 
**                  
******************************************************************************/

#ifndef WTPDEF
#if LINUX
#include "../Include/WTPDEF.h"
#endif
#if WINDOWS
#include "..\Include\WTPDEF.h"
#endif
#endif

#ifdef WTPUSBLIB_EXPORTS
#define WTPUSBLIB_API __declspec(dllexport)
#else
#define WTPUSBLIB_API __declspec(dllimport)
#endif

#ifdef __cplusplus
	extern "C" {
#endif

#if LINUX
BOOL OpenUsbPort (long int DelayTime);
BOOL WriteUsb (WTPCOMMAND WtpCmd,DWORD dwCmdSize);
BOOL ReadUsb (WTPSTATUS *WtpStatus,DWORD dwSize,PDWORD pBytesRead);
BOOL ReadUsbCharBuffer (char *WtpMessage,DWORD dwSize,PDWORD pBytesRead);
void CloseUsbPort ();
#endif

#if WINDOWS
WTPUSBLIB_API BOOL OpenUsbPort (long int DelayTime);
WTPUSBLIB_API BOOL GetUsbDeviceName (char *DeviceName,BOOL IsPrint);
WTPUSBLIB_API BOOL WriteUsb (WTPCOMMAND WtpCmd,DWORD dwCmdSize,WTPSTATUS *WtpStatus,DWORD dwStatusSize);
WTPUSBLIB_API void CloseUsbPort ();
#endif
DWORD GetIoControlCode (BYTE CMD);

#ifdef __cplusplus
	}
#endif
